#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68a3fffb, "pci_save_state" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0x6a6035d3, "pci_wake_from_d3" },
	{ 0xd0b2865d, "pci_enable_device" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x279de7d1, "pci_alloc_irq_vectors" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x1d69a670, "mhi_sync_power_up" },
	{ 0x6c7e5840, "mhi_power_down" },
	{ 0x9c204de9, "pm_runtime_set_autosuspend_delay" },
	{ 0x46862974, "mhi_pm_resume" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6ba4dc7d, "__pci_register_driver" },
	{ 0x44600d42, "pci_assign_resource" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf4362b34, "pci_set_power_state" },
	{ 0x4719d57f, "pci_irq_vector" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0x6dbae757, "mhi_register_controller" },
	{ 0x3f6677e0, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb5cff338, "mhi_soc_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4c2b38be, "pm_runtime_enable" },
	{ 0x4e90e4c4, "mhi_pm_suspend" },
	{ 0xd575a59b, "_dev_info" },
	{ 0xef6acb72, "pcim_iomap_regions" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x7b6ef23a, "pci_load_saved_state" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x20c90fc1, "pci_read_config_word" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xe93dc378, "pci_store_saved_state" },
	{ 0xe6f16ea5, "pci_restore_state" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xca514725, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xcb9f6f52, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9816da, "pci_reset_function" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x88a8d781, "dma_set_coherent_mask" },
	{ 0x69b979c4, "mhi_unregister_controller" },
	{ 0x61f1ce6c, "pm_runtime_forbid" },
	{ 0x97f0a831, "pci_pme_capable" },
	{ 0xdad0e069, "pm_runtime_allow" },
	{ 0xb8f0bfa2, "__pm_runtime_resume" },
	{ 0x7881ff47, "mhi_unprepare_after_power_down" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xa2d53af4, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x6ce0dedb, "dma_set_mask" },
	{ 0xfa7ceb98, "pcim_iomap_table" },
	{ 0x66275342, "__pm_runtime_use_autosuspend" },
	{ 0x7c787116, "pcim_enable_device" },
	{ 0x75181f7d, "__pm_runtime_disable" },
	{ 0x539e44c5, "mhi_prepare_for_power_up" },
	{ 0xfded7799, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7eed4f85, "flush_work" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "mhi");

MODULE_ALIAS("pci:v000017CBd00000304sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv000017CBsd0000010Cbc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv000018D7sd00000200bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv00001C5Dsd00002000bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000308sv00001C5Dsd00002010bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000308sv00001C5Dsd00002015bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000308sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000B3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000B4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000BBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000003F0d00000A6Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "54BCCE6049F29E3089EF74D");
