#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x29b52a42, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xe8cd2a96, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xa9f1ce9e, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x4b9e54a1, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x3f99ace7, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x3618811c, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x3edbf7e7, "_gpl");
SYMBOL_CRC(is_cxl_port, 0xf9a6edc0, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x7b4db7a6, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xa7d49e9f, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x3ba0cb33, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x797f6635, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xe39b012b, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xf3330a9d, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xad0c7dcc, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x78d63cf8, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x9a1a2672, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x7772dd4e, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x60a11d90, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x3a29d305, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0xd42427c3, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x89b676c6, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x7ff01572, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x47b17da0, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xcaf8395a, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xe24b44c9, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0xd7805abd, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0xeaf826ab, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x60b0d775, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xad9c2002, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x60aca647, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x8a1ab89f, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x71f657ae, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0xc5981f5b, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xd4f3e49d, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x92e0722e, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x81a17fde, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x5e3a72bf, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xaf412901, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xe0364e9f, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x2a20b7fd, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x8c4785cb, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x09f05850, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x0ef74e3f, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xa36862d7, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x496a1fa4, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x6004c609, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x59c4aeab, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x98c54c04, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0xc9dbd733, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x3ed464c7, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x5eb76126, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x715081ce, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x3556755d, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xa61adf2a, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x3272d614, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0xaf3cef34, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0xbcd81095, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0xaef15633, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x50d07a4c, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x2272759d, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x2742d26b, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xaadb2a60, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x47d8161f, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x516b9f58, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xeb9f07c5, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x83de9bdc, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xf690a172, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x13bc764d, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x41e512de, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x5a6279f3, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x1f322564, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x172ccd97, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x4305154b, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x2eee422c, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x4758802d, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x4c62548d, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xa5fd2fea, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x769a798d, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x35003cde, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x5b1fc7a5, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x6a6628e6, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0xc58d4911, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0xe28a6dab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9613a9ad, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x84c930d2, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x10727b28, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x16fc08aa, "dev_set_name" },
	{ 0xd01a08c1, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x176edda, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x9ec5bac7, "cdev_device_del" },
	{ 0x3988c10f, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x376c171c, "device_unregister" },
	{ 0xb8f50019, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7594af79, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdfa34b03, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xca3ff79f, "device_initialize" },
	{ 0x98e29b97, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xd1bd39fd, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x31175f86, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x47cc61a1, "devm_remove_action" },
	{ 0xed9f9064, "get_device" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3cc53975, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x69310d7d, "dev_driver_string" },
	{ 0xda659bc7, "trace_event_buffer_commit" },
	{ 0x1ed8bb6b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8cd52351, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x4b177b26, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27f036e7, "walk_iomem_res_desc" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdac72d70, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xecb0eed4, "bus_for_each_dev" },
	{ 0xd29c7f91, "sysfs_create_link" },
	{ 0xe6a89eb6, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x5b16b87f, "compat_ptr_ioctl" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5812e0e8, "perf_trace_run_bpf_submit" },
	{ 0x42c10b1d, "sysfs_update_group" },
	{ 0x626e9be, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2fb9cf7, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xc3bb1c2, "debugfs_create_bool" },
	{ 0xa2c22d86, "bus_find_device" },
	{ 0x1e6dda1c, "device_add" },
	{ 0xe083aa56, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x453b8764, "noop_llseek" },
	{ 0x562b1e26, "device_attach" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6df1584c, "kernfs_find_and_get_ns" },
	{ 0xe84fd2c1, "debugfs_remove" },
	{ 0x20c90fc1, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xc88b36bc, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0xce761d9a, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8bfc5a5a, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xa0552dc0, "devm_release_action" },
	{ 0x24421676, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb61d6fc2, "down_read_interruptible" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3ce70c2b, "alloc_free_mem_region" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdb722fcf, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe47f031f, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x22f4c749, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x84f13cfb, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x5488369, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xaaf3640e, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd407f791, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ef0a759, "seq_printf" },
	{ 0xeed5f852, "device_match_name" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x66274565, "pci_walk_bus" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x4b690767, "__devm_add_action" },
	{ 0xae7dce1d, "pci_find_dvsec_capability" },
	{ 0x8c5b6a6a, "device_find_child_by_name" },
	{ 0xd8a08adf, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcaa00d88, "pci_write_config_word" },
	{ 0x30cc848, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x2206111f, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf91bc4f1, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xebf29ff2, "pci_bus_type" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0x3d3a4a16, "__request_region" },
	{ 0x62c04345, "bus_register" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B048606D9A598DEA94E2C9B");
