#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x1f8df3c7, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x8ea7ffca, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xd415c7a6, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x6e55507c, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0xcaab36f9, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0xfe66d498, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x30bb102f, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x7baf5de0, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xb33dc502, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x7d8c12a5, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xeae4b1b2, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x502fff70, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x7590ec78, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xd6149b64, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x88b566b3, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x125e857f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x78cd6fc, "vmf_insert_pfn" },
	{ 0xc78cbc71, "ww_mutex_lock_interruptible" },
	{ 0x73954aff, "drm_gem_get_pages" },
	{ 0x7acbacd4, "dma_buf_vmap" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xd2fe33ac, "invalidate_mapping_pages" },
	{ 0xd754ae24, "ww_mutex_unlock" },
	{ 0x454754c9, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x6c663733, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x724e28c3, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x4490a856, "drm_gem_create_mmap_offset" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x712576a7, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x69310d7d, "dev_driver_string" },
	{ 0x9e96f90b, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x211cf5d9, "set_pages_array_wb" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xd0931b9c, "drm_gem_vm_close" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x5f0c50e, "drm_gem_vm_open" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xef50593b, "drm_gem_object_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb6a310a1, "ww_mutex_lock" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xdd111ea4, "vmap" },
	{ 0x61dae6d4, "drm_gem_handle_create" },
	{ 0xa0345905, "__drm_dev_dbg" },
	{ 0xe51a37a, "drm_prime_pages_to_sg" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9b6b824a, "dma_buf_vunmap" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6b9915ad, "shmem_truncate_range" },
	{ 0x81420ef6, "set_pages_array_wc" },
	{ 0x28779e52, "drm_printf" },
	{ 0x56659291, "dma_map_sgtable" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8e9aa0c2, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x2535330b, "dma_unmap_sg_attrs" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x7827667d, "drm_gem_put_pages" },
	{ 0xa1448b37, "drm_gem_private_object_fini" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xac1275b8, "drm_prime_gem_destroy" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0376228694C0E6761CA8C54");
