#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_sched_fault, "", "");
KSYMTAB_FUNC(drm_sched_suspend_timeout, "", "");
KSYMTAB_FUNC(drm_sched_resume_timeout, "", "");
KSYMTAB_FUNC(drm_sched_stop, "", "");
KSYMTAB_FUNC(drm_sched_start, "", "");
KSYMTAB_FUNC(drm_sched_resubmit_jobs, "", "");
KSYMTAB_FUNC(drm_sched_job_init, "", "");
KSYMTAB_FUNC(drm_sched_job_arm, "", "");
KSYMTAB_FUNC(drm_sched_job_add_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_syncobj_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_resv_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_add_implicit_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_cleanup, "", "");
KSYMTAB_FUNC(drm_sched_pick_best, "", "");
KSYMTAB_FUNC(drm_sched_init, "", "");
KSYMTAB_FUNC(drm_sched_fini, "", "");
KSYMTAB_FUNC(drm_sched_increase_karma, "", "");
KSYMTAB_FUNC(to_drm_sched_fence, "", "");
KSYMTAB_FUNC(drm_sched_entity_init, "", "");
KSYMTAB_FUNC(drm_sched_entity_modify_sched, "", "");
KSYMTAB_FUNC(drm_sched_entity_error, "", "");
KSYMTAB_FUNC(drm_sched_entity_flush, "", "");
KSYMTAB_FUNC(drm_sched_entity_fini, "", "");
KSYMTAB_FUNC(drm_sched_entity_destroy, "", "");
KSYMTAB_FUNC(drm_sched_entity_set_priority, "", "");
KSYMTAB_FUNC(drm_sched_entity_push_job, "", "");

SYMBOL_CRC(drm_sched_fault, 0x5b9ecbd8, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0x45169973, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0xef522494, "");
SYMBOL_CRC(drm_sched_stop, 0x87e6cabe, "");
SYMBOL_CRC(drm_sched_start, 0x0d04732b, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x8cb6c308, "");
SYMBOL_CRC(drm_sched_job_init, 0xd697b074, "");
SYMBOL_CRC(drm_sched_job_arm, 0x205b60f1, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x62d887f4, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0x93f24f59, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0x043eca86, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0xe2733663, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0xbfe6c7e8, "");
SYMBOL_CRC(drm_sched_pick_best, 0x2423adc3, "");
SYMBOL_CRC(drm_sched_init, 0x9aa5f6bd, "");
SYMBOL_CRC(drm_sched_fini, 0xec84c063, "");
SYMBOL_CRC(drm_sched_increase_karma, 0x963db167, "");
SYMBOL_CRC(to_drm_sched_fence, 0x0b48826e, "");
SYMBOL_CRC(drm_sched_entity_init, 0x6d0d17f0, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0x04fd82dd, "");
SYMBOL_CRC(drm_sched_entity_error, 0x559b1e0b, "");
SYMBOL_CRC(drm_sched_entity_flush, 0x3164e60f, "");
SYMBOL_CRC(drm_sched_entity_fini, 0x86c8d6c0, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0x61fb9ea7, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0x18ee74e5, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0xa1def602, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2937467f, "drm_syncobj_find_fence" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x176edda, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb8f50019, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7594af79, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x98e29b97, "trace_event_raw_init" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x31175f86, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0x4c31aa54, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe5d94691, "kthread_park" },
	{ 0xc73b2838, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3cd29d1b, "wake_up_process" },
	{ 0xda659bc7, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xda4e63d7, "dma_resv_iter_next" },
	{ 0x70daa11e, "dma_fence_remove_callback" },
	{ 0xa511c546, "kmem_cache_alloc" },
	{ 0x9d4ee0f4, "drm_dev_printk" },
	{ 0xc6a03215, "kthread_unpark" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5812e0e8, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x6ae58708, "kmem_cache_free" },
	{ 0xc88b36bc, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7d9070ed, "kthread_stop" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x14986b74, "bpf_trace_run1" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8068299, "kthread_create_on_node" },
	{ 0x745a981, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5488369, "trace_event_buffer_reserve" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x97fbb58b, "dma_resv_iter_first" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0x8f4b65d7, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xef4a2867, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "79381639E3115EC5039B6C2");
