#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i2c_dw_validate_speed, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_acpi_configure, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_adjust_bus_speed, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_prepare_clk, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_configure_master, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_probe_master, "_gpl", "");

SYMBOL_CRC(i2c_dw_validate_speed, 0xbf2ac3ac, "_gpl");
SYMBOL_CRC(i2c_dw_acpi_configure, 0x0c010de5, "_gpl");
SYMBOL_CRC(i2c_dw_adjust_bus_speed, 0x62a8dc67, "_gpl");
SYMBOL_CRC(i2c_dw_prepare_clk, 0x0c7926b1, "_gpl");
SYMBOL_CRC(i2c_dw_configure_master, 0x088d2256, "_gpl");
SYMBOL_CRC(i2c_dw_probe_master, 0xa76bddeb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x550f3e05, "i2c_freq_mode_string" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x241aa6a5, "is_acpi_device_node" },
	{ 0x6f4a01b, "regmap_write" },
	{ 0x47fc3c42, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x81db275b, "i2c_recover_bus" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb31f72a0, "i2c_generic_scl_recovery" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4790484e, "devm_gpiod_get_optional" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xbdbefd69, "i2c_add_numbered_adapter" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xca514725, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8e218d79, "regmap_read" },
	{ 0xb8f0bfa2, "__pm_runtime_resume" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x3d616ea0, "devm_pinctrl_get" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd44c5122, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x73fe2d74, "__pm_runtime_suspend" },
	{ 0x3147fb99, "i2c_acpi_find_bus_speed" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4b806eab, "__devm_regmap_init" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "i2c-core");


MODULE_INFO(srcversion, "EFED3308CBBBD45DBAB3C3E");
