#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0xad226ee9, "");
SYMBOL_CRC(r5c_journal_mode_set, 0xf204feed, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x16d1151f, "set_disk_ro" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x351207b3, "register_md_personality" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5c7ff340, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x18fc73cb, "blk_start_plug" },
	{ 0xdb3bb965, "md_bitmap_resize" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xd68a1cc3, "mddev_init_writes_pending" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfc602c80, "md_find_rdev_rcu" },
	{ 0xa87d55f3, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x5daf52ba, "dump_page" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x660a933a, "md_bitmap_start_sync" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1de411c0, "md_bitmap_cond_end_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfd7fb91a, "md_error" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x57312b22, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x26c5c5b1, "mempool_init" },
	{ 0xc9327fe, "register_shrinker" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x838ad3b8, "md_bitmap_startwrite" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x80adbd50, "md_finish_reshape" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0xe6a348c1, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xa2527ff1, "md_unregister_thread" },
	{ 0xbdff5ee6, "__put_devmap_managed_page_refs" },
	{ 0xc2a6e3c, "sync_page_io" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x25446cb8, "md_bitmap_close_sync" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x4c31aa54, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe5d94691, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae9191a7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x6724c1e1, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x28de8316, "md_wakeup_thread" },
	{ 0x8fa8aca1, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe745fef, "md_set_array_sectors" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x94ecdf57, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29f622c9, "rdev_clear_badblocks" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x7cbd2380, "async_tx_quiesce" },
	{ 0x4af89660, "md_write_start" },
	{ 0xeee85730, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x85047724, "mempool_alloc" },
	{ 0xffc61a84, "unregister_shrinker" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x13c88b55, "async_xor" },
	{ 0xfd043976, "__free_pages" },
	{ 0xa511c546, "kmem_cache_alloc" },
	{ 0xc9ed0dd7, "async_xor_offs" },
	{ 0x3f57af9d, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x1016cc62, "submit_bio" },
	{ 0xd6ffd950, "blk_queue_flag_clear" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd29c7f91, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc6a03215, "kthread_unpark" },
	{ 0x69d20506, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xfa99d3ea, "md_done_sync" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb39db7a4, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xdd3f3839, "bio_endio" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x4f9f972e, "md_wait_for_blocked_rdev" },
	{ 0x87b109ac, "__SCK__tp_func_block_bio_remap" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc9246560, "async_memcpy" },
	{ 0xfce91f36, "submit_bio_noacct" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6ae58708, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0xe86a52e4, "mddev_unlock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x57129102, "__tracepoint_block_unplug" },
	{ 0x5eeb44bf, "bio_chain" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa90ab742, "__blk_trace_note_message" },
	{ 0xb12d0ba0, "blkdev_issue_zeroout" },
	{ 0x6a4afa62, "disk_stack_limits" },
	{ 0xaa87cf19, "__cpuhp_state_add_instance" },
	{ 0x8780d1aa, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5c62ba2a, "async_raid6_2data_recov" },
	{ 0x3c11fe86, "md_do_sync" },
	{ 0x23d3958b, "bio_add_page" },
	{ 0x7a58c665, "__SCK__tp_func_block_unplug" },
	{ 0xb6e65bcb, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ef1bb77, "md_update_sb" },
	{ 0x4deb6b8a, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x2c7bc7bd, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2859cb0c, "md_flush_request" },
	{ 0xeb3496e0, "bio_init" },
	{ 0xfb59ffa8, "md_register_thread" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xa2d91122, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x117566af, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xece48d0e, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1ba13495, "__cpu_to_node" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31264664, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe2f7aae0, "unregister_md_personality" },
	{ 0x4220607, "blk_queue_max_write_zeroes_sectors" },
	{ 0x91426c5, "md_bitmap_unplug" },
	{ 0x73190200, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7287d9bb, "param_ops_bool" },
	{ 0x4d390d39, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf48624e2, "async_syndrome_val" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0xd41a374e, "alloc_pages" },
	{ 0x42a92386, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x7ef0a759, "seq_printf" },
	{ 0xa886003, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x30a7f015, "blk_queue_io_min" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xe8664fa3, "md_check_recovery" },
	{ 0xf448ca71, "md_bitmap_endwrite" },
	{ 0xa9dab739, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x94b9e6d, "blkdev_issue_flush" },
	{ 0xc1011ff8, "mddev_suspend" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3c628d2b, "badblocks_check" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0xff607e16, "blk_queue_max_hw_sectors" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd8e75e17, "rdev_set_badblocks" },
	{ 0xd5bfa89e, "bio_alloc_bioset" },
	{ 0x48b86cd4, "blk_queue_io_opt" },
	{ 0xd7a026a8, "async_raid6_datap_recov" },
	{ 0x2f2f4f64, "submit_bio_wait" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xb6a38f6f, "mempool_exit" },
	{ 0xef4a2867, "kmem_cache_destroy" },
	{ 0xa385380d, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x35a3b78d, "blkdev_issue_discard" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq");


MODULE_INFO(srcversion, "2719800A7E632A7B7088D4E");
