#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mei_me_irq_quick_handler, "_gpl", "");
KSYMTAB_FUNC(mei_me_irq_thread_handler, "_gpl", "");
KSYMTAB_FUNC(mei_me_polling_thread, "_gpl", "");
KSYMTAB_FUNC(mei_me_get_cfg, "_gpl", "");
KSYMTAB_FUNC(mei_me_dev_init, "_gpl", "");

SYMBOL_CRC(mei_me_irq_quick_handler, 0x922c6ae5, "_gpl");
SYMBOL_CRC(mei_me_irq_thread_handler, 0xd0eef98f, "_gpl");
SYMBOL_CRC(mei_me_polling_thread, 0x051f202c, "_gpl");
SYMBOL_CRC(mei_me_get_cfg, 0x9b755d2c, "_gpl");
SYMBOL_CRC(mei_me_dev_init, 0xb4027ba3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x14dc7949, "__SCT__tp_func_mei_pci_cfg_read" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x855e783c, "dev_pm_domain_set" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x3b0a488d, "__SCT__tp_func_mei_reg_read" },
	{ 0x470c4c95, "__SCK__tp_func_mei_reg_read" },
	{ 0x9c204de9, "pm_runtime_set_autosuspend_delay" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6ba4dc7d, "__pci_register_driver" },
	{ 0xc972fa40, "pci_disable_msi" },
	{ 0x838f08b1, "mei_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe4799ef2, "mei_cl_all_disconnect" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x15c86e70, "mei_hbm_pg" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0x3f6677e0, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1ed8bb6b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfa0684dc, "__pm_runtime_set_status" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xd43f844a, "pci_bus_read_config_dword" },
	{ 0x598951ce, "mei_deregister" },
	{ 0xd575a59b, "_dev_info" },
	{ 0xfa9c8ace, "mei_cancel_work" },
	{ 0xf1eace13, "mei_irq_read_handler" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xef6acb72, "pcim_iomap_regions" },
	{ 0x1f9ad875, "mei_stop" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xa6a45d33, "mei_register" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8d87823, "pci_enable_msi" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa70911c7, "__tracepoint_mei_reg_read" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbb25295, "__SCT__tp_func_mei_reg_write" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xca514725, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xcb9f6f52, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x88a8d781, "dma_set_coherent_mask" },
	{ 0x4ed83ddf, "__SCK__tp_func_mei_pci_cfg_read" },
	{ 0xdad0e069, "pm_runtime_allow" },
	{ 0xb8f0bfa2, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3acc83c8, "mei_irq_compl_handler" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x4dd657aa, "mei_hbm_pg_resume" },
	{ 0x3a5a7bb9, "__tracepoint_mei_reg_write" },
	{ 0x3905d575, "mei_restart" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xbfdf4e3c, "__SCK__tp_func_mei_reg_write" },
	{ 0x6ce0dedb, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x96c55128, "__tracepoint_mei_pci_cfg_read" },
	{ 0xfa7ceb98, "pcim_iomap_table" },
	{ 0x73fe2d74, "__pm_runtime_suspend" },
	{ 0x66275342, "__pm_runtime_use_autosuspend" },
	{ 0xb7a2b5df, "mei_device_init" },
	{ 0xaa485e93, "mei_write_is_idle" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7c787116, "pcim_enable_device" },
	{ 0xdbd0c6e9, "mei_irq_write_handler" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "mei");

MODULE_ALIAS("pci:v00008086d00002974sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002984sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002994sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029A4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A04sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A14sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029B4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029F4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000028B4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000028C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000028D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000028E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000028F4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A54sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A64sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A74sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002E04sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002E14sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002E24sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002E34sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003B64sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003B65sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001C3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001D3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001E3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001CBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001DBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008C3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008D3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008CBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009CBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009CBBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D3Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D3Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A13Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A13Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A1BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001A9Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A9Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000019E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000319Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A2BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A2BBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A2BEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DE0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DE4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A364sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A3BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000038E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A0E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000043E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004DE0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B75sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000018D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001BE0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007AE8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007A60sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007A68sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007E70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F68sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007770sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A870sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2456D1CFD2699769C059509");
