#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x95423a3d, "");
SYMBOL_CRC(vnic_dev_get_res, 0x8ba5c13e, "");
SYMBOL_CRC(vnic_dev_unregister, 0xb94ccc9f, "");
SYMBOL_CRC(vnic_dev_register, 0xa762f55d, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x3520c8b9, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0xbe7137ed, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42bb3f65, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5d364acc, "pci_find_ext_capability" },
	{ 0xf98401e8, "skb_copy_bits" },
	{ 0xe6ebce66, "skb_put" },
	{ 0xec473cde, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf84a20df, "pci_enable_device_mem" },
	{ 0x530ada41, "consume_skb" },
	{ 0xc960de0e, "pci_iomap" },
	{ 0x39fae741, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf161c35b, "unregister_netdev" },
	{ 0x15ef1ed3, "dma_unmap_page_attrs" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6ba4dc7d, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xc972fa40, "pci_disable_msi" },
	{ 0x1356864, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x41c16ceb, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x6fa45a74, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x265415, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3f6677e0, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xabb35728, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x69310d7d, "dev_driver_string" },
	{ 0x9a5c98c, "dev_addr_mod" },
	{ 0xecc2aad2, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x832e5cb7, "dma_map_page_attrs" },
	{ 0x9c85bf53, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x35915f47, "pci_enable_msix_range" },
	{ 0xd575a59b, "_dev_info" },
	{ 0xfaa14e03, "__hw_addr_unsync_dev" },
	{ 0x2282fb40, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbb41ac88, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x8d87823, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xe0238b7c, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf7cdf649, "netif_set_real_num_tx_queues" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xb731d8e0, "netif_set_real_num_rx_queues" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x6be53b5c, "dev_close" },
	{ 0x57f33772, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x20c90fc1, "pci_read_config_word" },
	{ 0xc20039fb, "napi_enable" },
	{ 0x7243dd, "netif_receive_skb" },
	{ 0xe82eed5d, "nla_put" },
	{ 0xa598cfac, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd008e047, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcbcea54, "ethtool_op_get_link" },
	{ 0x3369fe55, "netif_set_xps_queue" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4d6e73dc, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x934aa0ef, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xcb9f6f52, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x662ea153, "__pskb_pull_tail" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xfc498822, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x88a8d781, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x462df0a1, "rps_may_expire_flow" },
	{ 0xc6e45ab7, "dma_free_attrs" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x40ee31d4, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xca3e468b, "call_netdevice_notifiers" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40990a06, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x23738803, "__hw_addr_sync_dev" },
	{ 0x9e7eb4ea, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1d4f56c, "netif_carrier_on" },
	{ 0xfad4d49, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa2d53af4, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6ce0dedb, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd4165c38, "__skb_flow_dissect" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0xfb73d742, "__napi_schedule_irqoff" },
	{ 0xcdef11a, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xbfaff1a, "napi_disable" },
	{ 0x302c4cf3, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf8847d5e, "pci_enable_sriov" },
	{ 0xdf4627a9, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0x47ff6836, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "698D0B539A3E0B77BE7ABC4");
