#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x622b4c26, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x454e5a5f, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x40e15044, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xac69e992, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xfe51614e, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xadb8f3d7, "");
SYMBOL_CRC(mlx5_cmd_check, 0xc8524f5f, "");
SYMBOL_CRC(mlx5_cmd_do, 0xf7df65d8, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x72e5c396, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xfd918029, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xfc0dee77, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x20545b43, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x0d5485bc, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xaf780cfd, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xb59b7c27, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x64464974, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xee1bbde8, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x679bb618, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xbe487c0f, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x2319d64c, "");
SYMBOL_CRC(mlx5_eq_enable, 0xd197bf90, "");
SYMBOL_CRC(mlx5_eq_disable, 0xb7a6a7d7, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x00efca9f, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x2c684e7f, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xbec5632a, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xc1d47f05, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xbb4841dd, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x7b9652ee, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x33cd8a4a, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x1a16a1d3, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xc3ab8b2a, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x66524cca, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x252e4204, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xbca0dc4c, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x9a43e53c, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x7aab093b, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x35a88c19, "");
SYMBOL_CRC(mlx5_create_cq, 0x0d29b81a, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x8dde279e, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x1adc7ebd, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x9353b897, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x2799a870, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x3eb257d5, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x092c687b, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x02029779, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x1868fad9, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xf40d897e, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xb08269ba, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x6119e505, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x04e1fe87, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x66964522, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x65774892, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x848b3824, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x92f62578, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xc2180a95, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x164f9181, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x44143cf5, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x8a0b6ae2, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x1819a136, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xcf043914, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x101d3ef9, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x0f35630c, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x606f46ae, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xe58e2c66, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xd0df7a46, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x7d29fd1e, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xf2d300bd, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x356269e3, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x3c03f2e9, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x3d04b27d, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x329d1b7a, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xd7a54dbe, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xfa749e5d, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x54a382b0, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x59e8fc5d, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x372b229f, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x13ecd989, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xa8891f4a, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x8e47d46b, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x7ab0f234, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xea6546af, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x43d97846, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x158d5ad2, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x1b93636d, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xb28e3edf, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x74074817, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x569267f9, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xc7af8d6e, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xdbc04119, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xcbf1bbcb, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x46a39d2b, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xe23e3a18, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x3dbb0ef7, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x3b17f019, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xf5f13cab, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xe02d57d2, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xbc6510b2, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x718e77d7, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x3dc36617, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x6c6df2ce, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xa4f2cf26, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x96d7909e, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xcd5db839, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x7b5e2fe6, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x9c0c0daf, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xb50f7134, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xc000a2f7, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x54a5fd5c, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xe79f111b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x055c529f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x2b3ef7bf, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xd2e4c9f6, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x47d77e4a, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x404100f0, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xb2a5137c, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xc68ad6b4, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x09f464d9, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x70e45392, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x114693bb, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x07bc1dce, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x746a6917, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xd6124f3b, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xa5e31184, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x97c8bea8, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xab4039df, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xa5b39251, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x1cbea495, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xd41deec2, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x877c1a4e, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x1d8be249, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x7498613f, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x86950e76, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xd6998663, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xb2823b91, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x8f06a941, "");
SYMBOL_CRC(mlx5_create_flow_group, 0xc4ec7728, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x508e9787, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x1b032834, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xbe6dc365, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x37e415d5, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x326ea0ae, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x3a1906d8, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x1992467f, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x2aa48f62, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xf50e82d2, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x96adf6d5, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xfcd67ce2, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x4b691d18, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x4acbf7f8, "");
SYMBOL_CRC(mlx5_msix_free, 0xffb1281e, "");
SYMBOL_CRC(mlx5_fc_create, 0xf9e5aab8, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x4478a86b, "");
SYMBOL_CRC(mlx5_fc_query, 0xc6759b0f, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x70502bf8, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xb78775f2, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x1095a51b, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xab9dc961, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x1d94f474, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xaf041872, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xea9bd967, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xa9f92ca2, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x42abb952, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xc1db8367, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x9ffb895f, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x0b5f2efa, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x138258c2, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x389bbfc3, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x46c0ef37, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x1b7295b9, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xf9c4216c, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xd4ffcacb, "");
SYMBOL_CRC(mlx5_notifier_register, 0x6a0da73a, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x38ab2c79, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x16a7a4d0, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x05331a0f, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xd09339fd, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xe552b970, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xc537076a, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xea737b9e, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0xf900ad68, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x3f01d9fc, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x17932a22, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x50141aab, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x1add289e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0xbe879de1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x98efecfa, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x7f2d2f80, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x767c6bb0, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x31fb5b39, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xe6479d42, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xdf68dc73, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xbccda2bb, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xce053b6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x2a2a99b2, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x25361a7f, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x4b464422, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xb3d12176, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x332248ac, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xbb86e0de, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x4a681733, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x86f0431a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x0cdfd23c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0xffba1c85, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xb2d821f2, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xc0b8aeec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0xea73a296, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xb746cd02, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xd8dc453f, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xb0e78770, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x9e13ca8e, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xa75e3bf8, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x0e7ae2be, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0xd6a00b5f, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x08215068, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xf1e73d6a, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xdc87f61b, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0xbd30a5b9, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x550761df, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x9a044973, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x30abdcb3, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xffb83a36, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xff9b05c2, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xce8d28aa, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x6405b0ef, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xaa4d2d77, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xf5939431, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x0815f9f3, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x9ab76412, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x9b211782, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x8f16a0f2, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x3eca89e6, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xed846b4f, "");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xc55d49d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e7eb4ea, "pci_disable_sriov" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x745a981, "xa_erase" },
	{ 0xb2582c45, "register_netdevice_notifier_dev_net" },
	{ 0x72bbbee3, "neigh_destroy" },
	{ 0xcfa444cf, "xdp_master_redirect" },
	{ 0x85608384, "skb_pull" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2cb45dc5, "netdev_set_tc_queue" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xc916ad3f, "dev_add_pack" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xa93f92fc, "xp_dma_unmap" },
	{ 0x851faec0, "page_pool_create" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xfcff0bfe, "devl_trap_groups_unregister" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x40e89f3b, "devlink_port_register_with_ops" },
	{ 0xbfb03dda, "ptp_clock_unregister" },
	{ 0xf5fb3d2c, "page_pool_update_nid" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8b28ac99, "__dev_get_by_index" },
	{ 0xee56a065, "xdp_set_features_flag" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd0749ec6, "skb_add_rx_frag" },
	{ 0x1a3e4dea, "devl_traps_unregister" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xb1ca1490, "net_dim" },
	{ 0x954f099c, "idr_preload" },
	{ 0x9ccab985, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x7dcca52, "pci_cfg_access_unlock" },
	{ 0xd521bac5, "debugfs_create_atomic_t" },
	{ 0xfd28b3f6, "__SCK__tp_func_xdp_exception" },
	{ 0x7b0f653a, "current_work" },
	{ 0x20c90fc1, "pci_read_config_word" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0xdf6061f3, "__dev_queue_xmit" },
	{ 0x7a5a1dbf, "netdev_master_upper_dev_get" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x86919b86, "ndo_dflt_bridge_getlink" },
	{ 0x2f1f0931, "bpf_trace_run7" },
	{ 0x6ae58708, "kmem_cache_free" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xcb9f6f52, "pci_set_master" },
	{ 0xfc498822, "__netdev_alloc_skb" },
	{ 0x78ec05ff, "pci_find_capability" },
	{ 0x3514e316, "debugfs_create_x32" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xbc69ca98, "flow_rule_match_mpls" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xd94e9f06, "xsk_tx_completed" },
	{ 0x96848186, "scnprintf" },
	{ 0x7bd9c7ff, "xsk_clear_tx_need_wakeup" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0xa2d53af4, "pci_disable_device" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xef4a2867, "kmem_cache_destroy" },
	{ 0x91aff35d, "flow_rule_match_basic" },
	{ 0x2725a510, "bpf_trace_run5" },
	{ 0x349f2281, "xdp_rxq_info_is_reg" },
	{ 0xc11cc822, "add_timer" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xf4e3011d, "debugfs_create_size_t" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xdd143978, "__tracepoint_xdp_exception" },
	{ 0x2fb63dd3, "priv_to_devlink" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb7db0923, "seq_release" },
	{ 0x31175f86, "bpf_trace_run2" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x14986b74, "bpf_trace_run1" },
	{ 0x934aa0ef, "dma_sync_single_for_cpu" },
	{ 0xab57f8a8, "dev_get_port_parent_id" },
	{ 0x47fac9d3, "pci_iov_get_pf_drvdata" },
	{ 0xe9a1b6af, "devlink_port_unregister" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xbb6d5019, "debugfs_create_u8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x22f4c749, "bpf_trace_run3" },
	{ 0xfb14cbf8, "napi_build_skb" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x573ba47, "ptp_clock_event" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x30cc848, "debugfs_create_dir" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd69b7b90, "cancel_work" },
	{ 0xbbdbf9db, "skb_ext_add" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x70e89e15, "bpf_warn_invalid_xdp_action" },
	{ 0x42a92386, "__folio_put" },
	{ 0x6fa45a74, "netdev_warn" },
	{ 0x176edda, "trace_raw_output_prep" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9a1b9346, "__alloc_pages" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd4bf258f, "devl_assert_locked" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x662ea153, "__pskb_pull_tail" },
	{ 0xfb578fc5, "memset" },
	{ 0xece784c2, "rb_first" },
	{ 0x5812e0e8, "perf_trace_run_bpf_submit" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xd41a374e, "alloc_pages" },
	{ 0xca514725, "_dev_warn" },
	{ 0xed594795, "single_open" },
	{ 0x1b385b57, "netif_carrier_event" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x7522b9e, "devl_rate_nodes_destroy" },
	{ 0x9401111c, "xp_raw_get_data" },
	{ 0xb43cdad, "flow_rule_match_icmp" },
	{ 0xcdef11a, "napi_schedule_prep" },
	{ 0x12bb4ba7, "flow_rule_match_ct" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xba6056f7, "ip_route_output_flow" },
	{ 0x8a7924c7, "devl_trap_groups_register" },
	{ 0x6455ab61, "xfrm_replay_seqhi" },
	{ 0x302c4cf3, "dev_kfree_skb_any_reason" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xbdddd32f, "rhltable_init" },
	{ 0x1ed8bb6b, "pci_read_config_dword" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xd661a76a, "netdev_set_num_tc" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1c4ec2a8, "psample_sample_packet" },
	{ 0xe4f38738, "pci_msix_alloc_irq_at" },
	{ 0x61651be, "strcat" },
	{ 0x4e9dffb5, "ip_fast_csum" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x3244f62c, "xdp_rxq_info_unused" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xebf29ff2, "pci_bus_type" },
	{ 0xc88b36bc, "trace_event_reg" },
	{ 0x5a921311, "strncmp" },
	{ 0x69310d7d, "dev_driver_string" },
	{ 0x83616705, "hwmon_device_unregister" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe914e41e, "strcpy" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0xf6c3908, "kfree_skb_reason" },
	{ 0x506b0b97, "register_fib_notifier" },
	{ 0xda81119, "devlink_port_attrs_pci_sf_set" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x53b954a2, "up_read" },
	{ 0xae3d41b6, "hwmon_device_register_with_info" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb8f50019, "__trace_trigger_soft_disabled" },
	{ 0x462df0a1, "rps_may_expire_flow" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xce807a25, "up_write" },
	{ 0xe6ebce66, "skb_put" },
	{ 0xabb35728, "netdev_err" },
	{ 0x89d2767b, "xdp_return_frame_bulk" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x883f059d, "netif_set_tso_max_size" },
	{ 0xb2d4c1e1, "__auxiliary_driver_register" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xdff2171e, "flow_block_cb_setup_simple" },
	{ 0x279de7d1, "pci_alloc_irq_vectors" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa7287838, "flow_rule_match_control" },
	{ 0x23d0f970, "__neigh_event_send" },
	{ 0x6e915f2d, "unregister_netdevice_notifier_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0x34d7903, "xsk_set_tx_need_wakeup" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x265415, "__netif_napi_del" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x230ac356, "irq_get_irq_data" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x51e22a95, "flow_block_cb_lookup" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x455ddc6d, "devl_params_register" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe95845de, "xdp_convert_zc_to_xdp_frame" },
	{ 0x3d73b9be, "seq_open" },
	{ 0xf430d6fd, "pci_sriov_get_totalvfs" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x29938338, "devlink_free" },
	{ 0x5b04970d, "devlink_port_attrs_pci_vf_set" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x57f33772, "dma_alloc_attrs" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x3540a565, "xfrm_state_check_expire" },
	{ 0x241b151c, "flow_rule_match_enc_opts" },
	{ 0x6626afca, "down" },
	{ 0x9b80c7fb, "metadata_dst_alloc" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xd44cd579, "pci_free_irq_vectors" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xebb57101, "devlink_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x83ffa521, "rhashtable_walk_start_check" },
	{ 0xa6257a2f, "complete" },
	{ 0x7ef0a759, "seq_printf" },
	{ 0x71750580, "pcie_capability_clear_and_set_word_locked" },
	{ 0xcd279169, "nla_find" },
	{ 0xb8e4095a, "xp_alloc" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xbee3bb75, "pci_iov_vf_id" },
	{ 0xe101a84a, "rhashtable_walk_enter" },
	{ 0x735885fe, "__napi_alloc_skb" },
	{ 0x2d9a1601, "rhashtable_walk_exit" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x37a0cba, "kfree" },
	{ 0x39fae741, "netif_napi_add_weight" },
	{ 0x9c394a55, "devl_params_unregister" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x60f5165d, "devlink_port_attrs_set" },
	{ 0x98e29b97, "trace_event_raw_init" },
	{ 0xb6a8acb1, "flow_rule_match_meta" },
	{ 0xdac72d70, "put_device" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x349cba85, "strchr" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x422d95ea, "sock_gen_put" },
	{ 0x95f76abd, "bpf_prog_add" },
	{ 0x52af033e, "flow_rule_match_vlan" },
	{ 0x510071b7, "neigh_lookup" },
	{ 0x1ba13495, "__cpu_to_node" },
	{ 0x575295b9, "flow_indr_dev_unregister" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf7cdf649, "netif_set_real_num_tx_queues" },
	{ 0x73b77d92, "init_net" },
	{ 0x40cd6070, "skb_checksum" },
	{ 0xbcbcea54, "ethtool_op_get_link" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x203b98cb, "bpf_prog_inc" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa41d992f, "dev_get_iflink" },
	{ 0xda659bc7, "trace_event_buffer_commit" },
	{ 0xf8eb1bee, "flow_rule_match_enc_keyid" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xb1ec1e7b, "register_netdevice_notifier_net" },
	{ 0x5daf52ba, "dump_page" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xd6755c13, "flow_rule_match_enc_control" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa2c22d86, "bus_find_device" },
	{ 0x618911fc, "numa_node" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x6d0cc02b, "pcie_bandwidth_available" },
	{ 0xa05275b1, "ptp_find_pin" },
	{ 0x432a2a59, "xdp_do_redirect" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc14cf17a, "netif_device_attach" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x1be11476, "pci_msix_vec_count" },
	{ 0x6ce0dedb, "dma_set_mask" },
	{ 0x4d6e73dc, "netif_tx_wake_queue" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x668b19a1, "down_read" },
	{ 0x88392ace, "call_switchdev_notifiers" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0xbcad6c2e, "pcie_print_link_status" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xffc8686f, "devl_port_health_reporter_create" },
	{ 0x57ea1613, "kmalloc_node_trace" },
	{ 0x9166fada, "strncpy" },
	{ 0xf98401e8, "skb_copy_bits" },
	{ 0x7a99b9c7, "tls_get_record" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xf86b13df, "devl_unregister" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xdf67281e, "netdev_master_upper_dev_get_rcu" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x5488369, "trace_event_buffer_reserve" },
	{ 0xcf1118e8, "devl_port_unregister" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x99eb0fb5, "seq_lseek" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x3bb77824, "debugfs_create_u64" },
	{ 0x401881e6, "___pskb_trim" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0xc59f22e7, "netif_schedule_queue" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfdfea863, "free_fib_info" },
	{ 0x83c03503, "netdev_port_same_parent_id" },
	{ 0xa4276045, "flow_rule_match_eth_addrs" },
	{ 0x3fdd71f6, "dev_remove_pack" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x26d789b2, "xp_can_alloc" },
	{ 0x34b23c7c, "xp_dma_map" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x3f6677e0, "pci_unregister_driver" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x85959093, "xdp_return_frame" },
	{ 0x79179312, "dev_get_by_index_rcu" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc6568955, "skb_store_bits" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6f53f9b, "param_ops_uint" },
	{ 0xccd459fa, "devl_param_driverinit_value_get" },
	{ 0xcb60b8b1, "flow_rule_match_tcp" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xec473cde, "skb_tstamp_tx" },
	{ 0xbdff5ee6, "__put_devmap_managed_page_refs" },
	{ 0x1a9341f7, "unregister_fib_notifier" },
	{ 0x8af505e9, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x793d6f7, "ip6_dst_hoplimit" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xad2c205, "devlink_port_health_reporter_create" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xf87d623c, "devlink_unregister" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x40990a06, "netif_carrier_off" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x832e5cb7, "dma_map_page_attrs" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf26ac8e4, "seq_read" },
	{ 0x68a3fffb, "pci_save_state" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0xde80cd09, "ioremap" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x71c8c17d, "flow_rule_match_cvlan" },
	{ 0x3369fe55, "netif_set_xps_queue" },
	{ 0xeec2a268, "devl_unlock" },
	{ 0xe0238b7c, "softnet_data" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x6ba4dc7d, "__pci_register_driver" },
	{ 0xc6e45ab7, "dma_free_attrs" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x9c85bf53, "napi_complete_done" },
	{ 0x509001cf, "__neigh_create" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x644e11d5, "devlink_alloc_ns" },
	{ 0x5558b9fe, "devlink_priv" },
	{ 0x71b11d8, "ptp_clock_register" },
	{ 0x674d9b48, "devl_rate_leaf_destroy" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x383a6d97, "ptp_clock_index" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x51148cbe, "dev_get_by_index" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8faf99f2, "debugfs_attr_read" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x986e1f99, "napi_consume_skb" },
	{ 0xaefc35df, "netdev_printk" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7eaa4aca, "netdev_pick_tx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbcaf51bc, "page_pool_alloc_pages" },
	{ 0x28ae3040, "devlink_port_attrs_pci_pf_set" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xa14fe3aa, "arp_tbl" },
	{ 0x40ee31d4, "pci_release_regions" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0xfa5c6420, "work_busy" },
	{ 0xfdd6f633, "xdp_rxq_info_reg_mem_model" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x9aa4bcc9, "udp4_hwcsum" },
	{ 0xb4b382ce, "devl_register" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x2a5ef9bc, "netdev_reset_tc" },
	{ 0xa62a95bd, "__dynamic_netdev_dbg" },
	{ 0xa598cfac, "register_netdev" },
	{ 0x1af267f8, "int_pow" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9a5c98c, "dev_addr_mod" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcf2a6966, "up" },
	{ 0xa05e96c4, "auxiliary_device_init" },
	{ 0x6aa087d4, "ipv6_stub" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x4c31aa54, "kmem_cache_create" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x996c88fd, "vlan_dev_real_dev" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xac122763, "xp_dma_sync_for_cpu_slow" },
	{ 0xe9bf228f, "devl_rate_leaf_create" },
	{ 0xca2ea87c, "flow_rule_match_ip" },
	{ 0x862258db, "timecounter_init" },
	{ 0xb731d8e0, "netif_set_real_num_rx_queues" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xe3ed5362, "xsk_clear_rx_need_wakeup" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6fd46fbd, "flow_rule_match_ipv6_addrs" },
	{ 0x7043ff9e, "xp_dma_sync_for_device_slow" },
	{ 0x859c3532, "devlink_trap_report" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xe1ae595c, "auxiliary_driver_unregister" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xa3ad24a9, "xsk_uses_need_wakeup" },
	{ 0x5ce6c548, "netif_device_detach" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9230df59, "devl_traps_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x9e635efb, "dst_release" },
	{ 0x3d4be781, "skb_push" },
	{ 0x24421676, "device_del" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x44856d87, "xsk_tx_release" },
	{ 0x92e72f, "vlan_dev_vlan_proto" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x7594af79, "trace_event_printf" },
	{ 0xfb172955, "__inet6_lookup_established" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xd022b5f2, "xp_raw_get_dma" },
	{ 0x57bc19d2, "down_write" },
	{ 0x3496f20b, "seq_puts" },
	{ 0xe6f16ea5, "pci_restore_state" },
	{ 0x461f7670, "dcb_ieee_delapp" },
	{ 0xdcce2033, "page_pool_put_defragged_page" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9b79ed9e, "xsk_set_rx_need_wakeup" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa511c546, "kmem_cache_alloc" },
	{ 0x6d523e6b, "eth_get_headlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xffae3c24, "rhashtable_walk_next" },
	{ 0x2fef7449, "page_pool_destroy" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xdf502589, "debugfs_create_u32" },
	{ 0xf8847d5e, "pci_enable_sriov" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0xb19b445, "ioread8" },
	{ 0x6669767e, "devlink_net" },
	{ 0x1d4f56c, "netif_carrier_on" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf8ac2f91, "simple_attr_open" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd0b2865d, "pci_enable_device" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9d78abb5, "pci_msix_free_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa1766de7, "pci_cfg_access_lock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x326e9d5a, "ipv6_find_hdr" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6eeaa4d, "flow_rule_match_ipv4_addrs" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0x15ef1ed3, "dma_unmap_page_attrs" },
	{ 0x47ff6836, "netdev_info" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe16797f9, "simple_attr_release" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x3e2ea3f, "debugfs_create_file" },
	{ 0xca213c54, "devlink_health_reporter_create" },
	{ 0xf8a218e2, "xsk_tx_peek_desc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf161c35b, "unregister_netdev" },
	{ 0x88a8d781, "dma_set_coherent_mask" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0xf799639a, "debugfs_attr_write" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9283fb8, "pci_write_config_dword" },
	{ 0xeca49b5b, "simple_open" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x3643b000, "devl_port_register_with_ops" },
	{ 0xc2740d52, "__xdp_rxq_info_reg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb57d7f89, "flow_block_cb_alloc" },
	{ 0xdfe57811, "vlan_dev_vlan_id" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x42bb3f65, "alloc_etherdev_mqs" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5b2a760b, "xp_free" },
	{ 0x1f07345d, "xdp_rxq_info_unreg" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe2d4406d, "pcie_relaxed_ordering_enabled" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe84fd2c1, "debugfs_remove" },
	{ 0x1356864, "pci_request_regions" },
	{ 0x2bb1743e, "devl_param_driverinit_value_set" },
	{ 0xfc3a9a68, "request_firmware_direct" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x390775ed, "rhashtable_walk_stop" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfd043976, "__free_pages" },
	{ 0xd008e047, "free_netdev" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb7576c33, "flow_indr_dev_register" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x869b522b, "flow_rule_match_ports" },
	{ 0x13e9d470, "pci_msix_can_alloc_dyn" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x1181d7dd, "dma_sync_single_for_device" },
	{ 0xbfaff1a, "napi_disable" },
	{ 0xe61b4e58, "devl_lock" },
	{ 0xb9e0f1a9, "flow_indr_block_cb_alloc" },
	{ 0x92647dd9, "__auxiliary_device_add" },
	{ 0xdd8bdb21, "rhashtable_free_and_destroy" },
	{ 0xa64ed46, "pci_enable_atomic_ops_to_root" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa343e8f3, "udp_tunnel_nic_ops" },
	{ 0xfad4fb67, "xp_set_rxq_info" },
	{ 0xe1a1aee4, "dma_pool_create" },
	{ 0xaa9b1e49, "__inet_lookup_established" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xee6e5b0f, "pcie_capability_read_word" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x69acdf38, "memcpy" },
	{ 0x60e67ee9, "flow_rule_match_enc_ip" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xe56e040d, "flow_rule_match_enc_ports" },
	{ 0xd4165c38, "__skb_flow_dissect" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x754d539c, "strlen" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf1e22c, "netdev_update_features" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc20039fb, "napi_enable" },
	{ 0x5db343b8, "unregister_netdevice_notifier_dev_net" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x764d8234, "netdev_lower_get_next" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x98cab575, "dev_printk_emit" },
	{ 0x63e9735d, "flow_block_cb_free" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe43aa75, "devlink_remote_reload_actions_performed" },
	{ 0x4719d57f, "pci_irq_vector" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xad5ad87e, "pci_num_vf" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xf95fe951, "dcb_ieee_setapp" },
	{ 0xa795b565, "devl_health_reporter_create" },
	{ 0x26836872, "single_release" },
	{ 0x2282fb40, "napi_gro_receive" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x9998e085, "bpf_prog_put" },
	{ 0xedc03953, "iounmap" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xecc2aad2, "eth_type_trans" },
	{ 0x35151df6, "secpath_set" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x27fecb97, "qdisc_reset" },
	{ 0xefc9cd04, "__napi_schedule" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x52d2585f, "xp_alloc_batch" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xa1af4dd8, "tls_validate_xmit_skb" },
	{ 0x6862575f, "skb_vlan_pop" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "ptp,psample,pci-hyperv-intf,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "95A54689F5D30243704D253");
