#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x3183019b, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xc8d58a47, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xa8f92ac7, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x05c8d006, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xcafc5461, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81ff2796, "__do_once_done" },
	{ 0x22a0a2, "ip6_route_input_lookup" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e1eb99e, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7b3fdb4a, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb9b04235, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf1e22c, "netdev_update_features" },
	{ 0x530ada41, "consume_skb" },
	{ 0xce2e10fd, "ip6_local_out" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x200b767a, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8c26c355, "rtnl_link_register" },
	{ 0xc179d32f, "netif_inherit_tso_max" },
	{ 0xc097b60d, "eth_header_cache" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xba6056f7, "ip_route_output_flow" },
	{ 0xe2bc3bf5, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x206b9fce, "dev_uc_unsync" },
	{ 0x38bb53fa, "ether_setup" },
	{ 0xabb35728, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2ca769b0, "netdev_upper_dev_link" },
	{ 0xb54f1d90, "register_pernet_subsys" },
	{ 0x9a5c98c, "dev_addr_mod" },
	{ 0xd03bd809, "netdev_core_stats_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1fb2666d, "eth_header_parse" },
	{ 0xb6d14626, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x67aade2a, "eth_header_cache_update" },
	{ 0x15a774ad, "nf_register_net_hooks" },
	{ 0x19b194cb, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe17ef7db, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x8b28ac99, "__dev_get_by_index" },
	{ 0xa91ef0ea, "rtnl_link_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x85608384, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe78212aa, "netif_stacked_transfer_operstate" },
	{ 0xf6c3908, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe69f0fdb, "netdev_upper_dev_unlink" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0xa2453050, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcbcea54, "ethtool_op_get_link" },
	{ 0xf94f04bb, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x4c85acbc, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x662ea153, "__pskb_pull_tail" },
	{ 0xf8e545e2, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc66c3e46, "skb_scrub_packet" },
	{ 0xdd64e639, "strscpy" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xdf6061f3, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1ca08336, "vlan_vid_add" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xca3e468b, "call_netdevice_notifiers" },
	{ 0x26bdf264, "vlan_vid_del" },
	{ 0xa8b2046f, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf14d41b3, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9e635efb, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x180d7b3c, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf3e5c70a, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x574a2d5c, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdfb54eaa, "dev_change_flags" },
	{ 0x30bcedfb, "dev_forward_skb" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c4c8b19, "register_netdevice" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B82B76A4896558897CBD30F");
