#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x649be5da, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x449407ff, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x60d58a90, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x8a5e7378, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0xe1d95de5, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x98f374cd, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xb2c6cbfd, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x3c492000, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x489baddc, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0xc8ed7e12, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x12206e1b, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x78c3eea4, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x402777cb, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x55c8a6d6, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x93f21af0, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x4ef87ce5, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x19974f0b, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xf4e35430, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xd275561f, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x545632d0, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xd8c45dbb, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xb3692944, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xaff2925e, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x661db546, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x93a22a43, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x7f89d2fd, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0xb67ac91b, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x79079904, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x572b5f98, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x73bf6a2e, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0xf9219a98, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x65304151, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x218237ed, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x9b5bee9b, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x41ecf7d2, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0xc9ad40f2, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0xd773dd27, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xf55f071c, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x9034bac1, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x80450277, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x5cd541f7, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x5720f8f0, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x5a5c43b2, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x382363c9, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xa888d437, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0xf506bd9c, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x549183f3, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xc0075346, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0xc7263e21, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0xd3d17643, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x993fb99f, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x4f641a18, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x35654a31, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x28324fa5, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0xab7aa519, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x03ea0940, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x0e218e24, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x248b63a2, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x19acb747, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x5c6a48d6, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xcc1b08af, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x9b04a268, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xa6e7ac18, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x119ecdbf, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x591a8dde, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x7a6d4662, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6decfad2, "ieee80211_sta_register_airtime" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x2c3e4e79, "mt76_dma_rx_poll" },
	{ 0x5d0641bc, "mt76_tx_status_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf8ac2f91, "simple_attr_open" },
	{ 0xf799639a, "debugfs_attr_write" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x530ada41, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x39fae741, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6c9caa9, "mt76_tx_status_skb_get" },
	{ 0x176edda, "trace_raw_output_prep" },
	{ 0x42fb206c, "mt76_tx_status_lock" },
	{ 0x26e87e7e, "skb_dequeue" },
	{ 0xb8f50019, "__trace_trigger_soft_disabled" },
	{ 0x7594af79, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xcbe44ca1, "mt76_csa_check" },
	{ 0x8eaf9f68, "mt76_tx_status_skb_add" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd0c3bdb, "__tracepoint_mac_txdone" },
	{ 0xcbad146e, "mt76_tx_check_agg_ssn" },
	{ 0xb136e40f, "ieee80211_tx_status_ext" },
	{ 0xe8c45a24, "mt76_stop_tx_queues" },
	{ 0x401881e6, "___pskb_trim" },
	{ 0x98e29b97, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf3e3e295, "__mt76_tx_complete_skb" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x99eb0fb5, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x94c51d15, "ieee80211_restart_hw" },
	{ 0x31175f86, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xc0f4f205, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe5d94691, "kthread_park" },
	{ 0x9d9f2fcc, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9e52d30b, "mt76_wcid_init" },
	{ 0x44278231, "mt76_tx_status_check" },
	{ 0x3cd29d1b, "wake_up_process" },
	{ 0xda659bc7, "trace_event_buffer_commit" },
	{ 0x48940d83, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c85bf53, "napi_complete_done" },
	{ 0xebb9963c, "ieee80211_get_tx_rates" },
	{ 0xec424891, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4565da68, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x8c30cda3, "mt76_tx" },
	{ 0xefc9cd04, "__napi_schedule" },
	{ 0x2ad653d6, "mt76_csa_finish" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x881a4871, "mt76_wcid_key_setup" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x4e598bd6, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb4f7de72, "mt76_rx" },
	{ 0xc6a03215, "kthread_unpark" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbdbc70f3, "mt76_phy_dfs_state" },
	{ 0x38d3ed81, "wiphy_to_ieee80211_hw" },
	{ 0x5e9b03df, "mt76_init_queue" },
	{ 0x8faf99f2, "debugfs_attr_read" },
	{ 0xf0708085, "__mt76_sta_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x5fe21da7, "mt76_tx_status_skb_done" },
	{ 0xfb64f51a, "ieee80211_queue_delayed_work" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5812e0e8, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xc3bb1c2, "debugfs_create_bool" },
	{ 0x85608384, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xe16797f9, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa3566101, "__SCK__tp_func_dev_irq" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3d4be781, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc20039fb, "napi_enable" },
	{ 0xc88b36bc, "trace_event_reg" },
	{ 0x920d90cd, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x8f8b6d17, "ieee80211_wake_queues" },
	{ 0x3e3dac5, "mt76_mcu_send_and_get_msg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3af1bc1a, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xfe439369, "__mt76_mcu_msg_alloc" },
	{ 0x34824535, "mt76_set_irq_mask" },
	{ 0x14986b74, "bpf_trace_run1" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x1c2373c9, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf502589, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x39d45391, "__SCK__tp_func_mac_txdone" },
	{ 0x193559d8, "mt76_seq_puts_array" },
	{ 0x62544c0f, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35d0b0e0, "__tracepoint_dev_irq" },
	{ 0xf26ac8e4, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3fa2f76d, "mt76_mcu_get_response" },
	{ 0x3e2ea3f, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x5488369, "trace_event_buffer_reserve" },
	{ 0xff1e319e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x60a05a8c, "mt76_txq_schedule_all" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x548890c8, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xbc98ab21, "____mt76_poll_msec" },
	{ 0x7ef0a759, "seq_printf" },
	{ 0x74f58449, "ieee80211_beacon_get_tim" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x647880e1, "mt76_wcid_cleanup" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x3496f20b, "seq_puts" },
	{ 0xd34ebfa4, "ieee80211_radar_detected" },
	{ 0x26836872, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x567c6724, "mt76_queues_read" },
	{ 0x11aef617, "mt76_register_debugfs_fops" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xcdef11a, "napi_schedule_prep" },
	{ 0xbfaff1a, "napi_disable" },
	{ 0x302c4cf3, "dev_kfree_skb_any_reason" },
	{ 0xcbcb2ee7, "__mt76_poll" },
	{ 0xb7cefc76, "mt76_rx_aggr_stop" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbb6d5019, "debugfs_create_u8" },
	{ 0xed594795, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1a5b5dfc, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "EA623BBC9C8DFFF3A834226");
