#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x81a2a7fc, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x27ed1901, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x3d76e648, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0xea7bd191, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0xb556194e, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0x27a05e02, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x6d2324cd, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x7952bf90, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x119ecdbf, "mt76x02_update_beacon_iter" },
	{ 0x47784a85, "ieee80211_iterate_interfaces" },
	{ 0x591a8dde, "mt76x02_enqueue_buffered_bc" },
	{ 0x55c8a6d6, "mt76x02_remove_hdr_pad" },
	{ 0xe6ebce66, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x530ada41, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa6e7ac18, "mt76x02_resync_beacon_timer" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x79079904, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcbe44ca1, "mt76_csa_check" },
	{ 0x8eaf9f68, "mt76_tx_status_skb_add" },
	{ 0x8f49645e, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x886a6a54, "mt76u_single_wr" },
	{ 0xf3e3e295, "__mt76_tx_complete_skb" },
	{ 0xd275561f, "mt76x02_mac_reset_counters" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc0f4f205, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4e734059, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2ad653d6, "mt76_csa_finish" },
	{ 0xc41d5c1a, "__alloc_skb" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x85608384, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3d4be781, "skb_push" },
	{ 0x7a6d4662, "mt76x02_init_beacon_config" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xfe439369, "__mt76_mcu_msg_alloc" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb3692944, "mt76x02_mac_write_txwi" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe4f93ed, "hrtimer_start_range_ns" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x99cbe846, "mt76u_vendor_request" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xf764f53, "mt76_skb_adjust_pad" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x9b04a268, "mt76x02_mac_set_beacon" },
	{ 0x3860440a, "hrtimer_active" },
	{ 0xcbcb2ee7, "__mt76_poll" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,mt76-usb,cfg80211");


MODULE_INFO(srcversion, "3D71E0BD790B9FC15D69657");
