#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0xa571c467, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0xeca324d1, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0x442116cc, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0xd602970d, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x658c65f9, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0x55ee3702, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0x862fbc1e, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0xbf16c2d8, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x591ede5f, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0xa454fed7, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0x8c9799c2, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0x7250fd60, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0xc7cf398f, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0xcf04f5fb, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0x502e0eef, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0x1d271149, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc5aeac98, "rt2x00queue_get_entry" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfc82b5c, "rt2800_process_rxwi" },
	{ 0xa2c17cf5, "rt2x00lib_beacondone" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5daebbce, "rt2800_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe4f93ed, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xc976644f, "rt2800_get_txwi_rxwi_size" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0x50d7229c, "rt2800_disable_wpdma" },
	{ 0x3c442299, "rt2800_wait_wpdma_ready" },
	{ 0xef3f8fd1, "rt2800_enable_radio" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xd2fe8663, "rt2800_txdone" },
	{ 0x6a37a3ef, "rt2800_txdone_nostatus" },
	{ 0x9c3f6ff3, "rt2800_txstatus_timeout" },
	{ 0x2b512bb0, "rt2800_txstatus_pending" },
	{ 0x2d6c2f13, "rt2800_probe_hw" },
	{ 0xe8177158, "rt2x00lib_pretbtt" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc2d8bfb2, "rt2x00mmio_rxdone" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "01CE6D4B6D990DC362815EA");
