#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x3f6677e0, "pci_unregister_driver" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x658c65f9, "rt2800mmio_toggle_irq" },
	{ 0x5f4cbb7c, "rt2800_mcu_request" },
	{ 0x502e0eef, "rt2800mmio_enable_radio" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd447626a, "rt2x00pci_remove" },
	{ 0x17224bed, "rt2x00pci_pm_ops" },
	{ 0xa454fed7, "rt2800mmio_queue_init" },
	{ 0xc3d1b2f4, "rt2800_rt2x00debug" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0x1d271149, "rt2800mmio_probe_hw" },
	{ 0xf48bd6ad, "rt2800_check_firmware" },
	{ 0x45e5e63f, "rt2800_load_firmware" },
	{ 0xc27aad91, "rt2x00mmio_initialize" },
	{ 0x569bc17a, "rt2x00mmio_uninitialize" },
	{ 0x8c9799c2, "rt2800mmio_get_entry_state" },
	{ 0x7250fd60, "rt2800mmio_clear_entry" },
	{ 0x4cae517b, "rt2800_rfkill_poll" },
	{ 0x44ea752a, "rt2800_link_stats" },
	{ 0x2a64bae3, "rt2800_reset_tuner" },
	{ 0x2b9601b5, "rt2800_link_tuner" },
	{ 0x9ee5255d, "rt2800_gain_calibration" },
	{ 0x9c1bf180, "rt2800_vco_calibration" },
	{ 0xc86b3d54, "rt2800_watchdog" },
	{ 0x55ee3702, "rt2800mmio_start_queue" },
	{ 0x862fbc1e, "rt2800mmio_kick_queue" },
	{ 0x591ede5f, "rt2800mmio_stop_queue" },
	{ 0xbf16c2d8, "rt2800mmio_flush_queue" },
	{ 0x442116cc, "rt2800mmio_write_tx_desc" },
	{ 0x43351a2e, "rt2800_write_tx_data" },
	{ 0x778a4238, "rt2800_write_beacon" },
	{ 0xbe836c7b, "rt2800_clear_beacon" },
	{ 0xd602970d, "rt2800mmio_fill_rxdone" },
	{ 0xe80ef824, "rt2800_config_shared_key" },
	{ 0x60c582b9, "rt2800_config_pairwise_key" },
	{ 0xadbf1e, "rt2800_config_filter" },
	{ 0x9ce65c96, "rt2800_config_intf" },
	{ 0x4bdb2f82, "rt2800_config_erp" },
	{ 0x7c2e5bd3, "rt2800_config_ant" },
	{ 0x5daebbce, "rt2800_config" },
	{ 0x6b803d3c, "rt2800_pre_reset_hw" },
	{ 0xa47fd13b, "rt2x00mmio_regbusy_read" },
	{ 0xcf04f5fb, "rt2800mmio_init_registers" },
	{ 0xeca324d1, "rt2800mmio_get_txwi" },
	{ 0xa571c467, "rt2800mmio_get_dma_done" },
	{ 0x98ff0fff, "rt2x00mac_tx" },
	{ 0x94627a1c, "rt2x00mac_start" },
	{ 0xd1cc514, "rt2x00mac_stop" },
	{ 0xc5d34638, "rt2x00mac_add_interface" },
	{ 0xcea80ecc, "rt2x00mac_remove_interface" },
	{ 0x4a313ca6, "rt2x00mac_config" },
	{ 0x2192a56f, "rt2x00mac_bss_info_changed" },
	{ 0xd4659297, "rt2x00mac_configure_filter" },
	{ 0x9bb17b5e, "rt2x00mac_set_key" },
	{ 0xc069e807, "rt2x00mac_sw_scan_start" },
	{ 0xad92f5f1, "rt2x00mac_sw_scan_complete" },
	{ 0x88ac216b, "rt2x00mac_get_stats" },
	{ 0xfe4ab74f, "rt2800_get_key_seq" },
	{ 0xbdd6bea8, "rt2800_set_rts_threshold" },
	{ 0xb2c3eff1, "rt2800_sta_add" },
	{ 0x684e248c, "rt2800_sta_remove" },
	{ 0xbd68068, "rt2800_conf_tx" },
	{ 0x51d5f31a, "rt2800_get_tsf" },
	{ 0xabbcb80e, "rt2800_ampdu_action" },
	{ 0xef865e0c, "rt2800_get_survey" },
	{ 0xd60c6d2b, "rt2x00mac_rfkill_poll" },
	{ 0x55d9a575, "rt2x00mac_flush" },
	{ 0x98e0f410, "rt2x00mac_get_ringparam" },
	{ 0x82c5f433, "rt2x00mac_tx_frames_pending" },
	{ 0x3b14dea0, "rt2x00mac_reconfig_complete" },
	{ 0x3ccfc880, "ieee80211_handle_wake_tx_queue" },
	{ 0x7287d9bb, "param_ops_bool" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6ba4dc7d, "__pci_register_driver" },
	{ 0x7d909470, "rt2x00pci_probe" },
	{ 0x7f6e4b3f, "rt2800_efuse_detect" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x393f3cf2, "rt2800_read_eeprom_efuse" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "rt2800mmio,rt2800lib,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E9BF56BB404C69688673417");
