#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_restorepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_writepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_savepowerindex, "_gpl", "");
KSYMTAB_FUNC(rtl92c_dm_write_dig, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_edca_turbo, "", "");
KSYMTAB_FUNC(rtl92c_dm_check_txpower_tracking, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_rate_adaptive_mask, "", "");
KSYMTAB_FUNC(rtl92c_dm_rf_saving, "", "");
KSYMTAB_FUNC(rtl92c_dm_init, "", "");
KSYMTAB_FUNC(rtl92c_dm_watchdog, "", "");
KSYMTAB_FUNC(rtl92c_bt_rssi_state_change, "", "");
KSYMTAB_FUNC(rtl92c_dm_bt_coexist, "", "");
KSYMTAB_FUNC(rtl92c_download_fw, "", "");
KSYMTAB_FUNC(rtl92c_fill_h2c_cmd, "", "");
KSYMTAB_FUNC(rtl92c_firmware_selfreset, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_pwrmode_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_rsvdpagepkt, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_joinbss_report_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_p2p_ps_offload_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92c_phy_query_bb_reg, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bb_reg, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_write, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_write, "", "");
KSYMTAB_FUNC(rtl92c_phy_rf_config, "", "");
KSYMTAB_FUNC(_rtl92c_phy_bb8192c_config_parafile, "", "");
KSYMTAB_FUNC(_rtl92c_store_pwrindex_diffrate_offset, "", "");
KSYMTAB_FUNC(_rtl92c_phy_init_bb_rf_register_definition, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_txpower_level, "", "");
KSYMTAB_FUNC(rtl92c_phy_update_txpower_dbm, "", "");
KSYMTAB_FUNC(_rtl92c_phy_dbm_to_txpwr_idx, "", "");
KSYMTAB_FUNC(_rtl92c_phy_txpwr_idx_to_dbm, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bw_mode, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl_callback, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl, "", "");
KSYMTAB_FUNC(rtl8192_phy_check_is_legal_rfpath, "", "");
KSYMTAB_FUNC(rtl92c_phy_iq_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_lc_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_ap_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_rfpath_switch, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io_cmd, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io, "", "");
KSYMTAB_FUNC(rtl92ce_phy_set_rf_on, "", "");
KSYMTAB_FUNC(_rtl92c_phy_set_rf_sleep, "", "");

SYMBOL_CRC(dm_restorepowerindex, 0x3b9b9f19, "_gpl");
SYMBOL_CRC(dm_writepowerindex, 0xf2e8656d, "_gpl");
SYMBOL_CRC(dm_savepowerindex, 0xe4b4f4c7, "_gpl");
SYMBOL_CRC(rtl92c_dm_write_dig, 0xd9fb2bf4, "");
SYMBOL_CRC(rtl92c_dm_init_edca_turbo, 0xe7be4d8a, "");
SYMBOL_CRC(rtl92c_dm_check_txpower_tracking, 0x5fae16f9, "");
SYMBOL_CRC(rtl92c_dm_init_rate_adaptive_mask, 0x89be0ad3, "");
SYMBOL_CRC(rtl92c_dm_rf_saving, 0x9f5a2fd2, "");
SYMBOL_CRC(rtl92c_dm_init, 0x3a444ecf, "");
SYMBOL_CRC(rtl92c_dm_watchdog, 0xcd718c3c, "");
SYMBOL_CRC(rtl92c_bt_rssi_state_change, 0x4affc2d9, "");
SYMBOL_CRC(rtl92c_dm_bt_coexist, 0x5bf7d804, "");
SYMBOL_CRC(rtl92c_download_fw, 0x865a33b8, "");
SYMBOL_CRC(rtl92c_fill_h2c_cmd, 0x42e7fd48, "");
SYMBOL_CRC(rtl92c_firmware_selfreset, 0x24db1334, "");
SYMBOL_CRC(rtl92c_set_fw_pwrmode_cmd, 0x4f964517, "");
SYMBOL_CRC(rtl92c_set_fw_rsvdpagepkt, 0x2e0435f3, "");
SYMBOL_CRC(rtl92c_set_fw_joinbss_report_cmd, 0xfda98dc5, "");
SYMBOL_CRC(rtl92c_set_p2p_ps_offload_cmd, 0x08ccbb2a, "_gpl");
SYMBOL_CRC(rtl92c_phy_query_bb_reg, 0xd4101a00, "");
SYMBOL_CRC(rtl92c_phy_set_bb_reg, 0xba7fc971, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_read, 0x66495228, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_write, 0xd871ad44, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_read, 0x7d41846f, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_write, 0x416a33c9, "");
SYMBOL_CRC(rtl92c_phy_rf_config, 0x36473891, "");
SYMBOL_CRC(_rtl92c_phy_bb8192c_config_parafile, 0xdf3c27b9, "");
SYMBOL_CRC(_rtl92c_store_pwrindex_diffrate_offset, 0x40751a01, "");
SYMBOL_CRC(_rtl92c_phy_init_bb_rf_register_definition, 0xe6c8f383, "");
SYMBOL_CRC(rtl92c_phy_set_txpower_level, 0xd59e30fc, "");
SYMBOL_CRC(rtl92c_phy_update_txpower_dbm, 0x5f08500a, "");
SYMBOL_CRC(_rtl92c_phy_dbm_to_txpwr_idx, 0x8f8e8f69, "");
SYMBOL_CRC(_rtl92c_phy_txpwr_idx_to_dbm, 0xb5a20a3f, "");
SYMBOL_CRC(rtl92c_phy_set_bw_mode, 0x03db1667, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl_callback, 0xa213f00e, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl, 0xd60083fc, "");
SYMBOL_CRC(rtl8192_phy_check_is_legal_rfpath, 0xa0a650f2, "");
SYMBOL_CRC(rtl92c_phy_iq_calibrate, 0x8a662fdb, "");
SYMBOL_CRC(rtl92c_phy_lc_calibrate, 0x1607e11f, "");
SYMBOL_CRC(rtl92c_phy_ap_calibrate, 0xe056e903, "");
SYMBOL_CRC(rtl92c_phy_set_rfpath_switch, 0xde1e5b06, "");
SYMBOL_CRC(rtl92c_phy_set_io_cmd, 0x43fd6a8e, "");
SYMBOL_CRC(rtl92c_phy_set_io, 0x44273e23, "");
SYMBOL_CRC(rtl92ce_phy_set_rf_on, 0xcb0c8005, "");
SYMBOL_CRC(_rtl92c_phy_set_rf_sleep, 0xa04b1ee5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe6ebce66, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x144ebbf9, "rtl_fw_block_write" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x37203c57, "rtl_cmd_send_packet" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x56901414, "rtl_fw_page_write" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfc498822, "__netdev_alloc_skb" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd48b48f1, "rtl_dm_diginit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "E2786B2FCC1DF924381382A");
