#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl8723_dm_init_dynamic_txpower, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_edca_turbo, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_dynamic_bb_powersaving, "_gpl", "");
KSYMTAB_FUNC(rtl8723_enable_fw_download, "_gpl", "");
KSYMTAB_FUNC(rtl8723_write_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723ae_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723be_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723_fw_free_to_go, "_gpl", "");
KSYMTAB_FUNC(rtl8723_download_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_query_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_calculate_bit_shift, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_read, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_write, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_txpwr_idx_to_dbm, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_init_bb_rf_reg_def, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_sw_chnl_cmdarray, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_fill_iqk_matrix, "_gpl", "");
KSYMTAB_FUNC(rtl8723_save_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_save_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_adda_on, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_mac_setting_calibration, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_standby, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_pi_mode_switch, "_gpl", "");

SYMBOL_CRC(rtl8723_dm_init_dynamic_txpower, 0xcf12e654, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_edca_turbo, 0x74bb9176, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_dynamic_bb_powersaving, 0x95758405, "_gpl");
SYMBOL_CRC(rtl8723_enable_fw_download, 0x8e00629c, "_gpl");
SYMBOL_CRC(rtl8723_write_fw, 0xbdf695f0, "_gpl");
SYMBOL_CRC(rtl8723ae_firmware_selfreset, 0xe9fc90a2, "_gpl");
SYMBOL_CRC(rtl8723be_firmware_selfreset, 0xc454066a, "_gpl");
SYMBOL_CRC(rtl8723_fw_free_to_go, 0x4454a4a4, "_gpl");
SYMBOL_CRC(rtl8723_download_fw, 0x076156a4, "_gpl");
SYMBOL_CRC(rtl8723_phy_query_bb_reg, 0x10007a7b, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_bb_reg, 0x129a4f23, "_gpl");
SYMBOL_CRC(rtl8723_phy_calculate_bit_shift, 0x3f5bf9c0, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_read, 0xbf1c4214, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_write, 0x9f275238, "_gpl");
SYMBOL_CRC(rtl8723_phy_txpwr_idx_to_dbm, 0xcc8147db, "_gpl");
SYMBOL_CRC(rtl8723_phy_init_bb_rf_reg_def, 0x99fa3680, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_sw_chnl_cmdarray, 0x8baf8913, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_fill_iqk_matrix, 0xa9aa324a, "_gpl");
SYMBOL_CRC(rtl8723_save_adda_registers, 0xb73f3dfe, "_gpl");
SYMBOL_CRC(rtl8723_phy_save_mac_registers, 0xb7a5ec95, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_adda_registers, 0xae828583, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_mac_registers, 0x84120f75, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_adda_on, 0x1b611c57, "_gpl");
SYMBOL_CRC(rtl8723_phy_mac_setting_calibration, 0x65a0becb, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_standby, 0x3534aecf, "_gpl");
SYMBOL_CRC(rtl8723_phy_pi_mode_switch, 0x57e8defd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x56901414, "rtl_fw_page_write" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "2B147AA9C6738FD9FE5920A");
