#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1bdaafe1, "cxgbi_tagmask_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x14e1933b, "cxgbi_ddp_ppm_setup" },
	{ 0x80cad610, "cxgbi_device_register" },
	{ 0x86f00e88, "cxgbi_hbas_add" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xedc9ef91, "t3_l2t_send_slow" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf1dc43ed, "cxgbi_sock_skb_entail" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf98401e8, "skb_copy_bits" },
	{ 0xe5ba7ac6, "cxgbi_conn_pdu_ready" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x401881e6, "___pskb_trim" },
	{ 0x8319f739, "cxgbi_ddp_set_one_ppod" },
	{ 0xc41d5c1a, "__alloc_skb" },
	{ 0x9d9d73aa, "cxgb3_queue_tid_release" },
	{ 0x9f7e7861, "cxgbi_sock_fail_act_open" },
	{ 0x37a0cba, "kfree" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x432a30, "cxgbi_sock_free_cpl_skbs" },
	{ 0x38a23e8c, "cxgbi_sock_closed" },
	{ 0xee341d88, "cxgb3_insert_tid" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x2bdd3e33, "cxgbi_sock_established" },
	{ 0xc33a6b99, "cxgbi_conn_tx_open" },
	{ 0x54297a7e, "cxgb3_free_atid" },
	{ 0x5ae2ad99, "t3_l2t_get" },
	{ 0x71a253cd, "cxgb3_alloc_atid" },
	{ 0x532e9c87, "ip6_mtu" },
	{ 0x51e39d0d, "cxgbi_sock_select_mss" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb14b1618, "t3_l2e_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb128427, "ipv4_mtu" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x181dcefc, "cxgb3_remove_tid" },
	{ 0xa20bb36c, "cxgbi_sock_purge_wr_queue" },
	{ 0x419df9de, "cxgbi_create_session" },
	{ 0x3a2318de, "cxgbi_destroy_session" },
	{ 0xfa156111, "cxgbi_create_conn" },
	{ 0x2db2a4b8, "iscsi_conn_unbind" },
	{ 0x698c97fd, "cxgbi_bind_conn" },
	{ 0x3679d81d, "iscsi_conn_start" },
	{ 0xac1e749f, "iscsi_conn_stop" },
	{ 0x7ba6cc7a, "iscsi_tcp_conn_teardown" },
	{ 0xc6ca4d60, "cxgbi_set_conn_param" },
	{ 0x4994f5da, "cxgbi_get_ep_param" },
	{ 0xe11ac022, "iscsi_conn_get_param" },
	{ 0xd6ce5c17, "iscsi_session_get_param" },
	{ 0xd4441599, "cxgbi_get_host_param" },
	{ 0x74f243ec, "cxgbi_set_host_param" },
	{ 0x51ee3541, "iscsi_conn_send_pdu" },
	{ 0x1ca54ad9, "cxgbi_get_conn_stats" },
	{ 0xa888f47a, "iscsi_tcp_task_init" },
	{ 0x4df04e34, "iscsi_tcp_task_xmit" },
	{ 0xf775bee4, "cxgbi_cleanup_task" },
	{ 0x5f2263be, "cxgbi_conn_alloc_pdu" },
	{ 0xecb8a630, "cxgbi_conn_xmit_pdu" },
	{ 0xbf648583, "cxgbi_conn_init_pdu" },
	{ 0x517dd8dc, "cxgbi_parse_pdu_itt" },
	{ 0x8f82cfb9, "iscsi_session_recovery_timedout" },
	{ 0x8d58554f, "cxgbi_ep_connect" },
	{ 0x84ad3949, "cxgbi_ep_poll" },
	{ 0xffc786fc, "cxgbi_ep_disconnect" },
	{ 0xef346615, "cxgbi_attr_is_visible" },
	{ 0xc3e52dff, "iscsi_queuecommand" },
	{ 0xd755bc61, "iscsi_eh_abort" },
	{ 0xb3887d4c, "iscsi_eh_device_reset" },
	{ 0xd76cfdb9, "iscsi_eh_recover_target" },
	{ 0x686c1db2, "iscsi_target_alloc" },
	{ 0xff67b263, "scsi_change_queue_depth" },
	{ 0x248683cc, "iscsi_eh_cmd_timed_out" },
	{ 0x6f53f9b, "param_ops_uint" },
	{ 0x8f4b65d7, "param_ops_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x83da9482, "cxgbi_sock_rcv_wr_ack" },
	{ 0xe371fd09, "__kfree_skb" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2df17463, "cxgbi_device_find_by_lldev" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4bd793f4, "cxgbi_device_unregister" },
	{ 0xcaaa6da6, "cxgb3_ofld_send" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92568ab, "cxgbi_device_portmap_create" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xd22f1bbf, "cxgbi_sock_act_open_req_arp_failure" },
	{ 0xf6c3908, "kfree_skb_reason" },
	{ 0x6e7ec6b, "cxgbi_sock_rcv_close_conn_rpl" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd1c619b5, "cxgbi_sock_rcv_abort_rpl" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe895121c, "cxgbi_sock_rcv_peer_close" },
	{ 0xda58c2ab, "cxgbi_iscsi_init" },
	{ 0xba5f49a5, "cxgb3_register_client" },
	{ 0x68cff9e, "cxgb3_unregister_client" },
	{ 0x7fdb6004, "cxgbi_device_unregister_all" },
	{ 0x2fb589dd, "cxgbi_iscsi_cleanup" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "libcxgb,libcxgbi,cxgb3,libiscsi,libiscsi_tcp");


MODULE_INFO(srcversion, "7D71BC3F2E1D505069033E1");
