#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x092568ab, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x792eaa8a, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x80cad610, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x4bd793f4, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x2df17463, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0xaa4e00fe, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x013b93bd, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0xd63ee1c1, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x86f00e88, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x00432a30, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x2bdd3e33, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x38a23e8c, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x9f7e7861, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xd22f1bbf, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0xd1c619b5, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0xe895121c, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x06e7ec6b, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x83da9482, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x51e39d0d, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xf1dc43ed, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xa20bb36c, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x5f431a08, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x14e1933b, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x517dd8dc, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xc33a6b99, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0xe5ba7ac6, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x5f2263be, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0xbf648583, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0xecb8a630, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0xf775bee4, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x1ca54ad9, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xc6ca4d60, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x4994f5da, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xfa156111, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x698c97fd, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x419df9de, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x3a2318de, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x74f243ec, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0xd4441599, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x8d58554f, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x84ad3949, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0xffc786fc, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xda58c2ab, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x2fb589dd, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x122c3a7e, "_printk" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x996c88fd, "vlan_dev_real_dev" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf2eef49f, "iscsi_host_remove" },
	{ 0x983b52dd, "pci_dev_put" },
	{ 0x5f91e79f, "iscsi_host_free" },
	{ 0x98c128da, "pci_dev_get" },
	{ 0xb530c0b3, "iscsi_host_add" },
	{ 0x168cb996, "iscsi_host_alloc" },
	{ 0xfd27bfd7, "scsi_host_put" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf6c3908, "kfree_skb_reason" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc71c9fc5, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe9b55121, "iscsi_conn_queue_xmit" },
	{ 0xd967e05a, "cxgbi_ppm_ppods_reserve" },
	{ 0xc3269cb5, "dma_map_sg_attrs" },
	{ 0x8e01c4ea, "cxgbi_ppm_make_ppod_hdr" },
	{ 0xbe645ea7, "cxgbi_ppm_ppod_release" },
	{ 0x2535330b, "dma_unmap_sg_attrs" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xe371fd09, "__kfree_skb" },
	{ 0xfb578fc5, "memset" },
	{ 0x8fbe24e4, "iscsi_tcp_cleanup_task" },
	{ 0x37a0cba, "kfree" },
	{ 0x3d6114b6, "iscsi_tcp_set_max_r2t" },
	{ 0xac2f6150, "iscsi_set_param" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xf339ba75, "iscsi_tcp_conn_setup" },
	{ 0x41630b4d, "iscsi_session_setup" },
	{ 0x259864a, "iscsi_tcp_r2tpool_alloc" },
	{ 0x5e898fa0, "iscsi_session_teardown" },
	{ 0x1d72c2e6, "iscsi_tcp_r2tpool_free" },
	{ 0x26ea8695, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0x75fed6b1, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738a6d16, "iscsi_host_get_param" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50d2e3b2, "iscsi_unregister_transport" },
	{ 0xd41a374e, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x12ce7522, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x212cf8d4, "iscsi_register_transport" },
	{ 0x73b77d92, "init_net" },
	{ 0x19b194cb, "ip6_route_output_flags" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a0d031e, "iscsi_lookup_endpoint" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x8c55c85, "iscsi_conn_bind" },
	{ 0x8df8f0e0, "iscsi_put_endpoint" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xf8beb33d, "iscsi_tcp_hdr_recv_prep" },
	{ 0xffaca299, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0xc8f64784, "iscsi_tcp_recv_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5ff47610, "make_kuid" },
	{ 0xba6056f7, "ip_route_output_flow" },
	{ 0x9e635efb, "dst_release" },
	{ 0x82a545dd, "__ip_dev_find" },
	{ 0x72bbbee3, "neigh_destroy" },
	{ 0xf1ae3f46, "iscsi_itt_to_ctask" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x84d29b54, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xbdff5ee6, "__put_devmap_managed_page_refs" },
	{ 0x42a92386, "__folio_put" },
	{ 0x5daf52ba, "dump_page" },
	{ 0xc3df6062, "module_put" },
	{ 0x886eb65b, "ipv6_dev_get_saddr" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x6cc20ca1, "iscsi_destroy_endpoint" },
	{ 0xc41d5c1a, "__alloc_skb" },
	{ 0xfa15f250, "iscsi_create_endpoint" },
	{ 0xe6ebce66, "skb_put" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6f53f9b, "param_ops_uint" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,libcxgb,libiscsi_tcp");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");
