#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x8092eefb, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x40e7b412, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0xda9b6db8, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0x44c75c23, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x37ec3911, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0xb387aad9, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x50410411, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x34e251de, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x73a70218, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x3e3dae86, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x8e7d3121, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x0b04fbca, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0xeb1ed9cd, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x4cbc3479, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0xa6454537, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x253287a6, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0xa5176019, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x92ddf208, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x61fb00b6, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x2d2d94a4, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0x13018597, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x756e5092, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0xee540d65, "");
SYMBOL_CRC(fcoe_transport_detach, 0x63e5bc86, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x3f1da25d, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x19caf997, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x7e558e72, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x1a046e35, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe82ea449, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x964fbb47, "dev_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6f53f9b, "param_ops_uint" },
	{ 0xe6ebce66, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x16fc08aa, "dev_set_name" },
	{ 0x530ada41, "consume_skb" },
	{ 0x1e986843, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x5daf52ba, "dump_page" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x376c171c, "device_unregister" },
	{ 0x26e87e7e, "skb_dequeue" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x210a94c3, "fc_rport_logoff" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0xbdff5ee6, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbeae2e79, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xefbec1f2, "fc_rport_login" },
	{ 0x1ab6a9b7, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xdbfb7267, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdac72d70, "put_device" },
	{ 0x861f562e, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xaebf538c, "fc_lport_reset" },
	{ 0x626e9be, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x73b77d92, "init_net" },
	{ 0x85608384, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xf6c3908, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3d4be781, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9166fada, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x920bf0c0, "fc_lport_set_local_id" },
	{ 0x654f55bd, "fc_exch_recv" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf94f04bb, "__ethtool_get_link_ksettings" },
	{ 0xc7bb995a, "device_register" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x520fc57, "fc_vport_id_lookup" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdd6ba679, "fc_elsct_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xfe6ab389, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x662ea153, "__pskb_pull_tail" },
	{ 0x2e7b7ca9, "fc_fcp_init" },
	{ 0xfc498822, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa42abc74, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf6061f3, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd41a374e, "alloc_pages" },
	{ 0x42a92386, "__folio_put" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7c6d1d17, "dev_get_by_name" },
	{ 0xf14d41b3, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf9e4cf81, "fc_seq_els_rsp_send" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x8f4b65d7, "param_ops_int" },
	{ 0xc6d687dc, "fc_rport_create" },
	{ 0x75fed6b1, "_dev_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xa7a0587d, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x62c04345, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd1934552, "fc_linkup" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "A483AEBD89FF2F24E96890B");
