#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x9d2d91be, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x65348279, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0xf56d8e64, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x7634c877, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x18cb366e, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0x55679bd6, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0xfd2ea1b3, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x79f61dbc, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x35997acc, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0xda147425, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0xda37bc1e, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x941ad4ee, "");
SYMBOL_CRC(iscsit_release_cmd, 0x0adcf682, "");
SYMBOL_CRC(iscsit_free_cmd, 0x44a94c28, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x08ac909f, "");
SYMBOL_CRC(iscsit_aborted_task, 0xe850d314, "");
SYMBOL_CRC(iscsit_add_reject, 0xe567c5f6, "");
SYMBOL_CRC(iscsit_reject_cmd, 0x4634ea40, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0xadcc392b, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x693d0de2, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x2b26dc5f, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0x358e6155, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0x63520563, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x28334955, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0x6aa2375b, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x12a9ebfd, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0xe281cb14, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0xacb96f2b, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x178b57d8, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0xcc17ca90, "");
SYMBOL_CRC(iscsit_handle_snack, 0x9d0515e1, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0x65eef863, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0x2bbe28d8, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0xf2adf488, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0x3b0b8681, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0xd3c6c5bb, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x3c2c3d9b, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x1ec5abce, "");
SYMBOL_CRC(iscsit_build_reject, 0x35737324, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x2408d4a0, "");
SYMBOL_CRC(iscsit_immediate_queue, 0x54962e8b, "");
SYMBOL_CRC(iscsit_response_queue, 0x77ca8f67, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x483e0151, "");
SYMBOL_CRC(iscsit_register_transport, 0x10ee931f, "");
SYMBOL_CRC(iscsit_unregister_transport, 0xc6ed474a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x97cd8ccb, "crypto_alloc_ahash" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xc65e34a6, "target_alloc_cmd_counter" },
	{ 0xb1049b95, "core_alua_check_nonop_delay" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf75723f7, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb4489234, "target_wait_for_cmds" },
	{ 0x454346, "transport_generic_new_cmd" },
	{ 0x5d24150b, "target_free_cmd_counter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x6cc7c61e, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9546a33, "kernel_bind" },
	{ 0xcf2a6966, "up" },
	{ 0x2d83aec9, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe5084293, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x674b8286, "kernel_accept" },
	{ 0x148653, "vsnprintf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x4c31aa54, "kmem_cache_create" },
	{ 0x77278d45, "core_tpg_set_initiator_node_queue_depth" },
	{ 0x2b9b3376, "target_stop_cmd_counter" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x299b17d1, "transport_generic_handle_tmr" },
	{ 0x607011f6, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x3cd29d1b, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x39d34ced, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd21368a1, "transport_alloc_session_tags" },
	{ 0x529118d8, "transport_alloc_session" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9b2c6b1a, "sbitmap_prepare_to_wait" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x531ea979, "target_unregister_template" },
	{ 0x6c2e345c, "transport_send_check_condition_and_sense" },
	{ 0xa511c546, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xabe105b1, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc3df6062, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x24692793, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x73b77d92, "init_net" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x79977fdc, "__SCK__tp_func_sk_data_ready" },
	{ 0x7e93630b, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6ae58708, "kmem_cache_free" },
	{ 0xe2e44b0d, "set_cpus_allowed_ptr" },
	{ 0x4e1dab4c, "transport_deregister_session_configfs" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x112df548, "sbitmap_queue_clear" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x702326e2, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xff239b1, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x37be77fc, "sock_sendmsg" },
	{ 0x3017915b, "crypto_shash_update" },
	{ 0x797e6fdc, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7d9070ed, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0xae41a09d, "target_cmd_parse_cdb" },
	{ 0x1210e2b1, "sock_set_reuseaddr" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0xc60b6d14, "crypto_ahash_finup" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2e963d7b, "iov_iter_bvec" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfa0d532, "crypto_ahash_digest" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x251200a, "crypto_ahash_final" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3a7ea38b, "__target_init_cmd" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8068299, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa535f71d, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xefbdf2bb, "core_tpg_check_initiator_node_acl" },
	{ 0x7e5312d5, "target_cmd_init_cdb" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4825caf1, "kernel_listen" },
	{ 0x614ee146, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0xe04c5db6, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xfbcff4f6, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x70e0e5f2, "crypto_shash_finup" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x4a7d5d14, "transport_wait_for_tasks" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x7c5017db, "transport_handle_cdb_direct" },
	{ 0xa55ca04b, "target_get_sess_cmd" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x663f3257, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7e2ff19d, "sock_recvmsg" },
	{ 0x7d2ce257, "core_tpg_deregister" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x2b9c3973, "__transport_register_session" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x7f65f9fe, "target_show_dynamic_sessions" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1afb1387, "sock_release" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xec76e076, "target_register_template" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x29a0524a, "tcp_sock_set_nodelay" },
	{ 0xc07c3cc1, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x4c6c92fc, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x2bda7ea4, "core_tpg_register" },
	{ 0x754d539c, "strlen" },
	{ 0x63e703f4, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xa5ecfa2c, "transport_deregister_session" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0xbdfde935, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabf1b35b, "__sbitmap_queue_get" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xef4a2867, "kmem_cache_destroy" },
	{ 0x7b9a4d24, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod");


MODULE_INFO(srcversion, "2273D248A8EA38B71AC3D9A");
