#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_local_unipro_ver, "", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x2c8f173b, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0xf289ada7, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0xb51b5446, "");
SYMBOL_CRC(ufshcd_hold, 0x7e818b4c, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x325c4ebb, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x89f6ef39, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0xa99c302c, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x7e69c948, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x4f371814, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x5d5572cf, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x604c9442, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0xe7007fbc, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x62f7360a, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x83767372, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0xc9898a48, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x14a90e80, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0xdd6edec4, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0xa7ae1060, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0xce993ce5, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x615a0cfb, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x5046b0d7, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x5d91d7e6, "");
SYMBOL_CRC(ufshcd_system_resume, 0x4f38a854, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x8c492679, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0x2caec6f0, "");
SYMBOL_CRC(ufshcd_remove, 0x1fc4bcda, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x63361eb3, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x7bd208d2, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0xdaefeaf9, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x056e67c8, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x755aa969, "");
SYMBOL_CRC(ufshcd_init, 0xca8939dd, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xe9e25750, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x0f24e973, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x3bd33d3d, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0x623dbc62, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x02359f59, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0xa7022d8a, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x71257227, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x407966ec, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x4edf18e4, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x2d6516ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbee7a374, "scsi_dma_map" },
	{ 0xaf7d9284, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0x25d4493c, "regulator_enable" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xf8ac2f91, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x10727b28, "bpf_trace_run4" },
	{ 0x47fc3c42, "devm_request_threaded_irq" },
	{ 0xf799639a, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xccc65e2f, "scsi_autopm_put_device" },
	{ 0x97f4acfb, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x605642da, "dmam_alloc_attrs" },
	{ 0x176edda, "trace_raw_output_prep" },
	{ 0xb9a1856, "scsi_remove_host" },
	{ 0x3988c10f, "bpf_trace_run6" },
	{ 0x9c204de9, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb8f50019, "__trace_trigger_soft_disabled" },
	{ 0xe018feb6, "blk_pm_runtime_init" },
	{ 0x7594af79, "trace_event_printf" },
	{ 0x51339433, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9300bd52, "sysfs_remove_groups" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xcf2a6966, "up" },
	{ 0x87b6780a, "sysfs_create_groups" },
	{ 0x68f248c, "dev_pm_opp_add" },
	{ 0x98e29b97, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x775dd898, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x99eb0fb5, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x31175f86, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe6939107, "__scsi_iterate_devices" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xed9f9064, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x517a4a73, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x278790c, "blk_mq_alloc_tag_set" },
	{ 0x92108891, "devfreq_add_device" },
	{ 0x69310d7d, "dev_driver_string" },
	{ 0xda659bc7, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfa0684dc, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xfc50c254, "scsi_register_driver" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x201a34b8, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdac72d70, "put_device" },
	{ 0xec843684, "blk_mq_unquiesce_tagset" },
	{ 0x95e97689, "blk_mq_free_request" },
	{ 0x85a4833e, "device_property_read_u32_array" },
	{ 0x833d8f54, "devm_regulator_get" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xef2afc3c, "scsi_device_put" },
	{ 0xc391b7d9, "device_create_file" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd8878905, "blk_mq_quiesce_tagset" },
	{ 0x8faf99f2, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7206cb4b, "regulator_set_load" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5812e0e8, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2fb9cf7, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x1639c178, "blk_queue_update_dma_alignment" },
	{ 0x4fe51e43, "devfreq_remove_device" },
	{ 0xfd27bfd7, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xe16797f9, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6626afca, "down" },
	{ 0x2725a510, "bpf_trace_run5" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb1e3900f, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdeaf42c1, "sdev_prefix_printk" },
	{ 0xde605de9, "scsi_scan_host" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe84fd2c1, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc88b36bc, "trace_event_reg" },
	{ 0x3885e359, "device_link_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf9e8c429, "blk_mq_alloc_request" },
	{ 0xce761d9a, "driver_unregister" },
	{ 0xcbe55cc0, "blk_queue_update_dma_pad" },
	{ 0xd831cbd3, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc8ba6cb8, "blk_put_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xf3e08076, "dmam_free_coherent" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x43ae986a, "regulator_count_voltages" },
	{ 0x4da1e4c2, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf502589, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x78b804aa, "blk_mq_init_queue" },
	{ 0x575d336c, "blk_mq_unique_tag" },
	{ 0xf697b590, "bpf_trace_run10" },
	{ 0xc0e877bf, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1deb885e, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x88a8d781, "dma_set_coherent_mask" },
	{ 0xf9c09afd, "scsi_print_command" },
	{ 0xf26ac8e4, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x61f1ce6c, "pm_runtime_forbid" },
	{ 0x3e2ea3f, "debugfs_create_file" },
	{ 0x826114c2, "param_set_uint_minmax" },
	{ 0xdad0e069, "pm_runtime_allow" },
	{ 0x5488369, "trace_event_buffer_reserve" },
	{ 0xb8f0bfa2, "__pm_runtime_resume" },
	{ 0x2573fee7, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x7287d9bb, "param_ops_bool" },
	{ 0xaccac91c, "blk_mq_destroy_queue" },
	{ 0xdafaf0ff, "scsi_execute_cmd" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ef0a759, "seq_printf" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xafe76172, "blk_mq_tagset_busy_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x629e452e, "scsi_done" },
	{ 0x26836872, "single_release" },
	{ 0xed3f9f9a, "scsi_unblock_requests" },
	{ 0x6ce0dedb, "dma_set_mask" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0x11a80be0, "regulator_disable" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xcd49fced, "dev_err_probe" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0xcd96f00c, "scsi_remove_device" },
	{ 0x23a92d17, "scsi_block_requests" },
	{ 0x11326dd8, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xed594795, "single_open" },
	{ 0x96b075f2, "scsi_host_alloc" },
	{ 0x9a52f5bf, "__scsi_add_device" },
	{ 0xa8449357, "devfreq_resume_device" },
	{ 0x30cc848, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x534d3c48, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xff67b263, "scsi_change_queue_depth" },
	{ 0xfded7799, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x921f8d5e, "device_remove_file" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "78D8817A24AFA96DE642A47");
