#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62f7360a, "ufshcd_uic_hibern8_exit" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xcb9f6f52, "pci_set_master" },
	{ 0xef6acb72, "pcim_iomap_regions" },
	{ 0xfa7ceb98, "pcim_iomap_table" },
	{ 0x755aa969, "ufshcd_alloc_host" },
	{ 0xca8939dd, "ufshcd_init" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xdad0e069, "pm_runtime_allow" },
	{ 0x7c787116, "pcim_enable_device" },
	{ 0x241aa6a5, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0x4790484e, "devm_gpiod_get_optional" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa48207ff, "gpiod_set_value_cansleep" },
	{ 0xf51c1ac1, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x30cc848, "debugfs_create_dir" },
	{ 0x3514e316, "debugfs_create_x32" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xc9898a48, "ufshcd_config_pwr_mode" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xb8f0bfa2, "__pm_runtime_resume" },
	{ 0xfded7799, "__pm_runtime_idle" },
	{ 0x3bd33d3d, "ufshcd_suspend_prepare" },
	{ 0xe9e25750, "ufshcd_resume_complete" },
	{ 0x5d91d7e6, "ufshcd_system_suspend" },
	{ 0x8c492679, "ufshcd_runtime_suspend" },
	{ 0x2caec6f0, "ufshcd_runtime_resume" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4f371814, "ufshcd_dme_get_attr" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x7e69c948, "ufshcd_dme_set_attr" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe84fd2c1, "debugfs_remove" },
	{ 0x6ca1d6f2, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x6ba4dc7d, "__pci_register_driver" },
	{ 0x4f38a854, "ufshcd_system_resume" },
	{ 0x61f1ce6c, "pm_runtime_forbid" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x1fc4bcda, "ufshcd_remove" },
	{ 0x56e67c8, "ufshcd_dealloc_host" },
	{ 0x3f6677e0, "pci_unregister_driver" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "ufshcd-core");

MODULE_ALIAS("pci:v00001B36d00000013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000144Dd0000C00Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DFAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B41sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B43sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000098FAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007E47sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A847sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007747sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B8A80F2AEC2405FA3489501");
