#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0xe2acba22, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xb1b61159, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xc964d267, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xddb29d2a, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0xa5d369e3, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x7fa1c322, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x88d80f09, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xb07af099, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xa30e3f30, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x8a71f8ec, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x1e440ec3, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xd6f02d39, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x24a43a58, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x607ccd45, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0xd346fe87, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0xd335e2ad, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x612d60e1, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x8b20d732, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xcc796e7b, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68a3fffb, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x84c930d2, "request_resource" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd24c2c8b, "pci_read_vpd" },
	{ 0xcce6d896, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb6e971fd, "pci_request_selected_regions" },
	{ 0x1024c93d, "pci_release_selected_regions" },
	{ 0xd8f1d885, "pci_user_write_config_byte" },
	{ 0xd0b2865d, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x9d1cc49e, "pci_bus_max_busnr" },
	{ 0x4e3922b, "pci_check_and_mask_intx" },
	{ 0xc960de0e, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x279de7d1, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xa64ed46, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x983b52dd, "pci_dev_put" },
	{ 0x9800caba, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xfc7c0a9f, "vfio_virqfd_disable" },
	{ 0xd4d484ff, "vfio_iommufd_get_dev_id" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4b4f6636, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xeeb5a1b3, "fget" },
	{ 0xad5ad87e, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf7966daa, "pci_user_read_config_dword" },
	{ 0x69dd3457, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x724e28c3, "dump_mm" },
	{ 0xd378439b, "pci_user_read_config_word" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x23e90390, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x70f3937b, "pci_probe_reset_slot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8ddb2779, "zap_vma_ptes" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf4362b34, "pci_set_power_state" },
	{ 0x818d75d9, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x4719d57f, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf51ff813, "__tracepoint_mmap_lock_released" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1ed8bb6b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xfda21f53, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x2be3e55e, "pci_user_write_config_word" },
	{ 0xc741be80, "vfio_iommufd_device_ictx" },
	{ 0x33897901, "bus_register_notifier" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x56b167c5, "vfio_file_is_group" },
	{ 0x13e9d470, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x87d7b671, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1e5b0e77, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x3453f8b9, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xc62803bc, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x3a6dc0dd, "pci_write_vpd" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x53336b6e, "vfio_virqfd_enable" },
	{ 0xd99d08e0, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x20c90fc1, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xaa903992, "aperture_remove_conflicting_pci_devices" },
	{ 0xa81c8537, "vfio_unregister_group_dev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x446ce046, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe93dc378, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe9eb9f42, "pci_iounmap" },
	{ 0xe6f16ea5, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x8fe69510, "pcie_get_mps" },
	{ 0xd6ba91e9, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x46debb8b, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x342b8b31, "__mmap_lock_do_trace_start_locking" },
	{ 0xd11baa04, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x287091cc, "_dev_notice" },
	{ 0x61f1ce6c, "pm_runtime_forbid" },
	{ 0xdad0e069, "pm_runtime_allow" },
	{ 0xd55767bb, "pci_reset_bus" },
	{ 0xd369b3f8, "mmput" },
	{ 0xb8f0bfa2, "__pm_runtime_resume" },
	{ 0x5812ebc9, "vfio_register_group_dev" },
	{ 0x7f4062be, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5d6baae4, "pci_user_read_config_byte" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8588c56c, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfb6c5262, "__tracepoint_mmap_lock_start_locking" },
	{ 0xdab316e4, "pci_get_class" },
	{ 0x1f5f925c, "pci_user_write_config_dword" },
	{ 0xc92cef, "pcie_capability_read_dword" },
	{ 0xc3f16cd0, "__mmap_lock_do_trace_released" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x55e77bf3, "pci_load_and_free_saved_state" },
	{ 0x9e7eb4ea, "pci_disable_sriov" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0xa2d53af4, "pci_disable_device" },
	{ 0x8c9ca090, "pci_match_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x6ae42072, "pci_check_and_unmask_intx" },
	{ 0x474d6c93, "pcie_set_readrq" },
	{ 0x66274565, "pci_walk_bus" },
	{ 0xe4f38738, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x9e8d56b6, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe887295c, "pci_read_config_byte" },
	{ 0x1366fe77, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x8acaf1e3, "vga_set_legacy_decoding" },
	{ 0x226205c, "pci_dev_unlock" },
	{ 0xcaa00d88, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd44cd579, "pci_free_irq_vectors" },
	{ 0xf8847d5e, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xfded7799, "__pm_runtime_idle" },
	{ 0x4135cb0, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xebf29ff2, "pci_bus_type" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "2E7DF53C1FD7245CDE457C9");
