#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1726678f, "ceph_con_keepalive" },
	{ 0x578c7476, "super_setup_bdi_name" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xec7d517f, "folio_invalidate" },
	{ 0xe9f5406d, "ceph_auth_get_authorizer" },
	{ 0xca0b6261, "__page_file_index" },
	{ 0xd6bdb78d, "generic_copy_file_range" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf3955e86, "filemap_fdatawrite" },
	{ 0xdc891f0e, "generic_fillattr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xec9980db, "vfs_fsync_range" },
	{ 0x5188ea22, "setattr_prepare" },
	{ 0x375f0b8e, "ceph_print_client_options" },
	{ 0x8aa09ed3, "simple_attr_write" },
	{ 0xc56a5a5, "file_check_and_advance_wb_err" },
	{ 0x888c48a5, "ceph_msg_get" },
	{ 0xb819243, "filemap_get_folios_tag" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0x1241377a, "d_instantiate" },
	{ 0xdea4b7ec, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf8ac2f91, "simple_attr_open" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd04dbf45, "clear_inode" },
	{ 0x35a93d4e, "ceph_create_client" },
	{ 0x2d7f7ab5, "__fscache_acquire_volume" },
	{ 0xdd15312, "fscache_dirty_folio" },
	{ 0x1e6e8a1e, "vfs_inode_has_locks" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x319fa4df, "osd_req_op_extent_osd_data" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x23c127a5, "discard_new_inode" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3148f78d, "fs_param_is_string" },
	{ 0x66b5b254, "__folio_batch_release" },
	{ 0x78cb9963, "folio_unlock" },
	{ 0xe19f2954, "__fscache_resize_cookie" },
	{ 0xb0fccf36, "fscrypt_ioctl_remove_key_all_users" },
	{ 0xea0059e7, "fscrypt_parse_test_dummy_encryption" },
	{ 0xa359cc39, "inode_insert5" },
	{ 0x4f083972, "ceph_monc_want_map" },
	{ 0xc6df413e, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x598ecbd5, "__fscache_begin_read_operation" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x5daf52ba, "dump_page" },
	{ 0x59f05147, "ceph_con_open" },
	{ 0x6944984b, "forget_all_cached_acls" },
	{ 0x86c97d4b, "init_special_inode" },
	{ 0xf6a9434a, "unregister_filesystem" },
	{ 0xfc1ab937, "__fscrypt_prepare_setattr" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3dd9b78c, "param_get_bool" },
	{ 0xe76e7226, "ceph_pagelist_alloc" },
	{ 0x40a290ba, "task_active_pid_ns" },
	{ 0xbb67bea7, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x983d5800, "ceph_osdc_put_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeeb4fa02, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad703657, "ceph_auth_destroy_authorizer" },
	{ 0xbdb468, "iov_iter_advance" },
	{ 0x969b4d28, "fscrypt_ioctl_get_key_status" },
	{ 0xb3f628f5, "d_make_root" },
	{ 0x7e4ca873, "d_same_name" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xc521ff20, "fscrypt_decrypt_block_inplace" },
	{ 0x98f727df, "read_cache_folio" },
	{ 0xd2fe33ac, "invalidate_mapping_pages" },
	{ 0x96a6236, "sync_filesystem" },
	{ 0xdbbed479, "__fscache_unuse_cookie" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0x17175a2, "ceph_parse_param" },
	{ 0x7ffb8b9f, "ceph_client_gid" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x8c253e7d, "sget_fc" },
	{ 0xd00093b1, "d_splice_alias" },
	{ 0x86b8bf42, "generic_error_remove_page" },
	{ 0x52f4fe8a, "iov_iter_get_pages2" },
	{ 0xeb0dca29, "current_time" },
	{ 0xe7e5f7ed, "osd_req_op_extent_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x73631bbb, "ihold" },
	{ 0x5e6618c7, "d_find_any_alias" },
	{ 0x22d6fdd0, "inode_dio_wait" },
	{ 0xdc0638c2, "generic_permission" },
	{ 0x6b4c0357, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x6030cdfa, "invalidate_inode_pages2_range" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x84546068, "posix_lock_file" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa23149de, "finish_open" },
	{ 0xd5ded2ae, "iput" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x99eb0fb5, "seq_lseek" },
	{ 0xe5f22af7, "fs_param_is_enum" },
	{ 0x8ebddb84, "fs_param_is_s32" },
	{ 0xb975507a, "wrap_directory_iterator" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x87b410e0, "logfc" },
	{ 0xbdff5ee6, "__put_devmap_managed_page_refs" },
	{ 0xabed12e4, "ceph_monc_blocklist_add" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x2f93801d, "fscrypt_show_test_dummy_encryption" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x53c83848, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x38d9ffad, "do_splice_direct" },
	{ 0x6f9a70ed, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0xeea66857, "__fscache_relinquish_cookie" },
	{ 0x26314f6a, "ceph_msg_new" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe768dc28, "register_filesystem" },
	{ 0x4c31aa54, "kmem_cache_create" },
	{ 0xfff4985c, "ceph_auth_invalidate_authorizer" },
	{ 0xdc91e119, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5475b252, "fscrypt_ioctl_get_policy_ex" },
	{ 0x1dde30ed, "ceph_monc_got_map" },
	{ 0xda4743af, "osd_req_op_extent_dup_last" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae9191a7, "mempool_free" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xc5811707, "ceph_osdc_alloc_messages" },
	{ 0x1eff06e6, "clear_page_dirty_for_io" },
	{ 0x2a396444, "ceph_msg_data_add_pagelist" },
	{ 0x3ca3383c, "netfs_readahead" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x42a2f77d, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb54676fa, "ceph_msg_type_name" },
	{ 0xec3d2677, "shrink_dcache_parent" },
	{ 0x5f096d07, "__put_cred" },
	{ 0x345d60c8, "d_prune_aliases" },
	{ 0xadbb4c38, "ceph_reset_client_addr" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x6b0410da, "locks_lock_inode_wait" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xabd68458, "fs_param_is_u32" },
	{ 0x663c7e2, "inode_newsize_ok" },
	{ 0x5bca2a16, "d_drop" },
	{ 0x619c287b, "flush_delayed_work" },
	{ 0x2e6b60ca, "ceph_msg_new2" },
	{ 0xd770dee7, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6cc5af0e, "mempool_create" },
	{ 0x8f87a542, "ceph_release_page_vector" },
	{ 0x8090f763, "posix_acl_from_xattr" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0x8cbf4672, "filemap_alloc_folio" },
	{ 0xddd5a355, "ceph_check_fsid" },
	{ 0x50603ce3, "ceph_decode_entity_addrvec" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xefce3c3b, "ceph_pagelist_reserve" },
	{ 0xc6d7462e, "__ceph_alloc_sparse_ext_map" },
	{ 0xefce991c, "ceph_pagelist_append" },
	{ 0xa62bc12c, "ceph_auth_verify_authorizer_reply" },
	{ 0x5ff47610, "make_kuid" },
	{ 0x27c7d812, "truncate_inode_pages_final" },
	{ 0x6e7ad8f9, "d_alloc" },
	{ 0x8e13761e, "__filemap_set_wb_err" },
	{ 0x3f689f97, "fscrypt_file_open" },
	{ 0xbbdb333c, "generic_perform_write" },
	{ 0x85047724, "mempool_alloc" },
	{ 0x23c79b50, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfd043976, "__free_pages" },
	{ 0xa511c546, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x202c9ee2, "folio_mark_dirty" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1378aba3, "ceph_pg_pool_name_by_id" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf51ae228, "ceph_osdc_wait_request" },
	{ 0x9740b3fb, "inode_init_once" },
	{ 0x2e7de54b, "folio_wait_private_2" },
	{ 0xfbd823e1, "file_write_and_wait_range" },
	{ 0xd14579f1, "ceph_osdc_new_request" },
	{ 0x5b16b87f, "compat_ptr_ioctl" },
	{ 0x861a7a70, "fscrypt_dummy_policies_equal" },
	{ 0x8608392c, "copy_splice_read" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0xa6b8725d, "__fscache_relinquish_volume" },
	{ 0x2c36a10d, "ilookup5" },
	{ 0x371ad1c3, "seq_escape_mem" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x57d0a83f, "__task_pid_nr_ns" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x96be1e6, "osd_req_op_copy_from_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1c948d1c, "posix_acl_create" },
	{ 0x6f4ecdbc, "release_pages" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x8ca90b9b, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x2232f996, "generic_file_read_iter" },
	{ 0x94356c0c, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc68fedce, "set_cached_acl" },
	{ 0xe16797f9, "simple_attr_release" },
	{ 0xbd024ad8, "ceph_auth_handle_svc_reply_more" },
	{ 0x8df4612e, "netfs_write_begin" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xaaae48ec, "truncate_pagecache" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9e4bbcb8, "init_uts_ns" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x92b7b4ce, "ceph_pg_pool_flags" },
	{ 0x254ec73d, "wait_on_page_writeback" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0xdbab056b, "__fscrypt_prepare_rename" },
	{ 0xf750590b, "fscrypt_encrypt_block_inplace" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x9fefa3cb, "ceph_calc_file_object_mapping" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe9df0947, "file_update_time" },
	{ 0x21fbf0a, "fscrypt_ioctl_set_policy" },
	{ 0xb4685d68, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd4eb7735, "ceph_decode_entity_addr" },
	{ 0x6ae58708, "kmem_cache_free" },
	{ 0xe84fd2c1, "debugfs_remove" },
	{ 0x17c17611, "ceph_pg_to_acting_primary" },
	{ 0x5a921311, "strncmp" },
	{ 0xf764d096, "ceph_auth_add_authorizer_challenge" },
	{ 0x365493c2, "d_move" },
	{ 0x563baac0, "seq_putc" },
	{ 0x521f3a50, "from_kgid" },
	{ 0xe78f7d4d, "ceph_con_send" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x122e0a0d, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa399a9ec, "__fscrypt_encrypt_symlink" },
	{ 0x853396fa, "ceph_osdc_abort_requests" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x40bf7aa9, "ceph_zero_page_vector_range" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x3b05b58d, "param_set_bool" },
	{ 0x702326e2, "iov_iter_kvec" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xbb3bd478, "file_remove_privs" },
	{ 0x66e057f1, "__fscrypt_prepare_link" },
	{ 0xfceb7d2d, "ceph_osdc_start_request" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf8657000, "ceph_compare_options" },
	{ 0xf8fb1e64, "d_obtain_alias" },
	{ 0x3ff2613e, "file_modified" },
	{ 0xdb8b045c, "posix_acl_chmod" },
	{ 0x93b70d50, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x673ece61, "ceph_parse_mon_ips" },
	{ 0x945c52dd, "ceph_client_addr" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4278432c, "ceph_msg_dump" },
	{ 0x9fbba67f, "ceph_buffer_new" },
	{ 0x5350617, "fscrypt_put_encryption_info" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x42167e0a, "fscrypt_fname_encrypted_size" },
	{ 0xe2e494f6, "finish_no_open" },
	{ 0x49452d56, "d_obtain_root" },
	{ 0xeeec319f, "fscrypt_d_revalidate" },
	{ 0xdf69f8ea, "osd_req_op_extent_init" },
	{ 0x55e4b998, "ceph_put_page_vector" },
	{ 0xacc8fff7, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x8aa39433, "ceph_osdc_alloc_request" },
	{ 0x4996bd29, "fscache_n_updates" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x29cc4723, "osd_req_op_init" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x4affd6c2, "ceph_parse_fsid" },
	{ 0xfb578fc5, "memset" },
	{ 0x37d60bf3, "ceph_osdc_update_epoch_barrier" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0xe77ec9e0, "osd_req_op_extent_osd_iter" },
	{ 0x2e963d7b, "iov_iter_bvec" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xe34a59f2, "ceph_object_locator_to_pg" },
	{ 0xbe643bc5, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x9f5daa3f, "__ceph_auth_get_authorizer" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x87207e99, "d_delete" },
	{ 0x2b8ada2f, "fscrypt_prepare_lookup_partial" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x18550a9, "simple_attr_read" },
	{ 0x80f94a60, "end_page_writeback" },
	{ 0x4ee1662, "fscrypt_fname_encrypt" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x2a983d26, "ceph_pagelist_release" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a7cfbf2, "osd_req_op_extent_osd_data_pages" },
	{ 0xf407e729, "__fscache_write_to_cache" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5a9fce72, "iov_iter_get_pages_alloc2" },
	{ 0x78cf658f, "ceph_osdc_sync" },
	{ 0x486cb9b4, "set_page_dirty" },
	{ 0x59818b82, "copy_page_from_iter" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x6e845738, "ceph_destroy_client" },
	{ 0xf26ac8e4, "seq_read" },
	{ 0x962c7513, "fscrypt_free_bounce_page" },
	{ 0xdf3aef68, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x538effad, "noop_direct_IO" },
	{ 0x69669c4, "__fscrypt_prepare_readdir" },
	{ 0x3e2ea3f, "debugfs_create_file" },
	{ 0x6e4db595, "igrab" },
	{ 0x7f197973, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8c55218f, "__ceph_open_session" },
	{ 0xa6ce580e, "set_page_writeback" },
	{ 0x65e9d6, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x3096be16, "names_cachep" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x5437f439, "init_user_ns" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xc3bb3a0, "d_find_alias" },
	{ 0x7dd6d33d, "fscrypt_ioctl_add_key" },
	{ 0x4a27cd2e, "invalidate_inode_pages2" },
	{ 0xc310b981, "strnstr" },
	{ 0xbdd65a47, "fscrypt_fname_disk_to_usr" },
	{ 0xe625974, "inode_set_ctime_current" },
	{ 0x24beadc2, "bdi_dev_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x42a92386, "__folio_put" },
	{ 0xd85bebc7, "mempool_destroy" },
	{ 0x9bd03094, "ceph_alloc_page_vector" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe39b2ea5, "sha256" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc4792f0a, "fscrypt_ioctl_get_policy" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xfc94373a, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ef0a759, "seq_printf" },
	{ 0xea12c5d2, "ceph_monc_do_statfs" },
	{ 0xab3836b7, "dput" },
	{ 0x53f0a499, "ceph_monc_validate_auth" },
	{ 0x541b26bb, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x35ef9a5f, "generic_delete_inode" },
	{ 0x94c968c2, "deactivate_locked_super" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xb960ed56, "__percpu_down_read" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf0c186af, "ceph_auth_handle_svc_reply_done" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x57dac748, "set_page_dirty_lock" },
	{ 0xa5203312, "tag_pages_for_writeback" },
	{ 0xdceb5d1d, "__fscache_invalidate" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x1d4d1a80, "posix_acl_update_mode" },
	{ 0x9490fecc, "ceph_auth_handle_bad_authorizer" },
	{ 0x58dd1861, "ceph_monc_renew_subs" },
	{ 0x12b76def, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xee120c03, "ceph_release_string" },
	{ 0xd4d56484, "__folio_lock" },
	{ 0x783a6ff2, "pagecache_get_page" },
	{ 0xd61f4134, "ceph_msg_put" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x5fc4eed1, "osd_req_op_extent_osd_data_bvecs" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x3496f20b, "seq_puts" },
	{ 0x57baf885, "ceph_str_hash" },
	{ 0x42d90158, "__fscache_use_cookie" },
	{ 0xeae0ad61, "rcuwait_wake_up" },
	{ 0x26836872, "single_release" },
	{ 0x229748f2, "fscrypt_prepare_symlink" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xaf84421b, "iov_iter_xarray" },
	{ 0xbf422c87, "__fs_parse" },
	{ 0xc8dcdc8e, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbfd0ce87, "posix_acl_to_xattr" },
	{ 0x6a7a38a0, "ceph_pr_addr" },
	{ 0xb72c162e, "ceph_buffer_release" },
	{ 0xbffb8ce6, "dget_parent" },
	{ 0xf71aeae6, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x6d917acc, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x7907d41d, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x3f9708e, "osd_req_op_raw_data_in_pages" },
	{ 0x1e76993c, "fscrypt_prepare_new_inode" },
	{ 0x508037f4, "netfs_subreq_terminated" },
	{ 0xbc80bcf2, "ceph_con_init" },
	{ 0xfd325586, "generic_write_checks" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb709ccb8, "fscrypt_encrypt_pagecache_blocks" },
	{ 0xee80793b, "fscrypt_get_symlink" },
	{ 0xed594795, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x681c1c37, "kmem_cache_alloc_lru" },
	{ 0x4b586b25, "filemap_fault" },
	{ 0x600eae4a, "d_invalidate" },
	{ 0x30cc848, "debugfs_create_dir" },
	{ 0x848196c9, "__mark_inode_dirty" },
	{ 0xb065e7c5, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0xff87cd18, "lockref_get_not_dead" },
	{ 0x53b954a2, "up_read" },
	{ 0xe243b0e9, "ceph_osdc_clear_abort_err" },
	{ 0x8dda6a27, "iov_iter_npages" },
	{ 0x32081bd1, "drop_nlink" },
	{ 0x8b5d2ebd, "fscrypt_free_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfab74e68, "fscrypt_has_permitted_context" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0x3e82b7ae, "fscrypt_symlink_getattr" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0xef4a2867, "kmem_cache_destroy" },
	{ 0xe2a003fa, "__fscache_acquire_cookie" },
	{ 0xcf6db0f5, "ceph_con_close" },
	{ 0xafb8a407, "ceph_msgr_flush" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0x423e1e6f, "forget_cached_acl" },
	{ 0x2f6b925a, "osd_req_op_xattr_init" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x5e210c34, "fscrypt_context_for_new_inode" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "libceph,fscache,netfs");


MODULE_INFO(srcversion, "BA96646B5E2B9659BDF3159");
