#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xac2a9bfd, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0xb5a52371, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x35aafc4e, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xb55cff44, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xbf898299, "");
SYMBOL_CRC(fuse_abort_conn, 0xe6a3e4d1, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x65d36c05, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x478699a8, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x8eab83c2, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x6e3cb7b5, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x4e145bae, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xd5957ff8, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xb54a0062, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x644e47cc, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x51960726, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xe9109789, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x515523f6, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x2db92557, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x8d589e9b, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x180abb49, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xa8037b93, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x456b683a, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x93d41150, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x77e5b334, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x4f5a94a8, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xc6050672, "");
SYMBOL_CRC(fuse_do_ioctl, 0x8332e067, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x3c0bacfc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x578c7476, "super_setup_bdi_name" },
	{ 0x1be7d289, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x43702dbb, "truncate_inode_pages" },
	{ 0xd6bdb78d, "generic_copy_file_range" },
	{ 0xd072ebac, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0x77db91bf, "pipe_lock" },
	{ 0xdc891f0e, "generic_fillattr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xec9980db, "vfs_fsync_range" },
	{ 0x5188ea22, "setattr_prepare" },
	{ 0x75bddf3a, "clear_nlink" },
	{ 0xc56a5a5, "file_check_and_advance_wb_err" },
	{ 0xb4282ec5, "d_alloc_parallel" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x1241377a, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xa92bc7ea, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27ac9b50, "make_vfsgid" },
	{ 0xd04dbf45, "clear_inode" },
	{ 0x6bb1fe0f, "inode_to_bdi" },
	{ 0x9d9e3951, "find_pid_ns" },
	{ 0xfde829f6, "grab_cache_page_write_begin" },
	{ 0xecc964b7, "simple_dir_inode_operations" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x747f3ba7, "pipe_unlock" },
	{ 0x3148f78d, "fs_param_is_string" },
	{ 0x78cb9963, "folio_unlock" },
	{ 0xc6df413e, "new_inode" },
	{ 0xb943fa98, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0x5daf52ba, "dump_page" },
	{ 0x6944984b, "forget_all_cached_acls" },
	{ 0x86c97d4b, "init_special_inode" },
	{ 0xf6a9434a, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x40a290ba, "task_active_pid_ns" },
	{ 0x9f7c0a38, "iov_iter_single_seg_count" },
	{ 0xb9dc73cc, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x684185c, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x39c2c761, "d_alloc_name" },
	{ 0x213f842f, "replace_page_cache_folio" },
	{ 0x41f3e7ce, "inode_query_iversion" },
	{ 0xbdb468, "iov_iter_advance" },
	{ 0x1e762cc5, "kill_fasync" },
	{ 0xb3f628f5, "d_make_root" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x97e73fe0, "sb_set_blocksize" },
	{ 0xeeb5a1b3, "fget" },
	{ 0x312c1642, "simple_fill_super" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x96a6236, "sync_filesystem" },
	{ 0x464dc35e, "noop_dirty_folio" },
	{ 0x8c253e7d, "sget_fc" },
	{ 0x22ae4bbf, "param_set_uint" },
	{ 0xd00093b1, "d_splice_alias" },
	{ 0x52f4fe8a, "iov_iter_get_pages2" },
	{ 0xdeaef130, "direct_write_fallback" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9861c2d1, "page_get_link" },
	{ 0xdc0638c2, "generic_permission" },
	{ 0x6b4c0357, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x6030cdfa, "invalidate_inode_pages2_range" },
	{ 0x724e28c3, "dump_mm" },
	{ 0x84546068, "posix_lock_file" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa23149de, "finish_open" },
	{ 0xfcbce18b, "dax_iomap_rw" },
	{ 0xd5ded2ae, "iput" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x87b410e0, "logfc" },
	{ 0xbdff5ee6, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x53c83848, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe40dfe2c, "init_pid_ns" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x86eed783, "dax_iomap_fault" },
	{ 0xb8b049da, "iov_iter_init" },
	{ 0x6f9a70ed, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x459d678, "sysfs_create_mount_point" },
	{ 0xbc788c0b, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe768dc28, "register_filesystem" },
	{ 0x4c31aa54, "kmem_cache_create" },
	{ 0xe8591289, "folio_add_lru" },
	{ 0xdc91e119, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x164bcafe, "sync_inode_metadata" },
	{ 0x948a9604, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xb6729609, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xec3d2677, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x11e6ca10, "get_tree_nodev" },
	{ 0x1b1a5852, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b0410da, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xabd68458, "fs_param_is_u32" },
	{ 0x663c7e2, "inode_newsize_ok" },
	{ 0x5bca2a16, "d_drop" },
	{ 0x5910ac1f, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xd770dee7, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0xcca3a78, "bdi_put" },
	{ 0x8090f763, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x201a34b8, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x5ff47610, "make_kuid" },
	{ 0x27c7d812, "truncate_inode_pages_final" },
	{ 0xff5e7b24, "fs_kobj" },
	{ 0x8e13761e, "__filemap_set_wb_err" },
	{ 0x65ca64fd, "simple_dir_operations" },
	{ 0xf3bd8efa, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0xfd043976, "__free_pages" },
	{ 0xa511c546, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x493283c9, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x53a5f64d, "setattr_should_drop_suidgid" },
	{ 0xbb77ab16, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x695c7c92, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0xd28a9f1e, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9740b3fb, "inode_init_once" },
	{ 0xfbd823e1, "file_write_and_wait_range" },
	{ 0x5b16b87f, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x883c9153, "nosteal_pipe_buf_ops" },
	{ 0x2c36a10d, "ilookup5" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbe0f7cc5, "inode_nohighmem" },
	{ 0x6f4ecdbc, "release_pages" },
	{ 0x73c2f960, "generic_file_direct_write" },
	{ 0xc62803bc, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0x2232f996, "generic_file_read_iter" },
	{ 0x60718a88, "inode_maybe_inc_iversion" },
	{ 0x94356c0c, "unlock_page" },
	{ 0x8d3cb9f7, "inc_node_page_state" },
	{ 0xa8b56d19, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xaaae48ec, "truncate_pagecache" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf47ecf65, "put_fs_context" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x216428a0, "dec_node_page_state" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x5d1bd5d6, "write_cache_pages" },
	{ 0xe9df0947, "file_update_time" },
	{ 0xb4685d68, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6ae58708, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x521f3a50, "from_kgid" },
	{ 0x5a471e18, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xbb3bd478, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8b046b8d, "write_inode_now" },
	{ 0xcfcba3bf, "dax_writeback_mapping_range" },
	{ 0xf8fb1e64, "d_obtain_alias" },
	{ 0x3ff2613e, "file_modified" },
	{ 0x93b70d50, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe2e494f6, "finish_no_open" },
	{ 0x624932a5, "__folio_start_writeback" },
	{ 0x744f9238, "kill_litter_super" },
	{ 0xa34435da, "folio_end_writeback" },
	{ 0xacc8fff7, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x56dd0739, "current_in_userns" },
	{ 0x330bacb6, "fc_mount" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x33a53e8b, "sysfs_remove_mount_point" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd6bba7a5, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbe643bc5, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x87207e99, "d_delete" },
	{ 0x34502da2, "from_kgid_munged" },
	{ 0x80f94a60, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x9c5135ae, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xf4249c48, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c04a0c5, "nonseekable_open" },
	{ 0xeecc7395, "dax_finish_sync_fault" },
	{ 0x486cb9b4, "set_page_dirty" },
	{ 0x59818b82, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf3aef68, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x538effad, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6e4db595, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xecaaf731, "generic_read_dir" },
	{ 0x65e9d6, "d_add" },
	{ 0xa6ce580e, "set_page_writeback" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x7287d9bb, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x5437f439, "init_user_ns" },
	{ 0xc3bb3a0, "d_find_alias" },
	{ 0x4a27cd2e, "invalidate_inode_pages2" },
	{ 0xd41a374e, "alloc_pages" },
	{ 0xe625974, "inode_set_ctime_current" },
	{ 0x30db9fb, "inc_nlink" },
	{ 0x42a92386, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x786c1be6, "get_tree_bdev" },
	{ 0xfc94373a, "set_anon_super_fc" },
	{ 0x7ef0a759, "seq_printf" },
	{ 0xab3836b7, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x35ef9a5f, "generic_delete_inode" },
	{ 0x94c968c2, "deactivate_locked_super" },
	{ 0x34eed70, "touch_atime" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xb960ed56, "__percpu_down_read" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x7c56df49, "__d_lookup_unhash_wake" },
	{ 0x57dac748, "set_page_dirty_lock" },
	{ 0x76a73e1a, "pid_nr_ns" },
	{ 0xa23047be, "generic_file_open" },
	{ 0x12b76def, "truncate_inode_pages_range" },
	{ 0x60ce167, "__put_user_ns" },
	{ 0xd4d56484, "__folio_lock" },
	{ 0xf1c94bf5, "filemap_dirty_folio" },
	{ 0x783a6ff2, "pagecache_get_page" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x3496f20b, "seq_puts" },
	{ 0x7b9e0872, "stream_open" },
	{ 0xeae0ad61, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0xd6d6875c, "add_to_pipe" },
	{ 0xbf422c87, "__fs_parse" },
	{ 0x25c86f6a, "dax_layout_busy_page_range" },
	{ 0xc8dcdc8e, "filemap_splice_read" },
	{ 0xbfd0ce87, "posix_acl_to_xattr" },
	{ 0xbffb8ce6, "dget_parent" },
	{ 0xf71aeae6, "kill_anon_super" },
	{ 0x9a095bb5, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x6d917acc, "iget5_locked" },
	{ 0xe9b2591, "security_dentry_init_security" },
	{ 0x7907d41d, "filemap_write_and_wait_range" },
	{ 0x372d6da9, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xfd325586, "generic_write_checks" },
	{ 0x5b17ce23, "iov_iter_revert" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x1a7856d2, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3c4bebf3, "mntget" },
	{ 0x681c1c37, "kmem_cache_alloc_lru" },
	{ 0x4b586b25, "filemap_fault" },
	{ 0x600eae4a, "d_invalidate" },
	{ 0x848196c9, "__mark_inode_dirty" },
	{ 0xb065e7c5, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x8dda6a27, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x32081bd1, "drop_nlink" },
	{ 0x43134c51, "fault_in_iov_iter_readable" },
	{ 0x1ad376d, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xa3d12254, "bdi_set_max_ratio" },
	{ 0xef4a2867, "kmem_cache_destroy" },
	{ 0xb41c56b, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F144C1A63654988B1C26A44");
