#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0xa0e6fc93, "");
SYMBOL_CRC(deregister_atm_ioctl, 0xa216c38d, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x44c6e633, "");
SYMBOL_CRC(vcc_insert_socket, 0x171cd543, "");
SYMBOL_CRC(vcc_release_async, 0x594ec0f9, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x3c581aac, "");
SYMBOL_CRC(atm_dev_signal_change, 0x3b841e87, "");
SYMBOL_CRC(atm_dev_release_vccs, 0xa1397144, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0xcb406cae, "");
SYMBOL_CRC(atm_alloc_charge, 0xfc405b26, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0xd113a3ba, "");
SYMBOL_CRC(atm_dev_lookup, 0xa195398b, "");
SYMBOL_CRC(atm_dev_register, 0xe54d0368, "");
SYMBOL_CRC(atm_dev_deregister, 0x11c3b17a, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x202fa44a, "skb_free_datagram" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf75723f7, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe6ebce66, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x16fc08aa, "dev_set_name" },
	{ 0x530ada41, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x26e87e7e, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe94c48da, "proc_create_data" },
	{ 0x803ff178, "remove_proc_subtree" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x1ab6a9b7, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x72b0a62d, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{  0x19986, "sock_register" },
	{ 0xc8347aa5, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdac72d70, "put_device" },
	{ 0xc41d5c1a, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x55f8c680, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x861f562e, "skb_queue_tail" },
	{ 0xc3df6062, "module_put" },
	{ 0xc391b7d9, "device_create_file" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x73b77d92, "init_net" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x453b8764, "noop_llseek" },
	{ 0x1e0d9e21, "sk_free" },
	{ 0x650180d0, "sock_wake_async" },
	{ 0xf6c3908, "kfree_skb_reason" },
	{ 0xda3581b4, "sock_no_accept" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xa41c3918, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x563baac0, "seq_putc" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x416a642, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xdaaf6e3, "lock_sock_nested" },
	{ 0xe8041953, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe5004416, "sk_alloc" },
	{ 0xc7bb995a, "device_register" },
	{ 0x24421676, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6b796a3b, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xbc2f35cb, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x390afb0c, "skb_recv_datagram" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x337fd804, "remove_proc_entry" },
	{ 0x7ef0a759, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x6298bd35, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x3496f20b, "seq_puts" },
	{ 0x8325b1f8, "sock_gettstamp" },
	{ 0x86e51a91, "_proc_mkdir" },
	{ 0xc07c3cc1, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x302c4cf3, "dev_kfree_skb_any_reason" },
	{ 0x5b17ce23, "iov_iter_revert" },
	{ 0x47ba71bf, "proc_create_seq_private" },
	{ 0xe33f7007, "class_register" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x618b9f1e, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0x921f8d5e, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xadb4080e, "release_sock" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7ED864EF7F799A8E75E778F");
