#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xad6cd1b6, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x28050fb5, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x6d98eeee, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xc454305a, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x46da474e, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x9a212398, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x817fbbec, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x8f9cac70, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xde4c0e68, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x87674c43, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xbc2bfc2c, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xba374dff, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9fdc869, "unregister_pernet_device" },
	{ 0x5e09c213, "xfrm6_tunnel_deregister" },
	{ 0xe82eed5d, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe2bc3bf5, "unregister_netdevice_queue" },
	{ 0x9a5c98c, "dev_addr_mod" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc0814cff, "rt6_lookup" },
	{ 0x9e635efb, "dst_release" },
	{ 0x8b28ac99, "__dev_get_by_index" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc59e736d, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc76d3391, "alloc_netdev_mqs" },
	{ 0xa598cfac, "register_netdev" },
	{ 0xe914e41e, "strcpy" },
	{ 0x73b77d92, "init_net" },
	{ 0xd008e047, "free_netdev" },
	{ 0xa91ef0ea, "rtnl_link_unregister" },
	{ 0xd3ab8438, "__get_hash_from_flowi6" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3727951, "gro_cells_init" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xf98401e8, "skb_copy_bits" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x662ea153, "__pskb_pull_tail" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x9c4c8b19, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x14565df4, "netdev_state_change" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x5ff47610, "make_kuid" },
	{ 0xdc0647fe, "ip6_redirect" },
	{ 0xe5407501, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x93f7088a, "dst_cache_get" },
	{ 0x19b194cb, "ip6_route_output_flags" },
	{ 0x50b3ab7b, "xfrm_lookup" },
	{ 0x532e9c87, "ip6_mtu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc66c3e46, "skb_scrub_packet" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5e87ea2, "skb_realloc_headroom" },
	{ 0x853ed6ee, "skb_set_owner_w" },
	{ 0x530ada41, "consume_skb" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa90ef84f, "ipv6_push_frag_opts" },
	{ 0x3d4be781, "skb_push" },
	{ 0xce2e10fd, "ip6_local_out" },
	{ 0x886eb65b, "ipv6_dev_get_saddr" },
	{ 0x3d797ec7, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x793d6f7, "ip6_dst_hoplimit" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xeb128427, "ipv4_mtu" },
	{ 0x72bbbee3, "neigh_destroy" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x268cf8ee, "iptunnel_handle_offloads" },
	{ 0x63324324, "icmpv6_ndo_send" },
	{ 0x2809bd83, "icmp_ndo_send" },
	{ 0xf6c3908, "kfree_skb_reason" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf14d41b3, "skb_clone" },
	{ 0x85608384, "skb_pull" },
	{ 0x253bdef2, "icmp6_send" },
	{ 0xa0c483d2, "gro_cells_receive" },
	{ 0xecc2aad2, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x913f66fa, "__xfrm_policy_check" },
	{ 0xe47e712, "__iptunnel_pull_header" },
	{ 0x9b80c7fb, "metadata_dst_alloc" },
	{ 0xba6056f7, "ip_route_output_flow" },
	{ 0xe17ef7db, "ip_route_input_noref" },
	{ 0xf2fe1810, "__icmp_send" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x136ab477, "dev_get_tstats64" },
	{ 0x7287d9bb, "param_ops_bool" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x496ea367, "ipv6_chk_addr_and_flags" },
	{ 0x79179312, "dev_get_by_index_rcu" },
	{ 0x11f969ca, "ip6tun_encaps" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfb578fc5, "memset" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x377945, "register_pernet_device" },
	{ 0x2e3e0630, "xfrm6_tunnel_register" },
	{ 0x8c26c355, "rtnl_link_register" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5630649C52513E317EF003F");
