#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0xe985d355, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x84b7d0bd, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x6b7a0fc5, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xa27ee21b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xa5c6aefb, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x0ce99cfc, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xc168111e, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x52e9d8cf, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x63ac7e08, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x2721d285, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x76cf361c, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x0899db92, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xb81db442, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x1d9c9c74, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x37c57aa5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xca385a9c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x02317f1f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x357b6008, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x1ab9bacb, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x80ab0c34, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x94beb08e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x6a0dd337, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x49c84728, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x3e136020, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x4587eba6, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xac3e6595, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xcdd6edbe, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xafbdaf48, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xd426fc00, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xda5dc294, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xe6091271, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xbca4a2de, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x90ce2554, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xb74f4cdb, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xf035c648, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x7723ca22, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa2acd91, "vsock_enqueue_accept" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdea4b7ec, "_copy_to_iter" },
	{ 0xacd961bd, "vsock_insert_connected" },
	{ 0xe6ebce66, "skb_put" },
	{ 0x530ada41, "consume_skb" },
	{ 0x176edda, "trace_raw_output_prep" },
	{ 0xb8f50019, "__trace_trigger_soft_disabled" },
	{ 0x3cd36122, "vsock_remove_sock" },
	{ 0x7594af79, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1236eaaf, "vsock_deliver_tap" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x98e29b97, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x3f804d2e, "bpf_trace_run8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb9c7294, "sk_error_report" },
	{ 0xda659bc7, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3597428, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xc41d5c1a, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5812e0e8, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x85608384, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x1e0d9e21, "sk_free" },
	{ 0xf6c3908, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xc88b36bc, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x6d2bfaef, "__skb_recv_datagram" },
	{ 0xdaaf6e3, "lock_sock_nested" },
	{ 0xca540c13, "vsock_stream_has_data" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe5165bd9, "vsock_find_connected_socket" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x541d9b8a, "sock_efree" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf697b590, "bpf_trace_run10" },
	{ 0x2b802a3e, "vsock_core_get_transport" },
	{ 0x5871001, "vsock_stream_has_space" },
	{ 0x5488369, "trace_event_buffer_reserve" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6298bd35, "_copy_from_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0xb1d83f2d, "vsock_create_connected" },
	{ 0xfbd757d4, "vsock_assign_transport" },
	{ 0x5b17ce23, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xadb4080e, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xea662717, "vsock_data_ready" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "1E83FB8A08E3BA8A9F42A67");
