#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_timer_instance_new, "", "");
KSYMTAB_FUNC(snd_timer_instance_free, "", "");
KSYMTAB_FUNC(snd_timer_open, "", "");
KSYMTAB_FUNC(snd_timer_close, "", "");
KSYMTAB_FUNC(snd_timer_resolution, "", "");
KSYMTAB_FUNC(snd_timer_start, "", "");
KSYMTAB_FUNC(snd_timer_stop, "", "");
KSYMTAB_FUNC(snd_timer_continue, "", "");
KSYMTAB_FUNC(snd_timer_pause, "", "");
KSYMTAB_FUNC(snd_timer_interrupt, "", "");
KSYMTAB_FUNC(snd_timer_new, "", "");
KSYMTAB_FUNC(snd_timer_notify, "", "");
KSYMTAB_FUNC(snd_timer_global_new, "", "");
KSYMTAB_FUNC(snd_timer_global_free, "", "");
KSYMTAB_FUNC(snd_timer_global_register, "", "");

SYMBOL_CRC(snd_timer_instance_new, 0xbae1ba8e, "");
SYMBOL_CRC(snd_timer_instance_free, 0x6fdb4b0b, "");
SYMBOL_CRC(snd_timer_open, 0xc2e19085, "");
SYMBOL_CRC(snd_timer_close, 0x432bc68e, "");
SYMBOL_CRC(snd_timer_resolution, 0x8e2494f1, "");
SYMBOL_CRC(snd_timer_start, 0x12823cd4, "");
SYMBOL_CRC(snd_timer_stop, 0xe3525d51, "");
SYMBOL_CRC(snd_timer_continue, 0x2970caed, "");
SYMBOL_CRC(snd_timer_pause, 0xf558cb99, "");
SYMBOL_CRC(snd_timer_interrupt, 0xdb42ce0f, "");
SYMBOL_CRC(snd_timer_new, 0x461120aa, "");
SYMBOL_CRC(snd_timer_notify, 0xca52a173, "");
SYMBOL_CRC(snd_timer_global_new, 0x6345c352, "");
SYMBOL_CRC(snd_timer_global_free, 0x0352547a, "");
SYMBOL_CRC(snd_timer_global_register, 0x24ca7d72, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf75723f7, "try_module_get" },
	{ 0x1e776053, "snd_info_register" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5b2289cb, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x16fc08aa, "dev_set_name" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xfba6cdd2, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x1e467b18, "snd_fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xed9f9064, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdac72d70, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc3df6062, "module_put" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x884026df, "snd_unregister_device" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x7f65dbbe, "snd_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x47c00eec, "snd_device_new" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ef0a759, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x7b9e0872, "stream_open" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x8f4b65d7, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4631396b, "snd_register_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "F55E983F7655C370EA041D1");
