#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_calc_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x06fe2288, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x3a9d573c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x096c05b2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0xf13ab921, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x6df5aec1, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0xbc980980, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0xe14f6055, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x40454ea6, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0xc8f0a9ec, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x99bfa4c5, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x5445a33b, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x4b0e6b46, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x052f9ecc, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0xb9673361, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x5a74652a, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x4d2b75cf, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x04dee873, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0xf96c8751, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x12b07f3d, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x82bf44c3, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0x766d02ea, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0xf1ebcc2f, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x48491af7, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0x8e8f920e, "_gpl");
SYMBOL_CRC(snd_hdac_calc_stream_format, 0x5c07cb49, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0xc283ef63, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0x4e289cb6, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x25924676, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x55c7274b, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x20cf34ba, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0xc0cc8457, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0xd139c8fb, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x0d8eb30b, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x6d203add, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0xa22037c0, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0xbcd541a8, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x9fd63083, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x4223e41a, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x70539e69, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0xe38088a5, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x1cfeaf12, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0xbadb6711, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0xe6c48c94, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x5b9025d0, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x636b9947, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0xaa800e6b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0xe1e7090d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0xe04ca61f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0xb2aa3e5a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x9808af1b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0xfd96aa5c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x64b1f266, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0xfd3e3c14, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x499e9b77, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x5a380709, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0xcbb4cb2f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0xab83bef8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0xb13322a8, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0x7ae984fa, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xb5ecb591, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x39d0ee8f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x0041e0f9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x6cb2df41, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x9c714e3b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x82c9e7ce, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x71e891cd, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x4d32347c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0xc0a338b0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x00e70384, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x304aa1ec, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0xc3f323d9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x6528c5d2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0xb8af8763, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x1d18d59e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0x886d44dd, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0xdb5e8230, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x05c1a69d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x1876139d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0xeb088fe3, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0xa27a197d, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0x7db90e5c, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0xe82299c6, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x2cd7c96f, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x6c0e7408, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x7f179880, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0xde5fb696, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x9b44c7d3, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x9ea6678f, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x4fc2e0a0, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x13d3cdd7, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0xfdb73432, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0xf25dbe15, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x3e248db6, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x30f7a764, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x72067ae3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xf75723f7, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xe7296d5a, "regcache_sync" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6f4a01b, "regmap_write" },
	{ 0xe680c797, "snd_dma_alloc_dir_pages" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x16fc08aa, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x5a41e4f7, "component_master_add_with_match" },
	{ 0x176edda, "trace_raw_output_prep" },
	{ 0x7b0eab9, "snd_pcm_add_chmap_ctls" },
	{ 0x983b52dd, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb8f50019, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xafa3ba49, "pci_get_device" },
	{ 0x7594af79, "trace_event_printf" },
	{ 0xd6f304db, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x293a883e, "pm_runtime_get_if_active" },
	{ 0x95bf2f00, "kobject_init" },
	{ 0xca3ff79f, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x98e29b97, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x24c3f359, "regcache_reg_cached" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x31175f86, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x22ddb455, "snd_sgbuf_get_addr" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0x4be7d0e9, "snd_sgbuf_get_chunk_size" },
	{ 0xbb6fd8de, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xda659bc7, "trace_event_buffer_commit" },
	{ 0xc8dd65ba, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfa0684dc, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdac72d70, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd575a59b, "_dev_info" },
	{ 0xc3df6062, "module_put" },
	{ 0x203b15f6, "component_match_add_typed" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5812e0e8, "perf_trace_run_bpf_submit" },
	{ 0x626e9be, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x75fc9525, "kobject_add" },
	{ 0x1e6dda1c, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x87b46024, "__devres_alloc_node" },
	{ 0xc88b36bc, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2c7bc7bd, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb0ef2e91, "__regmap_init" },
	{ 0x24421676, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9c5135ae, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd3ff1f4e, "sysfs_remove_group" },
	{ 0x22f4c749, "bpf_trace_run3" },
	{ 0xcd46260a, "component_master_del" },
	{ 0x8e218d79, "regmap_read" },
	{ 0x5488369, "trace_event_buffer_reserve" },
	{ 0xb8f0bfa2, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x276b3354, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x32feb0cd, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x8c9ca090, "pci_match_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xbbc05eca, "devres_find" },
	{ 0xd44c5122, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x73fe2d74, "__pm_runtime_suspend" },
	{ 0x8ab54de0, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe0c64381, "component_unbind_all" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xebf29ff2, "pci_bus_type" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62c04345, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0xb41c56b, "kobject_put" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "27789244559BDB0B0F6942D");
