#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x3b4b9312, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x131e102a, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x60dd10d7, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x4e9fdb02, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x8df3d74c, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0xbe6edb68, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x4c192b7e, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0xa44f78e7, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x426be4e9, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x7cc2d4b7, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xdf3a8162, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x93256983, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x7f6dc566, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x45d72348, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3274f64e, "device_property_present" },
	{ 0xc6f868b, "regcache_cache_only" },
	{ 0xe7296d5a, "regcache_sync" },
	{ 0x6f4a01b, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd1930331, "snd_soc_jack_report" },
	{ 0xa48207ff, "gpiod_set_value_cansleep" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x38a5cec1, "snd_pcm_hw_constraint_minmax" },
	{ 0xd994e1d6, "regcache_sync_region" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xafc34c6, "snd_soc_put_enum_double" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xaba48236, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4790484e, "devm_gpiod_get_optional" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x89bb09f8, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdf0c4601, "regulator_bulk_disable" },
	{ 0x85a4833e, "device_property_read_u32_array" },
	{ 0x9ad39ab0, "snd_soc_get_enum_double" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x2e0280e1, "snd_soc_info_volsw" },
	{ 0xad86d570, "regcache_drop_region" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xca514725, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb5774e1c, "snd_soc_info_enum_double" },
	{ 0xa1b2f762, "regulator_bulk_enable" },
	{ 0x2dcad8d5, "devm_regulator_bulk_get" },
	{ 0x7c21cdbe, "snd_soc_get_volsw" },
	{ 0x8e218d79, "regmap_read" },
	{ 0x1f0b7fd2, "snd_soc_put_volsw" },
	{ 0x1cd35080, "snd_soc_component_update_bits" },
	{ 0xb8f0bfa2, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4fe9294, "regmap_bulk_read" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd44c5122, "regmap_update_bits_base" },
	{ 0xcd49fced, "dev_err_probe" },
	{ 0x7b780477, "regmap_multi_reg_write" },
	{ 0x73fe2d74, "__pm_runtime_suspend" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "ABDF760A37EB1899A58220A");
