#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(pcm512x_regmap, "_gpl", "");
KSYMTAB_FUNC(pcm512x_probe, "_gpl", "");
KSYMTAB_FUNC(pcm512x_remove, "_gpl", "");
KSYMTAB_DATA(pcm512x_pm_ops, "_gpl", "");

SYMBOL_CRC(pcm512x_regmap, 0x9c28ce84, "_gpl");
SYMBOL_CRC(pcm512x_probe, 0x2cc444e4, "_gpl");
SYMBOL_CRC(pcm512x_remove, 0x7a2c34c2, "_gpl");
SYMBOL_CRC(pcm512x_pm_ops, 0xdb834069, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6f868b, "regcache_cache_only" },
	{ 0xe7296d5a, "regcache_sync" },
	{ 0x6f4a01b, "regmap_write" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xafc34c6, "snd_soc_put_enum_double" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xaba48236, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0x517a4a73, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa0684dc, "__pm_runtime_set_status" },
	{ 0x89bb09f8, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x9c67a095, "devm_regulator_register_notifier" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4c2b38be, "pm_runtime_enable" },
	{ 0xdf0c4601, "regulator_bulk_disable" },
	{ 0x9ad39ab0, "snd_soc_get_enum_double" },
	{ 0x67446975, "snd_pcm_hw_rule_add" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x2e0280e1, "snd_soc_info_volsw" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xed5d77fb, "snd_ctl_boolean_stereo_info" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x29adbada, "snd_pcm_hw_constraint_list" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb5774e1c, "snd_soc_info_enum_double" },
	{ 0xa1b2f762, "regulator_bulk_enable" },
	{ 0x2dcad8d5, "devm_regulator_bulk_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x7c21cdbe, "snd_soc_get_volsw" },
	{ 0x8e218d79, "regmap_read" },
	{ 0x1f0b7fd2, "snd_soc_put_volsw" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x503bd137, "snd_interval_ranges" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xd44c5122, "regmap_update_bits_base" },
	{ 0x3ab43572, "snd_pcm_hw_constraint_ratnums" },
	{ 0xea124bd1, "gcd" },
	{ 0x75181f7d, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0xfded7799, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm,snd");


MODULE_INFO(srcversion, "62B793A84D0C70D75533279");
