#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(skl_dsp_set_dma_control, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_create_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_delete_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_pipeline_state, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_save_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_restore_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_dx, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_init_instance, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_bind_unbind, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_load_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_unload_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_get_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_sst_ipc_load_library, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_d0ix, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_get_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_put_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_wake, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_sleep, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(is_skl_dsp_running, "_gpl", "");
KSYMTAB_FUNC(cnl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(skl_clear_module_cnt, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(skl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_instance_id_map, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_id, "_gpl", "");
KSYMTAB_FUNC(skl_put_pvt_id, "_gpl", "");

SYMBOL_CRC(skl_dsp_set_dma_control, 0x983b6d72, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0xb2d13bef, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0xfb13c65a, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0xfd1e0e4b, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0x5b0854dd, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0x4021d3d0, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0x8715f9f8, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0xc291fcf5, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0x3b2a23c7, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0x7585464a, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0xc7c80774, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0xbe79788b, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0x1d8acb9c, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0xf3274b4b, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0xccfa971e, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0x137fe9d8, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0xc3f4af32, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0x43a0e089, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x8c29bf77, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0xa2a22853, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0xc8958372, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0xf4238e9f, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0x28dc432a, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0x29e70e93, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0xa028c14e, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0x3d719bf6, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0xc72bee9f, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0xd21a3582, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0xe05c5525, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0x1fcf2673, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0xeedf98fb, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0xbe292b8c, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0x4582ca6f, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0xb56d41dc, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0x0def91d3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe4a29d0, "platform_device_put" },
	{ 0x68a3fffb, "pci_save_state" },
	{ 0xe79acd5b, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5c361c02, "sst_dsp_register_poll" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe680c797, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0xd0b2865d, "pci_enable_device" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xbadb6711, "snd_hdac_bus_send_cmd" },
	{ 0xf81bafe1, "sysfs_create_file_ns" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x1d18d59e, "snd_hdac_stream_set_spib" },
	{ 0xaa800e6b, "snd_hdac_bus_enter_link_reset" },
	{ 0xc99bb05d, "sst_ipc_tx_message_wait" },
	{ 0x4b24a192, "intel_nhlt_get_dmic_geo" },
	{ 0x5b9025d0, "snd_hdac_bus_get_response" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xae037d58, "snd_hdac_ext_stream_start" },
	{ 0xfe4f861e, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xe1c7fbd8, "snd_hdac_ext_stream_free_all" },
	{ 0xe6c48c94, "snd_hdac_bus_update_rirb" },
	{ 0x85ac7b28, "sst_dsp_shim_write_unlocked" },
	{ 0x4d66a5cd, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe0f43ca2, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6ba4dc7d, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x38a5cec1, "snd_pcm_hw_constraint_minmax" },
	{ 0x52f9ecc, "snd_hdac_codec_modalias" },
	{ 0x9808af1b, "snd_hdac_bus_stop_chip" },
	{ 0x1356864, "pci_request_regions" },
	{ 0x7735b3e7, "snd_hdac_ext_bus_link_power_up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf16e5201, "snd_hdac_ext_bus_init" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6abcb6cf, "snd_intel_dsp_driver_probe" },
	{ 0xeb088fe3, "snd_hdac_stream_set_lpib" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x22ddb455, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0x4be7d0e9, "snd_sgbuf_get_chunk_size" },
	{ 0xe0e6cbb2, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbb8b9ac8, "snd_hdac_ext_bus_device_remove" },
	{ 0xacaf24ae, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0x5d74d67e, "snd_pcm_set_sync" },
	{ 0x3f6677e0, "pci_unregister_driver" },
	{ 0x9d90a7df, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8038cf36, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x304aa1ec, "snd_hdac_stream_timecounter_init" },
	{ 0xedd9e779, "snd_hdac_ext_link_free_all" },
	{ 0xf9bf5948, "sst_ipc_tx_message_nowait" },
	{ 0x1ed8bb6b, "pci_read_config_dword" },
	{ 0xc8dd65ba, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x89bb09f8, "devm_snd_soc_register_component" },
	{ 0xfd3e3c14, "snd_hdac_bus_free_stream_pages" },
	{ 0x619c287b, "flush_delayed_work" },
	{ 0xa27a197d, "snd_hdac_dsp_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf960814, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0x279aefd7, "snd_hdac_ext_bus_exit" },
	{ 0xfda21f53, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdac72d70, "put_device" },
	{ 0x55e96850, "sysfs_remove_file_ns" },
	{ 0x57dafec9, "snd_hdac_ext_stream_decouple" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0x7f0bd072, "snd_hdac_ext_stream_clear" },
	{ 0x99bfa4c5, "snd_hdac_device_register" },
	{ 0xb8af8763, "snd_hdac_stream_spbcap_enable" },
	{ 0x3eb4f52e, "sst_ipc_tx_message_nopm" },
	{ 0x72067ae3, "snd_hdac_i915_init" },
	{ 0xd575a59b, "_dev_info" },
	{ 0xb2aa3e5a, "snd_hdac_bus_init_chip" },
	{ 0xb13322a8, "snd_hdac_stream_stop" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2ed60da1, "intel_nhlt_get_endpoint_blob" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x6cb2df41, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x40c0f759, "sst_dsp_shim_read_unlocked" },
	{ 0x2fb9cf7, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xeca49b5b, "simple_open" },
	{ 0x336f81a3, "snd_soc_acpi_intel_bxt_machines" },
	{ 0xe1e7090d, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x457ff7e0, "platform_device_unregister" },
	{ 0xc1886b5f, "sst_ipc_fini" },
	{ 0x9ea22187, "snd_hdac_ext_stream_assign" },
	{ 0xc8dd1e51, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x53353b7e, "snd_hdac_ext_stream_init_all" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe84fd2c1, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x52ee0264, "sst_dsp_shim_update_bits_unlocked" },
	{ 0xc4dca2, "sst_dsp_shim_update_bits_forced" },
	{ 0xef500826, "platform_device_add" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xfcfaf2e9, "platform_device_alloc" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4f6aade3, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe53d43e4, "snd_soc_acpi_intel_glk_machines" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x59ea252f, "snd_soc_tplg_component_load" },
	{ 0x899eaf87, "sst_dsp_shim_read" },
	{ 0x246e980d, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1cfeaf12, "snd_hdac_bus_stop_cmd_io" },
	{ 0x6528c5d2, "snd_hdac_stream_sync" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe6f16ea5, "pci_restore_state" },
	{ 0x188871f8, "default_llseek" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xd8d7afc3, "snd_pcm_set_managed_buffer_all" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x9ea6678f, "snd_hdac_display_power" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0xcb9f6f52, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x668cab81, "sst_dsp_mailbox_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x17d4e432, "sst_ipc_tx_msg_reply_complete" },
	{ 0x668eebf, "snd_soc_tplg_component_remove" },
	{ 0xe38088a5, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x88a8d781, "dma_set_coherent_mask" },
	{ 0xf868ff4a, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x59503070, "sst_dsp_shim_update_bits" },
	{ 0x3e248db6, "snd_hdac_acomp_exit" },
	{ 0x3e2ea3f, "debugfs_create_file" },
	{ 0x636b9947, "snd_hdac_bus_parse_capabilities" },
	{ 0x25226309, "platform_device_register_full" },
	{ 0xc42583b0, "sst_dsp_outbox_write" },
	{ 0xdad0e069, "pm_runtime_allow" },
	{ 0xb8f0bfa2, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x41e0f9, "snd_hdac_stream_setup" },
	{ 0x70bc0fe5, "sst_dsp_inbox_read" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe70384, "snd_hdac_stream_set_params" },
	{ 0x40ee31d4, "pci_release_regions" },
	{ 0xbf7d1a48, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfd96aa5c, "snd_hdac_bus_handle_stream_irq" },
	{ 0xb3c4db65, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0xf0a20b9a, "pci_write_config_byte" },
	{ 0xdb5e8230, "snd_hdac_stream_drsm_enable" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xd2755e23, "snd_soc_acpi_intel_skl_machines" },
	{ 0x91e894ee, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x3708c0e3, "snd_soc_set_runtime_hwparams" },
	{ 0x4d32347c, "snd_hdac_get_stream" },
	{ 0xa2d53af4, "pci_disable_device" },
	{ 0xf8e3f52b, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0x8c9ca090, "pci_match_id" },
	{ 0xc3f323d9, "snd_hdac_stream_sync_trigger" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x3d69ed2f, "snd_hdac_ext_bus_link_put" },
	{ 0x4d628bff, "snd_hda_codec_device_init" },
	{ 0x6ce0dedb, "dma_set_mask" },
	{ 0x9b44c7d3, "snd_hdac_set_codec_wakeup" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x39d0ee8f, "snd_hdac_stream_reset" },
	{ 0xed19d0ef, "sst_dsp_shim_write" },
	{ 0x310463a3, "snd_pcm_period_elapsed" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x73fe2d74, "__pm_runtime_suspend" },
	{ 0x64b1f266, "snd_hdac_bus_alloc_stream_pages" },
	{ 0x4a5c0c02, "snd_soc_tplg_widget_bind_event" },
	{ 0xe887295c, "pci_read_config_byte" },
	{ 0x7db90e5c, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0x8f4b65d7, "param_ops_int" },
	{ 0x5d046ca1, "intel_nhlt_init" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xb5ecb591, "snd_hdac_stop_streams_and_chip" },
	{ 0xe82299c6, "snd_hdac_dsp_cleanup" },
	{ 0x30cc848, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc817b1aa, "snd_hdac_ext_stream_reset" },
	{ 0x7ae984fa, "snd_hdac_stop_streams" },
	{ 0xe346107e, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xab83bef8, "snd_hdac_stream_start" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9283fb8, "pci_write_config_dword" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa8cafc9d, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1876139d, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x24ac672, "snd_soc_acpi_intel_hda_machines" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core,snd-soc-sst-dsp,snd-pcm,snd-hda-core,snd-soc-sst-ipc,snd-intel-dspcfg,snd-soc-acpi-intel-match,snd-soc-hdac-hda,snd-soc-core,snd-soc-acpi,snd-hda-codec");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "79AC3EEF8E6F3965F4E73CF");
