#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xe53fa82b, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x88e21419, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x966e5bd3, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xedb5fd47, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xebe3c315, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xe2c754df, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x14d83edf, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x3cdcee8c, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xc1fd91d0, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xce272b42, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x8f93ba74, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x3d55a55a, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x77cc8e58, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xa2361862, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x09ef0da1, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x048b2c6a, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x19b5fb7e, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xbfe64e8d, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x9f2e5362, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xddec1c70, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x2acb89d3, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x5a36bc42, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x23b9bc75, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xb631385f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x52b279df, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x34811a11, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xac3233bf, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x6d2df098, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x852b8e9b, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xc516ec41, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x595d061a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x27a66503, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xf9a482f9, "msleep" },
	{ 0xca514725, "_dev_warn" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92c7c408, "kthread_create_worker" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xfb578fc5, "memset" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x609d2fa8, "sched_set_fifo" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xb07fa123, "kthread_destroy_worker" },
	{ 0x87765c2b, "crypto_register_aead" },
	{ 0x9ae03fc5, "crypto_unregister_aead" },
	{ 0x1af773b9, "crypto_register_ahash" },
	{ 0x469e35ff, "crypto_unregister_ahash" },
	{ 0xb6875e31, "crypto_register_akcipher" },
	{ 0x5d719f59, "crypto_unregister_akcipher" },
	{ 0xf7232189, "crypto_register_kpp" },
	{ 0x813b1b6b, "crypto_unregister_kpp" },
	{ 0xa30dd730, "crypto_register_skcipher" },
	{ 0xff7a289d, "crypto_unregister_skcipher" },
	{ 0x431e8470, "crypto_enqueue_request" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd0f76ebb, "crypto_dequeue_request" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x903b9557, "crypto_enqueue_request_head" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "158C7FFEDA40E7C22A24121");
