#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x3017915b, "crypto_shash_update" },
	{ 0x70e0e5f2, "crypto_shash_finup" },
	{ 0x2869efc, "crypto_cipher_setkey" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeb66cb90, "crypto_aead_setkey" },
	{ 0xcd939539, "crypto_skcipher_setkey" },
	{ 0x82075de5, "crypto_shash_tfm_digest" },
	{ 0x9d1ea524, "crypto_skcipher_encrypt" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0xf61b3916, "crypto_aead_decrypt" },
	{ 0x137c14fc, "crypto_aead_encrypt" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x59694d1d, "crypto_grab_skcipher" },
	{ 0x3935e550, "crypto_grab_aead" },
	{ 0x5a921311, "strncmp" },
	{ 0x9f984513, "strrchr" },
	{ 0x349cba85, "strchr" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9df6a357, "crypto_alg_mod_lookup" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xdbfe0857, "shash_no_setkey" },
	{ 0x8fa658a9, "crypto_mod_put" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfcd9272a, "aead_register_instance" },
	{ 0x23a77f92, "skcipher_register_instance" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xab2d48e, "crypto_register_template" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x37a0cba, "kfree" },
	{ 0x39d34ced, "crypto_destroy_tfm" },
	{ 0x397329b9, "crypto_spawn_tfm2" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x82b80f02, "crypto_alloc_base" },
	{ 0xbdfde935, "crypto_alloc_shash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xc7c85415, "crypto_aead_setauthsize" },
	{ 0xb7b7f353, "crypto_cipher_encrypt_one" },
	{ 0x4700ab22, "crypto_skcipher_decrypt" },
	{ 0x70e5d987, "crypto_drop_spawn" },
	{ 0xbe2a87d0, "crypto_unregister_template" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "authenc");


MODULE_INFO(srcversion, "4E52A781CEDAF0486BF382A");
