#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ccp_present, "_gpl", "");
KSYMTAB_FUNC(ccp_version, "_gpl", "");
KSYMTAB_FUNC(ccp_enqueue_cmd, "_gpl", "");
KSYMTAB_FUNC(sev_platform_init, "_gpl", "");
KSYMTAB_FUNC(psp_copy_user_blob, "_gpl", "");
KSYMTAB_FUNC(sev_platform_status, "_gpl", "");
KSYMTAB_FUNC(sev_guest_deactivate, "_gpl", "");
KSYMTAB_FUNC(sev_guest_activate, "_gpl", "");
KSYMTAB_FUNC(sev_guest_decommission, "_gpl", "");
KSYMTAB_FUNC(sev_guest_df_flush, "_gpl", "");
KSYMTAB_FUNC(sev_issue_cmd_external_user, "_gpl", "");
KSYMTAB_FUNC(psp_tee_process_cmd, "", "");
KSYMTAB_FUNC(psp_check_tee_status, "", "");
KSYMTAB_FUNC(psp_check_platform_access_status, "", "");
KSYMTAB_FUNC(psp_send_platform_access_msg, "_gpl", "");
KSYMTAB_FUNC(psp_ring_platform_doorbell, "_gpl", "");
KSYMTAB_FUNC(psp_mutex_lock_timeout, "_gpl", "");
KSYMTAB_FUNC(psp_mutex_unlock, "_gpl", "");
KSYMTAB_FUNC(vpsp_get_default_vid_permission, "_gpl", "");
KSYMTAB_FUNC(vpsp_get_vid, "_gpl", "");
KSYMTAB_FUNC(hygon_psp_additional_setup, "_gpl", "");
KSYMTAB_FUNC(hygon_psp_exit, "_gpl", "");
KSYMTAB_FUNC(psp_do_cmd, "_gpl", "");
KSYMTAB_FUNC(psp_register_cmd_notifier, "_gpl", "");
KSYMTAB_FUNC(psp_unregister_cmd_notifier, "_gpl", "");
KSYMTAB_FUNC(csv_issue_ringbuf_cmds_external_user, "_gpl", "");
KSYMTAB_FUNC(csv_ring_buffer_queue_init, "_gpl", "");
KSYMTAB_FUNC(csv_ring_buffer_queue_free, "_gpl", "");
KSYMTAB_FUNC(csv_fill_cmd_queue, "_gpl", "");
KSYMTAB_FUNC(csv_check_stat_queue_status, "_gpl", "");
KSYMTAB_FUNC(vpsp_try_get_result, "_gpl", "");
KSYMTAB_FUNC(vpsp_try_do_cmd, "_gpl", "");
KSYMTAB_FUNC(kvm_pv_psp_op, "_gpl", "");
KSYMTAB_FUNC(psp_check_tdm_support, "_gpl", "");
KSYMTAB_FUNC(psp_get_fw_info, "_gpl", "");
KSYMTAB_FUNC(psp_create_measure_task, "_gpl", "");
KSYMTAB_FUNC(psp_query_measure_status, "_gpl", "");
KSYMTAB_FUNC(psp_register_measure_exception_handler, "_gpl", "");
KSYMTAB_FUNC(psp_destroy_measure_task, "_gpl", "");
KSYMTAB_FUNC(psp_update_measure_task, "_gpl", "");
KSYMTAB_FUNC(psp_startstop_measure_task, "_gpl", "");
KSYMTAB_FUNC(tdm_export_cert, "_gpl", "");
KSYMTAB_FUNC(tdm_get_report, "_gpl", "");
KSYMTAB_FUNC(tdm_get_vpcr_audit, "_gpl", "");

SYMBOL_CRC(ccp_present, 0x04773b60, "_gpl");
SYMBOL_CRC(ccp_version, 0x3a1a3979, "_gpl");
SYMBOL_CRC(ccp_enqueue_cmd, 0x3d748eef, "_gpl");
SYMBOL_CRC(sev_platform_init, 0xd02e197f, "_gpl");
SYMBOL_CRC(psp_copy_user_blob, 0x2e6a6147, "_gpl");
SYMBOL_CRC(sev_platform_status, 0x91722dce, "_gpl");
SYMBOL_CRC(sev_guest_deactivate, 0x4073e924, "_gpl");
SYMBOL_CRC(sev_guest_activate, 0x3e059f28, "_gpl");
SYMBOL_CRC(sev_guest_decommission, 0x843d6541, "_gpl");
SYMBOL_CRC(sev_guest_df_flush, 0x8fac14a2, "_gpl");
SYMBOL_CRC(sev_issue_cmd_external_user, 0x19f1c41f, "_gpl");
SYMBOL_CRC(psp_tee_process_cmd, 0xaa04056c, "");
SYMBOL_CRC(psp_check_tee_status, 0x47d3c97f, "");
SYMBOL_CRC(psp_check_platform_access_status, 0x4a937398, "");
SYMBOL_CRC(psp_send_platform_access_msg, 0x210b12e2, "_gpl");
SYMBOL_CRC(psp_ring_platform_doorbell, 0x6ea40704, "_gpl");
SYMBOL_CRC(psp_mutex_lock_timeout, 0x0e3a0362, "_gpl");
SYMBOL_CRC(psp_mutex_unlock, 0x53895c3f, "_gpl");
SYMBOL_CRC(vpsp_get_default_vid_permission, 0xa5d74947, "_gpl");
SYMBOL_CRC(vpsp_get_vid, 0xe15e1831, "_gpl");
SYMBOL_CRC(hygon_psp_additional_setup, 0x480d5d8a, "_gpl");
SYMBOL_CRC(hygon_psp_exit, 0xacc193d0, "_gpl");
SYMBOL_CRC(psp_do_cmd, 0x02fbf414, "_gpl");
SYMBOL_CRC(psp_register_cmd_notifier, 0x31a411de, "_gpl");
SYMBOL_CRC(psp_unregister_cmd_notifier, 0xb9e0e58d, "_gpl");
SYMBOL_CRC(csv_issue_ringbuf_cmds_external_user, 0x72d8a71b, "_gpl");
SYMBOL_CRC(csv_ring_buffer_queue_init, 0xd6561431, "_gpl");
SYMBOL_CRC(csv_ring_buffer_queue_free, 0xc40de96c, "_gpl");
SYMBOL_CRC(csv_fill_cmd_queue, 0x0283c3cc, "_gpl");
SYMBOL_CRC(csv_check_stat_queue_status, 0x9edc58fe, "_gpl");
SYMBOL_CRC(vpsp_try_get_result, 0xca27d844, "_gpl");
SYMBOL_CRC(vpsp_try_do_cmd, 0x1c12fe58, "_gpl");
SYMBOL_CRC(kvm_pv_psp_op, 0xba229a6a, "_gpl");
SYMBOL_CRC(psp_check_tdm_support, 0xff3c874a, "_gpl");
SYMBOL_CRC(psp_get_fw_info, 0x2eb700c0, "_gpl");
SYMBOL_CRC(psp_create_measure_task, 0x614cf271, "_gpl");
SYMBOL_CRC(psp_query_measure_status, 0x19bf0ff3, "_gpl");
SYMBOL_CRC(psp_register_measure_exception_handler, 0xabeeec9d, "_gpl");
SYMBOL_CRC(psp_destroy_measure_task, 0xdf595b17, "_gpl");
SYMBOL_CRC(psp_update_measure_task, 0x2980b7e7, "_gpl");
SYMBOL_CRC(psp_startstop_measure_task, 0x2c9f5578, "_gpl");
SYMBOL_CRC(tdm_export_cert, 0x3c800612, "_gpl");
SYMBOL_CRC(tdm_get_report, 0xf1871de9, "_gpl");
SYMBOL_CRC(tdm_get_vpcr_audit, 0xf61949f8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe23d23bb, "devm_platform_ioremap_resource" },
	{ 0x69743ef1, "revert_creds" },
	{ 0x5693d485, "csv_get_smr_entry_shift" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa92bc7ea, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe1a1aee4, "dma_pool_create" },
	{ 0x6f53f9b, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd0fd7085, "hwrng_unregister" },
	{ 0xd0d8a99c, "firmware_request_nowarn" },
	{ 0xef3c45ff, "platform_driver_unregister" },
	{ 0x94c112ed, "dma_async_device_unregister" },
	{ 0x4d4f408e, "platform_get_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x605642da, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x15ef1ed3, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x1057a279, "bsearch" },
	{ 0x6ba4dc7d, "__pci_register_driver" },
	{ 0xc972fa40, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x69dd3457, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x724e28c3, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x39aca6d4, "dma_release_channel" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8b9200fd, "lookup_address" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x4c31aa54, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xc002aa16, "path_put" },
	{ 0x3f6677e0, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e0c1d32, "csv_alloc_from_contiguous" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3cd29d1b, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xe0c4e14d, "hwrng_register" },
	{ 0x69310d7d, "dev_driver_string" },
	{ 0x72056c9b, "devm_free_pages" },
	{ 0x39d34ced, "crypto_destroy_tfm" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x832e5cb7, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x5ab27215, "csv_smr_num" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0xfaea7a27, "platform_irq_count" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x35915f47, "pci_enable_msix_range" },
	{ 0x22c7f9e1, "file_open_root" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfd043976, "__free_pages" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xa511c546, "kmem_cache_alloc" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x1e013dd, "init_task" },
	{ 0x7f612bae, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x36248d42, "dma_run_dependencies" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfdbd2813, "device_get_dma_attr" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xef6acb72, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x80282a50, "prepare_creds" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8d87823, "pci_enable_msi" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2fb9cf7, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6ae58708, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3017915b, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x7d9070ed, "kthread_stop" },
	{ 0x8770b8a6, "devm_get_free_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd6bba7a5, "misc_register" },
	{ 0xcb9f6f52, "pci_set_master" },
	{ 0x800d8930, "param_ops_charp" },
	{ 0x4ea23ba3, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x53524628, "dmaengine_unmap_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb967ef27, "acpi_match_device" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8dc5aaa8, "dma_async_device_register" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9a525a00, "__platform_driver_register" },
	{ 0xa8068299, "kthread_create_on_node" },
	{ 0x88a8d781, "dma_set_coherent_mask" },
	{ 0xf07a3037, "devm_kasprintf" },
	{ 0x10333076, "override_creds" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5a0babb9, "csv_smr" },
	{ 0x287091cc, "_dev_notice" },
	{ 0xa73482cd, "path_get" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0xf7c42650, "crypto_shash_final" },
	{ 0x45f54aa5, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7287d9bb, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe4f0284b, "dma_async_tx_descriptor_init" },
	{ 0xd41a374e, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd993d8bb, "filp_close" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xfad4d49, "pci_disable_msix" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x6ce0dedb, "dma_set_mask" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2535330b, "dma_unmap_sg_attrs" },
	{ 0xfa7ceb98, "pcim_iomap_table" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x754d539c, "strlen" },
	{ 0x8f4b65d7, "param_ops_int" },
	{ 0x7c787116, "pcim_enable_device" },
	{ 0xbdfde935, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xd8bc0f35, "csv_release_to_contiguous" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xbc4b3afd, "kernel_write" },
	{ 0xef4a2867, "kmem_cache_destroy" },
	{ 0xc3269cb5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001022d00001537sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001456sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001468sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000014CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001649sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000017E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000156Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d00001456sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d00001468sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d00001486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d000014B8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d000014A6sv*sd*bc*sc*i*");
MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1a");
MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1aC*");
MODULE_ALIAS("acpi*:AMDI0C00:*");

MODULE_INFO(srcversion, "193C38498B6CDA14B5DCDB2");
