#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_cfg_services, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_get_service_enabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_err_handler, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_cfg_dev_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_accel_mask, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_misc_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_etr_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sram_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sku, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_heartbeat_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_device, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_msix_default_rttable, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_thd2arb_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_ring_to_svc_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_quiesce_coal_timer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_save, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_restore, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_vf_mig_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_ras_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_tl_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_create, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_cleanup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_open, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_close, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_suspend, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_resume, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_destroy, "_gpl", "CRYPTO_QAT");

SYMBOL_CRC(adf_cfg_dev_add, 0x53a2a933, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0xe454ea2d, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0x38cd5340, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0x6f3216fb, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0x15ee38c8, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0xd1a9ec3e, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0x8c56a785, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0xb0b0e181, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0xc18dc98c, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0x1d98f74c, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0x456e49e0, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0x528ff129, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0x1bdb4fbf, "_gpl");
SYMBOL_CRC(adf_dev_get, 0xeae6e27c, "_gpl");
SYMBOL_CRC(adf_dev_put, 0x19409665, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0x4aff4f93, "_gpl");
SYMBOL_CRC(adf_dev_started, 0x541ba556, "_gpl");
SYMBOL_CRC(adf_dev_down, 0x36ed409f, "_gpl");
SYMBOL_CRC(adf_dev_up, 0xdcc2428f, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x2b6307fe, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0xd9532eb4, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x43009f50, "_gpl");
SYMBOL_CRC(adf_err_handler, 0xcc59e070, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0x59fef990, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0x4b475e47, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0x25024c88, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0x03cc359e, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0xf947679b, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x3cd7d823, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0xba41df65, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0xb6657e54, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xe7e93b61, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0xc384034a, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0xc788f6d0, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0xd9e7312d, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0x705f41b6, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0x7dc9ec68, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0xc1dfcca7, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x852926f7, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0x9d82c564, "_gpl");
SYMBOL_CRC(adf_gen4_dev_config, 0x0cb7eba5, "_gpl");
SYMBOL_CRC(adf_gen4_cfg_dev_init, 0x7ba1530d, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0x2c0f84ec, "_gpl");
SYMBOL_CRC(adf_gen4_get_accel_mask, 0xbee43b19, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_accels, 0xc39aea53, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_aes, 0x94345797, "_gpl");
SYMBOL_CRC(adf_gen4_get_misc_bar_id, 0x8b7c2afb, "_gpl");
SYMBOL_CRC(adf_gen4_get_etr_bar_id, 0x51d315ae, "_gpl");
SYMBOL_CRC(adf_gen4_get_sram_bar_id, 0x2407949b, "_gpl");
SYMBOL_CRC(adf_gen4_get_sku, 0x685b169a, "_gpl");
SYMBOL_CRC(adf_gen4_get_arb_info, 0x4c051dc4, "_gpl");
SYMBOL_CRC(adf_gen4_get_admin_info, 0x2230d349, "_gpl");
SYMBOL_CRC(adf_gen4_get_heartbeat_clock, 0xbc8dd9ee, "_gpl");
SYMBOL_CRC(adf_gen4_enable_error_correction, 0x2b3ee52d, "_gpl");
SYMBOL_CRC(adf_gen4_enable_ints, 0x3b8ac637, "_gpl");
SYMBOL_CRC(adf_gen4_init_device, 0x88195c42, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0x67760256, "_gpl");
SYMBOL_CRC(adf_gen4_set_msix_default_rttable, 0xc862bdb1, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0x6772550b, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0x87a93c5a, "_gpl");
SYMBOL_CRC(adf_gen4_init_thd2arb_map, 0xecf7e8af, "_gpl");
SYMBOL_CRC(adf_gen4_get_ring_to_svc_map, 0xa0041ac3, "_gpl");
SYMBOL_CRC(adf_gen4_bank_quiesce_coal_timer, 0xf71e7348, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_save, 0x4dcfeb5a, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_restore, 0x2a30973b, "_gpl");
SYMBOL_CRC(adf_gen4_init_vf_mig_ops, 0xfa6ffd23, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0x5026403c, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0xb274c25b, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0xd3831c13, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0x5718f9d8, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x58a53b2a, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0x47fbb0d6, "_gpl");
SYMBOL_CRC(adf_gen4_init_tl_data, 0xe2c32138, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0xa222d53d, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0x776db726, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0xa0ada23b, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0xea4bc469, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0xe42305d5, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0xdc7abbae, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0xcd55aa17, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x7b9a457d, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0x1c77b7f9, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0x62b614f8, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0x74229a7c, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x5f8fe12e, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0xea9464e3, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0x459668fe, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0x9d18e7fe, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0x0489c8b9, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0xce62c183, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0x17155fdc, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0x2c3de522, "_gpl");
SYMBOL_CRC(qat_vfmig_create, 0x2edfa2cb, "_gpl");
SYMBOL_CRC(qat_vfmig_init, 0x11c78a82, "_gpl");
SYMBOL_CRC(qat_vfmig_cleanup, 0xc445daef, "_gpl");
SYMBOL_CRC(qat_vfmig_reset, 0xf957a0dc, "_gpl");
SYMBOL_CRC(qat_vfmig_open, 0xe6ec398c, "_gpl");
SYMBOL_CRC(qat_vfmig_close, 0x8d9f5e3d, "_gpl");
SYMBOL_CRC(qat_vfmig_suspend, 0x17442e7f, "_gpl");
SYMBOL_CRC(qat_vfmig_resume, 0x99d30dc6, "_gpl");
SYMBOL_CRC(qat_vfmig_save_state, 0x85ff00a2, "_gpl");
SYMBOL_CRC(qat_vfmig_save_setup, 0x6161526c, "_gpl");
SYMBOL_CRC(qat_vfmig_load_state, 0x4f7494c7, "_gpl");
SYMBOL_CRC(qat_vfmig_load_setup, 0x7e56a91f, "_gpl");
SYMBOL_CRC(qat_vfmig_destroy, 0x52d721ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d1ea524, "crypto_skcipher_encrypt" },
	{ 0x68a3fffb, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf75723f7, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x82b80f02, "crypto_alloc_base" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x279de7d1, "pci_alloc_irq_vectors" },
	{ 0x813b1b6b, "crypto_unregister_kpp" },
	{ 0xb7db0923, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x15ef1ed3, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe0f43ca2, "request_firmware" },
	{ 0x7cb9e69e, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xad5ad87e, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1337ca79, "crypto_register_aeads" },
	{ 0xf430d6fd, "pci_sriov_get_totalvfs" },
	{ 0x57733094, "seq_hex_dump" },
	{ 0xae4231af, "device_remove_groups" },
	{ 0x99eb0fb5, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x65f000b6, "devm_device_add_group" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4719d57f, "pci_irq_vector" },
	{ 0xcd939539, "crypto_skcipher_setkey" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2869efc, "crypto_cipher_setkey" },
	{ 0x69310d7d, "dev_driver_string" },
	{ 0x32fd3735, "crypto_unregister_aeads" },
	{ 0x39d34ced, "crypto_destroy_tfm" },
	{ 0x1ed8bb6b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x832e5cb7, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x6b877e66, "crypto_alloc_kpp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x4700ab22, "crypto_skcipher_decrypt" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x57ea1613, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xc3df6062, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5b16b87f, "compat_ptr_ioctl" },
	{ 0xd1effb61, "cdev_add" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x1e5b0e77, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x7828c902, "crypto_unregister_acomps" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2fb9cf7, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xeca49b5b, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x5d719f59, "crypto_unregister_akcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf3e14bdb, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x943e96e3, "class_create" },
	{ 0x17d95936, "pci_wait_for_pending_transaction" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0x57f33772, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe84fd2c1, "debugfs_remove" },
	{ 0x11a7e615, "pcie_flr" },
	{ 0x20c90fc1, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x563baac0, "seq_putc" },
	{ 0x72aa90d9, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3017915b, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd266e8ea, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe6f16ea5, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xcb9f6f52, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4e2deb0b, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xf26ac8e4, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x287091cc, "_dev_notice" },
	{ 0xb7b7f353, "crypto_cipher_encrypt_one" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3e2ea3f, "debugfs_create_file" },
	{ 0xc6e45ab7, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf7232189, "crypto_register_kpp" },
	{ 0xbdcbacea, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ef0a759, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e7eb4ea, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x3496f20b, "seq_puts" },
	{ 0x26836872, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xb6047d38, "device_add_groups" },
	{ 0x3d73b9be, "seq_open" },
	{ 0xdaf77d4d, "crypto_unregister_skciphers" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xb6875e31, "crypto_register_akcipher" },
	{ 0xed594795, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xbdfde935, "crypto_alloc_shash" },
	{ 0x30cc848, "debugfs_create_dir" },
	{ 0xcaa00d88, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0xd44cd579, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf8847d5e, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf91bc4f1, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0x99ad3b1, "cdev_del" },
	{ 0xe118ffae, "crypto_alloc_skcipher" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc,dh_generic");


MODULE_INFO(srcversion, "815BA248A24FD5F50EDB072");
