#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x55ecbefb, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0xc5a4ea32, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x4343b8aa, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x6603b7a6, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0xfd20a1f6, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x90b68ed0, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0xb8ad57a5, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x2a0b7879, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x8e95d580, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x41911693, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x4e700976, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xcd5c6697, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0xa01dc8fd, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x24dae7b7, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xb3859145, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x52100fde, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x03fcb0e8, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x35fbf91e, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x21674adc, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x1f24f042, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0xf18d7b1e, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x26cf54da, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x7ada1154, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x5108e990, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ef0a759, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe647015b, "regmap_raw_write" },
	{ 0x13092927, "regmap_raw_read" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xca514725, "_dev_warn" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8e218d79, "regmap_read" },
	{ 0xd575a59b, "_dev_info" },
	{ 0xd44c5122, "regmap_update_bits_base" },
	{ 0x6f4a01b, "regmap_write" },
	{ 0x7b780477, "regmap_multi_reg_write" },
	{ 0x4fe9294, "regmap_bulk_read" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf07a3037, "devm_kasprintf" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe84fd2c1, "debugfs_remove" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x999e8297, "vfree" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa916b694, "strnlen" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x487409c6, "regmap_raw_write_async" },
	{ 0x98edf8fd, "regmap_async_complete" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x99eb0fb5, "seq_lseek" },
	{ 0xf26ac8e4, "seq_read" },
	{ 0x26836872, "single_release" },
	{ 0xeca49b5b, "simple_open" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x30cc848, "debugfs_create_dir" },
	{ 0xc3bb1c2, "debugfs_create_bool" },
	{ 0x3514e316, "debugfs_create_x32" },
	{ 0x3e2ea3f, "debugfs_create_file" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xed594795, "single_open" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FA3BBC13C13A4294CD702B3");
