#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_encoder_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_allocate_task, "", "");
KSYMTAB_FUNC(drm_flip_work_queue_task, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_plane_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_from_ddc, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xc139f610, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_encoder_state, 0x4bf6f8ca, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x5a9f982a, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x89292674, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x599a352e, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x6ac4791e, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x8e80fe06, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xfe38158c, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xbac79a56, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xb20c8364, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xb6b3ee11, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x86d32d90, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x0eb8f53b, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x0ea82bc5, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0xc054fec3, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x3aaf5e85, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xca5918cd, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x155d8c63, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x714a375c, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x3b9dee4a, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x3f7e8aa9, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x67dae173, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x684080aa, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x19f8563f, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x457e2ce4, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x3161d56d, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xe8e79fdb, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x5d230350, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x3bded691, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x392205ef, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x32dd95aa, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x1ecc4a6f, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x06954ad8, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x9cfc87c9, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x459933d8, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x52dce214, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xff1d1c4d, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x7818e0a5, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xc8a537ac, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x474edc63, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0xe4a8d190, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x83295ec4, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xf7c55c8e, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xaf0a4b5b, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x89b7a599, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xa9116a79, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x53b7adf1, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xeb333ef4, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x0046491e, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0xb351c66a, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xe1cfaa35, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x7de11515, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x218a05f5, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xabd91844, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xf29f7990, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x1f2ee83d, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x3437d2c9, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xb7e6aa7b, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x0a561c56, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xa8a44333, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x743af2eb, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x2130343b, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xc66f0534, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x402c62f0, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xd30dca7e, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x7fe9ad84, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xa83deff9, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xe3d80eff, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x73af68a0, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x5058b9a1, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x7e449378, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x2dc68561, "");
SYMBOL_CRC(drm_bridge_connector_init, 0x53cd08d9, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x81ad817d, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x3b0ca891, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x27417ac2, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xe377f194, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xf571af04, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xfa48038f, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xd63edb30, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xbf60e5fa, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x063c5aeb, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x974abbdf, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x409ca2ad, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xffe77026, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x69d9480f, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xa4c5b2a0, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x78842fa9, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xb7550d99, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x754570ed, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x73a1fc5f, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x10a6aadd, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x271630cf, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xd2747578, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x97f0b61a, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x152fcbd5, "");
SYMBOL_CRC(drm_flip_work_allocate_task, 0xcf11a549, "");
SYMBOL_CRC(drm_flip_work_queue_task, 0xb6a26b52, "");
SYMBOL_CRC(drm_flip_work_queue, 0x27d1f4bf, "");
SYMBOL_CRC(drm_flip_work_commit, 0xe5b6a86c, "");
SYMBOL_CRC(drm_flip_work_init, 0x6c6e4f6a, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xe614fb2b, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x73c09fdd, "");
SYMBOL_CRC(drm_fb_swab, 0x86fb0481, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x885892d3, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0xc0bd6856, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x63005aa0, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x905f20a0, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x46e6aefd, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0xa40fe8d7, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xae53d9d5, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xccfb2326, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xe2fffecc, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x34d527d9, "");
SYMBOL_CRC(drm_fb_blit, 0x3517398b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x94e431ec, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x71d98245, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x8d0e454f, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xe53de3e2, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xe638e24e, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x5c36204b, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xbd88a371, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x3c1bcdfe, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x6ca314de, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xed7b5dfd, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0xfaa54994, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x2534d060, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x3c6631dc, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x7db55a5d, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xbed1594c, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x5013b559, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x2dee5567, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x8569805a, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x7c6e4997, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x9d5065ab, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x6764e6fe, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x357a0a1a, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xd1c0bf6d, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x6b5212a3, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xfea894ee, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xa39c799f, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x1734aceb, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x8e443239, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xbb666d6e, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xc0416d45, "");
SYMBOL_CRC(drm_crtc_init, 0xef35f21a, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x5550a7ae, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x2246a156, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xe39f3ce8, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xab715fa0, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x3f44fef5, "");
SYMBOL_CRC(drm_plane_helper_atomic_check, 0xddbc9695, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x9a502632, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x41227e7b, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x25720231, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xbeda4da1, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x1af4f6c7, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x691c7bfb, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xa0519d21, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x7c999715, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x498793e1, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x2ac3c3b2, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x84a25a0c, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x89ae5487, "");
SYMBOL_CRC(drm_connector_helper_get_modes_from_ddc, 0x36d5e453, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x3a536ba7, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x168c27de, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xa0a753b0, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xff93b019, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x1815395b, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x92e7d107, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x8e4ee7dc, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x2fb12c27, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x5cb2838b, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xcc6f65d3, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x279b642b, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x13b7d637, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xb2c07e71, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x6c008f1f, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xe1f422a2, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x70f7d6c6, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x0940db06, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xc7b9839e, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x06b4e0bd, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xbe3480c9, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0x808af910, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x4da217b0, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x4eb23545, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x9fafd805, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x7db46619, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0xc8481463, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x38987f8c, "");
SYMBOL_CRC(drm_fb_helper_init, 0x90936acc, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xacdcd8a0, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xc207cee9, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x6637c806, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x3c5b43d8, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0xdbe3259d, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x5cd09d57, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0xa5711433, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x3d33fc64, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0xb79f731b, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xd9ae794c, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xabcbb855, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x841c8eb0, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x8e3fca46, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x1be98609, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x0e639091, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x44ae2c77, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x71c64f73, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0xd35db196, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0xd206d125, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x953542c3, "unregister_framebuffer" },
	{ 0x36f0f56b, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x5d115b3, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xaa1c54e8, "drm_client_register" },
	{ 0x6c51bedf, "drm_writeback_prepare_job" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x1bf5ea1b, "drm_panel_get_modes" },
	{ 0xa708e21d, "drm_gem_vmap_unlocked" },
	{ 0xf75723f7, "try_module_get" },
	{ 0x5f77634a, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe120c13d, "drm_bridge_add" },
	{ 0xcd6cc8db, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0x5c10308e, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x513c1f08, "drm_client_rotation" },
	{ 0x12879c3b, "drm_client_buffer_vmap" },
	{ 0x18caa18, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6cf6db94, "drm_framebuffer_init" },
	{ 0xd22bf11e, "drm_mode_validate_driver" },
	{ 0xdb9d9b26, "drm_atomic_add_affected_planes" },
	{ 0x7dcf2ea3, "dma_buf_end_cpu_access" },
	{ 0x80bce126, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x6e2fba8e, "drm_mode_probed_add" },
	{ 0xa22521e6, "drm_atomic_add_affected_connectors" },
	{ 0xd29b293e, "drm_gem_vunmap_unlocked" },
	{ 0x313018f2, "drm_bridge_hpd_enable" },
	{ 0x42ed0dfb, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x91bdce2c, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf8ec5b94, "drm_client_framebuffer_delete" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xe860809a, "drm_client_framebuffer_create" },
	{ 0x415f9bb0, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x2722ddd7, "drm_mode_object_get" },
	{ 0xd261d8d, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x12c2eca3, "drm_driver_legacy_fb_format" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x166e9ae4, "drm_crtc_cleanup" },
	{ 0xe63e145c, "drm_connector_list_iter_begin" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xcc33c816, "fb_deferred_io_init" },
	{ 0xf71f8f6, "drm_mode_set_config_internal" },
	{ 0x308bc324, "fb_deferred_io_cleanup" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xed3bbb75, "framebuffer_alloc" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x56ad5db6, "drm_encoder_cleanup" },
	{ 0xc3c1b210, "drm_connector_unregister" },
	{ 0xe5617a4d, "drm_modeset_acquire_init" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x95cd48ee, "drm_client_modeset_probe" },
	{ 0x1ea336d3, "drm_warn_on_modeset_not_all_locked" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe33485ee, "drm_plane_get_damage_clips" },
	{ 0xbb6fd8de, "devres_add" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x30126d8c, "drm_add_modes_noedid" },
	{ 0xbdd023, "drm_bridge_remove" },
	{ 0x432a6138, "drm_mode_object_put" },
	{ 0x69310d7d, "dev_driver_string" },
	{ 0xf8603edc, "drm_crtc_vblank_get" },
	{ 0x2214c9c8, "drm_gem_object_lookup" },
	{ 0xb979e393, "drm_crtc_send_vblank_event" },
	{ 0xc9330dbe, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0xe9b218c1, "fb_sys_write" },
	{ 0x899b0279, "drm_atomic_normalize_zpos" },
	{ 0x225cdca4, "drm_edid_connector_update" },
	{ 0xe4c418e5, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe7bd614, "drm_bridge_hpd_disable" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x766013c7, "vga_switcheroo_client_fb_set" },
	{ 0x2c4c1abe, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4298ccff, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x25a19f13, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x40d04664, "console_trylock" },
	{ 0xb5e026af, "sys_fillrect" },
	{ 0xe34a6df8, "drm_connector_list_iter_end" },
	{ 0xcefe487c, "drm_atomic_set_crtc_for_plane" },
	{ 0x820fc259, "drm_client_modeset_dpms" },
	{ 0x506189c0, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5396051a, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x612ff92e, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xea9749cb, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xc3df6062, "module_put" },
	{ 0xb1d9635c, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xa8a69d50, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xdfa681ff, "drm_client_init" },
	{ 0x71617c4f, "drm_crtc_wait_one_vblank" },
	{ 0x93959a4, "drm_crtc_next_vblank_start" },
	{ 0x8af52ced, "__drmm_encoder_alloc" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x7ba633f7, "drm_modeset_lock" },
	{ 0x1d78fd47, "drm_client_modeset_commit_locked" },
	{ 0xba7af5bf, "drm_modeset_unlock" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xa3fc6314, "drm_panel_disable" },
	{ 0x29828e19, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4f2ff67c, "drm_connector_init" },
	{ 0x2fb9cf7, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xf23857b1, "drm_writeback_cleanup_job" },
	{ 0x9252a52, "drm_modeset_lock_all_ctx" },
	{ 0x867de530, "i2c_unregister_device" },
	{ 0xd5103f2b, "drm_atomic_set_fb_for_plane" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x78366fac, "__drm_universal_plane_alloc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2af39dd, "drm_connector_init_with_ddc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x4c083e0f, "drm_add_edid_modes" },
	{ 0x8027372c, "drm_edid_connector_add_modes" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x87b46024, "__devres_alloc_node" },
	{ 0xf75a38db, "drm_edid_read" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9d0e82fd, "drm_crtc_commit_wait" },
	{ 0x9202eed8, "drm_dev_has_vblank" },
	{ 0x7483925d, "register_framebuffer" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xe135414, "__drm_atomic_helper_disable_plane" },
	{ 0x6b44019b, "drm_connector_set_orientation_from_panel" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x61dae6d4, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x48f43542, "drm_atomic_set_crtc_for_connector" },
	{ 0xbec2961c, "drm_analog_tv_mode" },
	{ 0xa082d6d6, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x568ea541, "drm_mode_duplicate" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x31534b04, "drm_crtc_vblank_put" },
	{ 0xa871dcd4, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xa0345905, "__drm_dev_dbg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf9635cd3, "drm_plane_get_damage_clips_count" },
	{ 0xa6d8383b, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x693b2573, "fb_deferred_io_mmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xdc225c9b, "drm_atomic_state_alloc" },
	{ 0xfe46e9bc, "drm_client_modeset_commit" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0xae686d35, "drm_atomic_bridge_chain_post_disable" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd385ffaa, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31b8a5e3, "__drm_set_edid_firmware_path" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x70d7545b, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x3ca25d79, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x42629572, "drm_client_release" },
	{ 0x8d72789e, "drm_edid_is_valid" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x64eb9992, "__drm_atomic_helper_set_config" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x48861a81, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xed548c12, "drm_get_format_info" },
	{ 0x4084d4b1, "drm_connector_cleanup" },
	{ 0x70a6e2bb, "drm_universal_plane_init" },
	{ 0xa318f195, "drm_any_plane_has_format" },
	{ 0x7d2820f5, "sys_copyarea" },
	{ 0x69a171ab, "drm_connector_list_iter_next" },
	{ 0xfec77eb9, "drm_modeset_acquire_fini" },
	{ 0xfe652932, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0x46945508, "drm_object_property_get_default_value" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x7b0f653a, "current_work" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x7287d9bb, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbff81967, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x142f9e74, "drm_modeset_backoff" },
	{ 0xd980e38d, "drm_panel_prepare" },
	{ 0x20dc1bd0, "drm_bridge_chain_mode_set" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x3930bb9d, "drm_client_buffer_vunmap" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x53811960, "fb_sys_read" },
	{ 0x3c63897, "__drm_get_edid_firmware_path" },
	{ 0xad75ae5, "drm_atomic_get_plane_state" },
	{ 0x9f4b0ac4, "drm_atomic_bridge_chain_check" },
	{ 0x41e2f6f3, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xcf21029e, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x995b4a3, "drm_property_blob_put" },
	{ 0xc1f4c7f8, "drm_mode_destroy" },
	{ 0x87b1510f, "drm_bridge_attach" },
	{ 0xc46e8062, "drm_set_preferred_mode" },
	{ 0x42538067, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x200c64ff, "drm_atomic_state_clear" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x28cb0cd, "drm_mode_config_reset" },
	{ 0x925c0864, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0xe81ddda1, "drm_modeset_drop_locks" },
	{ 0x5bed81d5, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x3747184b, "drm_atomic_bridge_chain_disable" },
	{ 0x648fdc05, "drm_mode_create_from_cmdline_mode" },
	{ 0xfc6288fa, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x8f4b65d7, "param_ops_int" },
	{ 0xc4f13632, "drm_atomic_nonblocking_commit" },
	{ 0x30cc848, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x48f8560f, "drm_master_internal_release" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7d5cc2c, "drm_get_edid" },
	{ 0x1611c6ae, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x496a4be8, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xebf29ff2, "pci_bus_type" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0x78739177, "drm_atomic_add_encoder_bridges" },
	{ 0x68c2cf75, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2985d191, "drm_sysfs_connector_hotplug_event" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "drm,i2c-core");


MODULE_INFO(srcversion, "D13941A0564D907B7CF5D2B");
