#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x03b70451, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x3b9fdfea, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x001d2a29, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x56dd04de, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x6970180e, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0xbcaea518, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x4ae4e336, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x648c8412, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0xb8241cc4, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x09962f8c, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x64b3119e, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x0f96dd1b, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xda0583e3, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x3768ca7e, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0xe688add3, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x5bb6ff92, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x84ee6f40, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x3832e044, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x3d99d426, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0xbbd90b81, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x6db95b44, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe84fd2c1, "debugfs_remove" },
	{ 0xf8ac2f91, "simple_attr_open" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xab53e6d0, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x627a9b24, "rdev_get_dev" },
	{ 0x3fc05ffe, "rdev_get_id" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x47fc3c42, "devm_request_threaded_irq" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xcf68b35f, "sysfs_notify" },
	{ 0x32feb0cd, "kobject_uevent" },
	{ 0xd7d7ea28, "regulator_notifier_call_chain" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x338f2535, "i2c_smbus_xfer" },
	{ 0xc391b7d9, "device_create_file" },
	{ 0x4b690767, "__devm_add_action" },
	{ 0x96848186, "scnprintf" },
	{ 0x3e2ea3f, "debugfs_create_file" },
	{ 0x9166fada, "strncpy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7e8dc27a, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8038b017, "devm_hwmon_device_register_with_groups" },
	{ 0x96777a9e, "devm_regulator_register" },
	{ 0xcd49fced, "dev_err_probe" },
	{ 0xca514725, "_dev_warn" },
	{ 0x453b8764, "noop_llseek" },
	{ 0xeca49b5b, "simple_open" },
	{ 0x8faf99f2, "debugfs_attr_read" },
	{ 0xf799639a, "debugfs_attr_write" },
	{ 0xe16797f9, "simple_attr_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x4a8db503, "i2c_smbus_write_byte_data" },
	{ 0x9f204f9f, "i2c_smbus_read_byte_data" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9814cdb1, "i2c_smbus_write_byte" },
	{ 0x4d044bb0, "i2c_smbus_write_word_data" },
	{ 0x2a518ae5, "i2c_smbus_read_word_data" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x921f8d5e, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x9d9fbf26, "devm_krealloc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30cc848, "debugfs_create_dir" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "i2c-core");


MODULE_INFO(srcversion, "AFFD3496466DF3521D240C7");
