#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x521bc947, "bio_associate_blkg" },
	{ 0x97cd8ccb, "crypto_alloc_ahash" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa6c0cf23, "dm_audit_log_ti" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6f53f9b, "param_ops_uint" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x94f7ef9b, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xc559c00, "dm_per_bio_data" },
	{ 0x9e63372a, "dm_put_device" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x24772bfe, "dm_bufio_get" },
	{ 0x26c5c5b1, "mempool_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xefc6543a, "dm_bio_from_per_bio_data" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xae9191a7, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x39d34ced, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x85047724, "mempool_alloc" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9d4b32f5, "kobject_uevent_env" },
	{ 0xdd3f3839, "bio_endio" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x5e2aa98f, "dm_audit_log_bio" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xfce91f36, "submit_bio_noacct" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0xc84d00f2, "dm_bufio_client_create" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xef9c3b55, "dm_unregister_target" },
	{ 0xf1e046cc, "panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x251200a, "crypto_ahash_final" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf0da7884, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xff674540, "dm_disk" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3f4bdf7d, "dm_register_target" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xe46c35ff, "dm_table_get_mode" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1f594362, "dm_table_get_md" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x3e152621, "dm_io" },
	{ 0xcca5e726, "dm_get_device" },
	{ 0x754d539c, "strlen" },
	{ 0x74dcd98c, "dm_bufio_get_aux_data" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1e7bbcb3, "kernel_restart" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xb6a38f6f, "mempool_exit" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "dm-bufio");


MODULE_INFO(srcversion, "9B9209B90E2E23584EC6657");
