#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dib9000_fw_set_component_bus_speed, "", "");
KSYMTAB_FUNC(dib9000_get_tuner_interface, "", "");
KSYMTAB_FUNC(dib9000_get_component_bus_interface, "", "");
KSYMTAB_FUNC(dib9000_get_i2c_master, "", "");
KSYMTAB_FUNC(dib9000_set_i2c_adapter, "", "");
KSYMTAB_FUNC(dib9000_set_gpio, "", "");
KSYMTAB_FUNC(dib9000_fw_pid_filter_ctrl, "", "");
KSYMTAB_FUNC(dib9000_fw_pid_filter, "", "");
KSYMTAB_FUNC(dib9000_firmware_post_pll_init, "", "");
KSYMTAB_FUNC(dib9000_i2c_enumeration, "", "");
KSYMTAB_FUNC(dib9000_set_slave_frontend, "", "");
KSYMTAB_FUNC(dib9000_get_slave_frontend, "", "");
KSYMTAB_FUNC(dib9000_attach, "_gpl", "");

SYMBOL_CRC(dib9000_fw_set_component_bus_speed, 0x11f36de4, "");
SYMBOL_CRC(dib9000_get_tuner_interface, 0x01b9f327, "");
SYMBOL_CRC(dib9000_get_component_bus_interface, 0x698c1792, "");
SYMBOL_CRC(dib9000_get_i2c_master, 0x5258fffa, "");
SYMBOL_CRC(dib9000_set_i2c_adapter, 0xfd2e4ad4, "");
SYMBOL_CRC(dib9000_set_gpio, 0xba46b11a, "");
SYMBOL_CRC(dib9000_fw_pid_filter_ctrl, 0xe84bbae1, "");
SYMBOL_CRC(dib9000_fw_pid_filter, 0x5167e33d, "");
SYMBOL_CRC(dib9000_firmware_post_pll_init, 0x70b5315b, "");
SYMBOL_CRC(dib9000_i2c_enumeration, 0xb6ba16c2, "");
SYMBOL_CRC(dib9000_set_slave_frontend, 0x6414adaf, "");
SYMBOL_CRC(dib9000_get_slave_frontend, 0x49e4a046, "");
SYMBOL_CRC(dib9000_attach, 0x84f20509, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xf9a482f9, "msleep" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8733236, "intlog10" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2e177e21, "dibx000_reset_i2c_master" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x33e63fe5, "dibx000_init_i2c_master" },
	{ 0xdd64e639, "strscpy" },
	{ 0x880ef10b, "i2c_add_adapter" },
	{ 0x8f4b65d7, "param_ops_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x1d8a9314, "dibx000_get_i2c_adapter" },
	{ 0xc09a18d9, "i2c_transfer" },
	{ 0x122c3a7e, "_printk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8ba60cfe, "dvb_frontend_detach" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xc352a35c, "dibx000_exit_i2c_master" },
	{ 0xce9fb713, "i2c_del_adapter" },
	{ 0x37a0cba, "kfree" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "dibx000_common,i2c-core,dvb-core");


MODULE_INFO(srcversion, "9E445630D72E9D18322FBFC");
