#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mei_fw_status2str, "_gpl", "");
KSYMTAB_FUNC(mei_cancel_work, "_gpl", "");
KSYMTAB_FUNC(mei_reset, "_gpl", "");
KSYMTAB_FUNC(mei_start, "_gpl", "");
KSYMTAB_FUNC(mei_restart, "_gpl", "");
KSYMTAB_FUNC(mei_stop, "_gpl", "");
KSYMTAB_FUNC(mei_write_is_idle, "_gpl", "");
KSYMTAB_FUNC(mei_device_init, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg_resume, "_gpl", "");
KSYMTAB_FUNC(mei_irq_compl_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_read_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_write_handler, "_gpl", "");
KSYMTAB_FUNC(mei_cl_all_disconnect, "_gpl", "");
KSYMTAB_FUNC(mei_register, "_gpl", "");
KSYMTAB_FUNC(mei_deregister, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_rx_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_notif_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_uuid, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_ver, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enabled, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_map, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_unmap, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_disable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_gsc_command, "_gpl", "");
KSYMTAB_FUNC(__mei_cldev_driver_register, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_driver_unregister, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mei_reg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_read, "", "");
KSYMTAB_DATA(__tracepoint_mei_reg_write, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_write, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_write, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_write, "", "");
KSYMTAB_DATA(__tracepoint_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_pci_cfg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_pci_cfg_read, "", "");

SYMBOL_CRC(mei_fw_status2str, 0x90a24af4, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0xfa9c8ace, "_gpl");
SYMBOL_CRC(mei_reset, 0x4df6c05a, "_gpl");
SYMBOL_CRC(mei_start, 0x838f08b1, "_gpl");
SYMBOL_CRC(mei_restart, 0x3905d575, "_gpl");
SYMBOL_CRC(mei_stop, 0x1f9ad875, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0xaa485e93, "_gpl");
SYMBOL_CRC(mei_device_init, 0xb7a2b5df, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0x15c86e70, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0x4dd657aa, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0x3acc83c8, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0xf1eace13, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0xdbd0c6e9, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0xe4799ef2, "_gpl");
SYMBOL_CRC(mei_register, 0xa6a45d33, "_gpl");
SYMBOL_CRC(mei_deregister, 0x598951ce, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0x27664fc9, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0xf495e842, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0x75345450, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0x19ce092d, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0x6ff9f770, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0x0a1cbc11, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0xf6ac965b, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0x9825679c, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0x9c229fae, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0x0a0bdb18, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0x7b5bcc91, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0x3e293dcf, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0xc6fc6948, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0x000d94fd, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0x605b0443, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0x42b64353, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0x3db13203, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0x1e1fed52, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0xc1a63e74, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0xbb72a25e, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0xa70911c7, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0x2d158b61, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0x470c4c95, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0x3a5a7bb9, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0x5cd65373, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0xbfdf4e3c, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0x96c55128, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0x49d1424c, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0x4ed83ddf, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf75723f7, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x10727b28, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x16fc08aa, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x605642da, "dmam_alloc_attrs" },
	{ 0x176edda, "trace_raw_output_prep" },
	{ 0xb8f50019, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1e762cc5, "kill_fasync" },
	{ 0x7594af79, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xca3ff79f, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x98e29b97, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x99eb0fb5, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0x43c4adcc, "__module_get" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xed9f9064, "get_device" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf0f7d028, "debugfs_read_file_bool" },
	{ 0xda659bc7, "trace_event_buffer_commit" },
	{ 0xcf68b35f, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x227cff39, "debugfs_write_file_bool" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdac72d70, "put_device" },
	{ 0xd575a59b, "_dev_info" },
	{ 0xc3df6062, "module_put" },
	{ 0x5b16b87f, "compat_ptr_ioctl" },
	{ 0xd1effb61, "cdev_add" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5812e0e8, "perf_trace_run_bpf_submit" },
	{ 0x626e9be, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xeca49b5b, "simple_open" },
	{ 0x1e6dda1c, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe84fd2c1, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x5a471e18, "fasync_helper" },
	{ 0xc88b36bc, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xce761d9a, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x416a642, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x24421676, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xf3e08076, "dmam_free_coherent" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x2810e32d, "device_match_devt" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x668b19a1, "down_read" },
	{ 0x2c04a0c5, "nonseekable_open" },
	{ 0xf26ac8e4, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5728100a, "device_create_with_groups" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3e2ea3f, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x5488369, "trace_event_buffer_reserve" },
	{ 0xb8f0bfa2, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbdcbacea, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ef0a759, "seq_printf" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x3496f20b, "seq_puts" },
	{ 0x26836872, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x73fe2d74, "__pm_runtime_suspend" },
	{ 0xd8a08adf, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xed594795, "single_open" },
	{ 0x30cc848, "debugfs_create_dir" },
	{ 0xb065e7c5, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x2206111f, "driver_register" },
	{ 0xe33f7007, "class_register" },
	{ 0xf91bc4f1, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0x99ad3b1, "cdev_del" },
	{ 0x62c04345, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb3cfd3c2, "class_find_device" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9D12C8BC8C9541AB132C612");
