#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0xfee5be84, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x3f950b4e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x42bb3f65, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0x68a3fffb, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xbb325019, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xba33c35a, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf98401e8, "skb_copy_bits" },
	{ 0x6f53f9b, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd0b2865d, "pci_enable_device" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd01a08c1, "param_ops_ushort" },
	{ 0x530ada41, "consume_skb" },
	{ 0xc960de0e, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x39fae741, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xdaa42591, "pci_vfs_assigned" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x5daf52ba, "dump_page" },
	{ 0x86919b86, "ndo_dflt_bridge_getlink" },
	{ 0xf161c35b, "unregister_netdev" },
	{ 0xb48fa99a, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x15ef1ed3, "dma_unmap_page_attrs" },
	{ 0xe0f43ca2, "request_firmware" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6ba4dc7d, "__pci_register_driver" },
	{ 0xad5ad87e, "pci_num_vf" },
	{ 0x1356864, "pci_request_regions" },
	{ 0x401881e6, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xf430d6fd, "pci_sriov_get_totalvfs" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0xbdff5ee6, "__put_devmap_managed_page_refs" },
	{ 0x41c16ceb, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa343e8f3, "udp_tunnel_nic_ops" },
	{ 0x265415, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xc46a05b0, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x3f6677e0, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0ad0ae6, "pskb_expand_head" },
	{ 0x69310d7d, "dev_driver_string" },
	{ 0x9a5c98c, "dev_addr_mod" },
	{ 0xecc2aad2, "eth_type_trans" },
	{ 0x1ed8bb6b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x832e5cb7, "dma_map_page_attrs" },
	{ 0x9c85bf53, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xefc9cd04, "__napi_schedule" },
	{ 0x35915f47, "pci_enable_msix_range" },
	{ 0x5ce6c548, "netif_device_detach" },
	{ 0xd575a59b, "_dev_info" },
	{ 0xfaa14e03, "__hw_addr_unsync_dev" },
	{ 0xc14cf17a, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xe0238b7c, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf7cdf649, "netif_set_real_num_tx_queues" },
	{ 0xb731d8e0, "netif_set_real_num_rx_queues" },
	{ 0xf6c3908, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3d4be781, "skb_push" },
	{ 0x57f33772, "dma_alloc_attrs" },
	{ 0xc20039fb, "napi_enable" },
	{ 0x7243dd, "netif_receive_skb" },
	{ 0xa598cfac, "register_netdev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd008e047, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbcbcea54, "ethtool_op_get_link" },
	{ 0x3369fe55, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe9eb9f42, "pci_iounmap" },
	{ 0xe6f16ea5, "pci_restore_state" },
	{ 0x4d6e73dc, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x934aa0ef, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8038b017, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xcb9f6f52, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x662ea153, "__pskb_pull_tail" },
	{ 0xa1ab2279, "netif_tx_lock" },
	{ 0xfc498822, "__netdev_alloc_skb" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x88a8d781, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc6e45ab7, "dma_free_attrs" },
	{ 0x4d77a290, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x40ee31d4, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd41a374e, "alloc_pages" },
	{ 0x42a92386, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40990a06, "netif_carrier_off" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xf14d41b3, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x23738803, "__hw_addr_sync_dev" },
	{ 0x9e7eb4ea, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1d4f56c, "netif_carrier_on" },
	{ 0xfad4d49, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa2d53af4, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6ce0dedb, "dma_set_mask" },
	{ 0x883f059d, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0xcdef11a, "napi_schedule_prep" },
	{ 0xead31662, "pci_sriov_set_totalvfs" },
	{ 0xbfaff1a, "napi_disable" },
	{ 0x302c4cf3, "dev_kfree_skb_any_reason" },
	{ 0x75fed6b1, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf8847d5e, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9283fb8, "pci_write_config_dword" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0x47ff6836, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E1C7FFCF4852CAE7984BA3D");
