#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x066ac985, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x81972055, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0xd1918c89, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x8d022422, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x551324f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd143978, "__tracepoint_xdp_exception" },
	{ 0xd94e9f06, "xsk_tx_completed" },
	{ 0x42bb3f65, "alloc_etherdev_mqs" },
	{ 0x764d8234, "netdev_lower_get_next" },
	{ 0x51e22a95, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0x68a3fffb, "pci_save_state" },
	{ 0x7043ff9e, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe9bf228f, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x3ab6fbfd, "device_set_wakeup_enable" },
	{ 0xbb325019, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf8eb1bee, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5d364acc, "pci_find_ext_capability" },
	{ 0x92c7c408, "kthread_create_worker" },
	{ 0x9998e085, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x34b23c7c, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf87d623c, "devlink_unregister" },
	{ 0xf98401e8, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x47fc3c42, "devm_request_threaded_irq" },
	{ 0xcca1add4, "kthread_cancel_delayed_work_sync" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0x6a6035d3, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xec473cde, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x88392ace, "call_switchdev_notifiers" },
	{ 0x735885fe, "__napi_alloc_skb" },
	{ 0xb7576c33, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd0d8a99c, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa05e96c4, "auxiliary_device_init" },
	{ 0xf84a20df, "pci_enable_device_mem" },
	{ 0x530ada41, "consume_skb" },
	{ 0xe4b45794, "kthread_delayed_work_timer_fn" },
	{ 0x60e67ee9, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x279de7d1, "pci_alloc_irq_vectors" },
	{ 0xd7091f00, "flow_rule_match_l2tpv3" },
	{ 0x39fae741, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7b4628d6, "xsk_tx_peek_release_desc_batch" },
	{ 0xdaa42591, "pci_vfs_assigned" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x605642da, "dmam_alloc_attrs" },
	{ 0x176edda, "trace_raw_output_prep" },
	{ 0xe61b4e58, "devl_lock" },
	{ 0x70e89e15, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x86919b86, "ndo_dflt_bridge_getlink" },
	{ 0xf161c35b, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x6b6ef24, "xdp_features_set_redirect_target" },
	{ 0xb8f50019, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xafa3ba49, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x15ef1ed3, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe0f43ca2, "request_firmware" },
	{ 0x7594af79, "trace_event_printf" },
	{ 0x2a63493f, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x71c8c17d, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6ba4dc7d, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9fcbbfe1, "devlink_params_unregister" },
	{ 0x1181d7dd, "dma_sync_single_for_device" },
	{ 0xad5ad87e, "pci_num_vf" },
	{ 0xa4276045, "flow_rule_match_eth_addrs" },
	{ 0xd0749ec6, "skb_add_rx_frag" },
	{ 0x5ca6cfa4, "get_device_system_crosststamp" },
	{ 0x60f5165d, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x383a6d97, "ptp_clock_index" },
	{ 0x98e29b97, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x26d789b2, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x644e11d5, "devlink_alloc_ns" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x674d9b48, "devl_rate_leaf_destroy" },
	{ 0xebb57101, "devlink_register" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x432a2a59, "xdp_do_redirect" },
	{ 0x29938338, "devlink_free" },
	{ 0x41c16ceb, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x31175f86, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x5c1a5fa5, "devl_rate_node_create" },
	{ 0x6fa45a74, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa343e8f3, "udp_tunnel_nic_ops" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf4362b34, "pci_set_power_state" },
	{ 0x7522b9e, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4719d57f, "pci_irq_vector" },
	{ 0xe6eeaa4d, "flow_rule_match_ipv4_addrs" },
	{ 0x265415, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x14565df4, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x3f6677e0, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xabb35728, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0ad0ae6, "pskb_expand_head" },
	{ 0xf954b7a5, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x3689c148, "devlink_flash_update_status_notify" },
	{ 0x69310d7d, "dev_driver_string" },
	{ 0xecb2b0c9, "pci_restore_msi_state" },
	{ 0xda659bc7, "trace_event_buffer_commit" },
	{ 0x8c5830d1, "xdp_return_buff" },
	{ 0x9a5c98c, "dev_addr_mod" },
	{ 0xfdd6f633, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xa8c69f3e, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xecc2aad2, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x832e5cb7, "dma_map_page_attrs" },
	{ 0x9c85bf53, "napi_complete_done" },
	{ 0xd4797a4c, "switchdev_handle_port_obj_del" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2fb63dd3, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x969f9319, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdac72d70, "put_device" },
	{ 0x75ddd35b, "devm_free_irq" },
	{ 0xb1ca1490, "net_dim" },
	{ 0xefc9cd04, "__napi_schedule" },
	{ 0xd9dac598, "ipv6_skip_exthdr" },
	{ 0x9b79ed9e, "xsk_set_rx_need_wakeup" },
	{ 0x9ccab985, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x5ce6c548, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xfd043976, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xfaa14e03, "__hw_addr_unsync_dev" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x2282fb40, "napi_gro_receive" },
	{ 0xc14cf17a, "netif_device_attach" },
	{ 0x7604ae4f, "xdp_features_clear_redirect_target" },
	{ 0x7eaa4aca, "netdev_pick_tx" },
	{ 0x575295b9, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd022b5f2, "xp_raw_get_dma" },
	{ 0x6d523e6b, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x349f2281, "xdp_rxq_info_is_reg" },
	{ 0x241b151c, "flow_rule_match_enc_opts" },
	{ 0xdff2171e, "flow_block_cb_setup_simple" },
	{ 0x13e9d470, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x91aff35d, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbb41ac88, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xef6acb72, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xe65ff177, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x996c88fd, "vlan_dev_real_dev" },
	{ 0x1e5b0e77, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x22ec1f4d, "devm_kmemdup" },
	{ 0x9d78abb5, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5812e0e8, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xe9a1b6af, "devlink_port_unregister" },
	{ 0x3a8197ae, "devlink_flash_update_timeout_notify" },
	{ 0x2fb9cf7, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x73b77d92, "init_net" },
	{ 0xe0238b7c, "softnet_data" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x85959093, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x71b11d8, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xac122763, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf7cdf649, "netif_set_real_num_tx_queues" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x92647dd9, "__auxiliary_device_add" },
	{ 0xdd065f25, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb731d8e0, "netif_set_real_num_rx_queues" },
	{ 0xb9e0f1a9, "flow_indr_block_cb_alloc" },
	{ 0x17d95936, "pci_wait_for_pending_transaction" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x6be53b5c, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x122e2305, "pci_device_is_present" },
	{ 0x20c90fc1, "pci_read_config_word" },
	{ 0x11a7e615, "pcie_flr" },
	{ 0xc20039fb, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xe3ed5362, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xb7fa0a2a, "dcbnl_ieee_notify" },
	{ 0xa3ad24a9, "xsk_uses_need_wakeup" },
	{ 0xa598cfac, "register_netdev" },
	{ 0xce14d3e, "dev_mc_del" },
	{ 0xc88b36bc, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xd008e047, "free_netdev" },
	{ 0xb43645a2, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcbcea54, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x3369fe55, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfd28b3f6, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x48c34811, "netif_tx_stop_all_queues" },
	{ 0xe6f16ea5, "pci_restore_state" },
	{ 0x14986b74, "bpf_trace_run1" },
	{ 0x4d6e73dc, "netif_tx_wake_queue" },
	{ 0x24421676, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x934aa0ef, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x280c813c, "dcb_getapp" },
	{ 0xf3e08076, "dmam_free_coherent" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x869b522b, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x573ba47, "ptp_clock_event" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc59f22e7, "netif_schedule_queue" },
	{ 0x9a1b9346, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xcb9f6f52, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6fd46fbd, "flow_rule_match_ipv6_addrs" },
	{ 0x2cb45dc5, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbfb03dda, "ptp_clock_unregister" },
	{ 0x662ea153, "__pskb_pull_tail" },
	{ 0xa93f92fc, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0xec99e8ac, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeec2a268, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa62a95bd, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x88a8d781, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x9b583111, "flow_rule_match_pppoe" },
	{ 0xd6755c13, "flow_rule_match_enc_control" },
	{ 0x22f4c749, "bpf_trace_run3" },
	{ 0x50f58018, "__page_frag_cache_drain" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x287091cc, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x462df0a1, "rps_may_expire_flow" },
	{ 0x86abaca3, "metadata_dst_free" },
	{ 0x34d7903, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2a5ef9bc, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x60dcc098, "devlink_params_register" },
	{ 0x5488369, "trace_event_buffer_reserve" },
	{ 0xb07fa123, "kthread_destroy_worker" },
	{ 0x8af505e9, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xe56e040d, "flow_rule_match_enc_ports" },
	{ 0x89d2767b, "xdp_return_frame_bulk" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xca3e468b, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xbcad6c2e, "pcie_print_link_status" },
	{ 0xfad4fb67, "xp_set_rxq_info" },
	{ 0x52af033e, "flow_rule_match_vlan" },
	{ 0x1f07345d, "xdp_rxq_info_unreg" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xfb14cbf8, "napi_build_skb" },
	{ 0xdf67281e, "netdev_master_upper_dev_get_rcu" },
	{ 0xc2740d52, "__xdp_rxq_info_reg" },
	{ 0x7a5a1dbf, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40990a06, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x5558b9fe, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x23738803, "__hw_addr_sync_dev" },
	{ 0x40e89f3b, "devlink_port_register_with_ops" },
	{ 0x9e7eb4ea, "pci_disable_sriov" },
	{ 0x3b3c7746, "pldmfw_flash_image" },
	{ 0x22f08ea5, "kthread_queue_delayed_work" },
	{ 0x9b80c7fb, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9e635efb, "dst_release" },
	{ 0x1d4f56c, "netif_carrier_on" },
	{ 0xd661a76a, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbfabf7a5, "dev_uc_add_excl" },
	{ 0xa2d53af4, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x5b2a760b, "xp_free" },
	{ 0x2cc60588, "dev_mc_add_excl" },
	{ 0x6ce0dedb, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x883f059d, "netif_set_tso_max_size" },
	{ 0xd4165c38, "__skb_flow_dissect" },
	{ 0xdfe57811, "vlan_dev_vlan_id" },
	{ 0xe4f38738, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xfa7ceb98, "pcim_iomap_table" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0xcfa444cf, "xdp_master_redirect" },
	{ 0x4b690767, "__devm_add_action" },
	{ 0xcdef11a, "napi_schedule_prep" },
	{ 0x986e1f99, "napi_consume_skb" },
	{ 0xe887295c, "pci_read_config_byte" },
	{ 0x52d2585f, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xbfaff1a, "napi_disable" },
	{ 0x302c4cf3, "dev_kfree_skb_any_reason" },
	{ 0x461f7670, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x8f4b65d7, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7c787116, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd44cd579, "pci_free_irq_vectors" },
	{ 0xa7287838, "flow_rule_match_control" },
	{ 0xca2ea87c, "flow_rule_match_ip" },
	{ 0xf8847d5e, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xdf4627a9, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xf95fe951, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb1a145c1, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0x47ff6836, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x158374d6, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "ptp");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A1DBF3BC2A2FCA3767B7431");
