#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x312d3ab1, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x9d2c02f4, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0xf376b036, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x17c5c1ea, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x3c4fb66a, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0xc65e1611, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x282f5e86, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x2e060274, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xd8e62e26, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x6ead23e3, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x70a23cc0, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0xe747ffb7, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xa61d0d4a, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x5fe79fc5, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xc0af009b, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x18df394b, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x8027cb66, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0xc791a2d7, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x8bb38f89, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xa3394bed, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x61a68ac6, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x96fde5e7, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x2d7f82ed, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x877458e4, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x058cb01f, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x81c73d1a, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x3fd65335, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xdec457e1, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xbc2d4b8c, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xf7f9a26e, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x5e1930be, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x54b0131d, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x7e9060d8, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x78416ae1, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x50f33f46, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x0eb41031, "");
SYMBOL_CRC(mlx4_test_async, 0xfe0f1817, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x0a1d1969, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x6274e4dd, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x7caecc01, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xcc5a95e0, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0xc8a6dd92, "");
SYMBOL_CRC(mlx4_assign_eq, 0x364362ed, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x45d3e4da, "");
SYMBOL_CRC(mlx4_release_eq, 0xa3939821, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x69a3b8dd, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x67a18e7e, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x38f4d236, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x2aa9bf8f, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x1a9e584d, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x8069b1fc, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x8b23ccd4, "");
SYMBOL_CRC(mlx4_wol_read, 0x9b127b03, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x11bd7ceb, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x57181648, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xec669fbe, "");
SYMBOL_CRC(set_phv_bit, 0x103f9dd1, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x150e96ac, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xd031d685, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xde3e25e1, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x80afbecd, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xe9321038, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0xf70f07c9, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0xceaaa56c, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xec49e6fa, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x5af751e8, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x248e3980, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x4673ff9e, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x1045fcde, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xf021dfca, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x5193f53a, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xa058a3f2, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xc0b9ebfb, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xdac4cb90, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x847dfcc2, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x58d0e86f, "");
SYMBOL_CRC(mlx4_read_clock, 0x9745afc4, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xcef94b66, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x86eb0340, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x90a8196a, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x063c1002, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x48fa264b, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x2bf3eba3, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x17f24992, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0xc48cd0cf, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xec7e9676, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x0e1e5924, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x4b5a67cd, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0xd0736a01, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xa232377d, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0xe55e85bf, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x258236b8, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x462fe403, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xd319d3f9, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x8da1654f, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0xcea863cd, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x42a8f90e, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x7e7742d2, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x9ea07b27, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x4e854d9a, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xd0aa9f32, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xc3c7c7de, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0xe3e5876a, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x2dde1ad5, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0xc308dfe5, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xe7a48e6a, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xecf6c09f, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xdcaacc85, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x0dcf6d46, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x5c2d94c5, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xbc059061, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0xfeca6c78, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x14a6fa75, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x7c22043b, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x65e25ca1, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x050f54e4, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xbf414750, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x0c407ef4, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xcb4679bd, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x22facd4e, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xa1fb9f60, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x7e13a4c0, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x0899cecd, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x7a294ccc, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x597732b0, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x20d2ea38, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xde039f84, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x70f678f7, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x6e4a05c6, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0xd10c91b4, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x84824992, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xa22dca3d, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x067d25bf, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x336f0c36, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x659d95fc, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x48796674, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xe3b0d509, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x67cf133d, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x0dd52889, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xbaa356e3, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x721a2b87, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0xd5fc0339, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xbbbbed7f, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x45a508b1, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0xe6326ff5, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xb22314b8, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x43c4aed8, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0xb523c1d4, "");
SYMBOL_CRC(mlx4_get_module_info, 0x5f04dc33, "");
SYMBOL_CRC(mlx4_max_tc, 0x20b7048a, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x9cb69b11, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x90bfd9cd, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x77609ca9, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xa34d9217, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x91f3a3df, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x342db8ca, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0xcee4b9bd, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x035dc7b0, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x82fee237, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x061cf9e7, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x0abe0369, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xa1522921, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x810c1fd4, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x76c1c4e6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0x68a3fffb, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x77d1b9f6, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x15c3238e, "devl_region_create" },
	{ 0xf87d623c, "devlink_unregister" },
	{ 0xe1a1aee4, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd0b2865d, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa05e96c4, "auxiliary_device_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xe1a53d56, "devlink_region_snapshot_id_get" },
	{ 0xe61b4e58, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6ba4dc7d, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x1181d7dd, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xad5ad87e, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfdfefa61, "param_array_ops" },
	{ 0x1356864, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x644e11d5, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xf430d6fd, "pci_sriov_get_totalvfs" },
	{ 0xebb57101, "devlink_register" },
	{ 0xad8c0354, "devlink_port_type_clear" },
	{ 0x29938338, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xc6442620, "param_ops_byte" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xed9f9064, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x3f6677e0, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x1ed8bb6b, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe1ae595c, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x918acb36, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2fb63dd3, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdac72d70, "put_device" },
	{ 0x35915f47, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x57ea1613, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xfd043976, "__free_pages" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc391b7d9, "device_create_file" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x73b77d92, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x92647dd9, "__auxiliary_device_add" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x3643b000, "devl_port_register_with_ops" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x57f33772, "dma_alloc_attrs" },
	{ 0x20c90fc1, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0x455ddc6d, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe6f16ea5, "pci_restore_state" },
	{ 0x24421676, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x934aa0ef, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x2bb1743e, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x9a1b9346, "__alloc_pages" },
	{ 0xcb9f6f52, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x9c394a55, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xeec2a268, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x88a8d781, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xc6e45ab7, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x7287d9bb, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x40ee31d4, "pci_release_regions" },
	{ 0xd4bf258f, "devl_assert_locked" },
	{ 0xbcad6c2e, "pcie_print_link_status" },
	{ 0xd41a374e, "alloc_pages" },
	{ 0xcf1118e8, "devl_port_unregister" },
	{ 0xccd459fa, "devl_param_driverinit_value_get" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x5558b9fe, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e7eb4ea, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfad4d49, "pci_disable_msix" },
	{ 0xa2d53af4, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x6ce0dedb, "dma_set_mask" },
	{ 0xb2d4c1e1, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2535330b, "dma_unmap_sg_attrs" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x8f4b65d7, "param_ops_int" },
	{ 0x75fed6b1, "_dev_printk" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf8847d5e, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9283fb8, "pci_write_config_dword" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0x921f8d5e, "device_remove_file" },
	{ 0xc3269cb5, "dma_map_sg_attrs" },
	{ 0x9b4fcb4f, "devl_param_value_changed" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "404B5ACF317598EB45AF60F");
