#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");
KSYMTAB_DATA(dwmac1000_dma_ops, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xf5338638, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x131a092e, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x6471be20, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x3154536d, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0xd1acd2d6, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xc5dcc819, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");
SYMBOL_CRC(dwmac1000_dma_ops, 0x9ae534bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2882be64, "mdiobus_alloc_size" },
	{ 0xdd143978, "__tracepoint_xdp_exception" },
	{ 0xd94e9f06, "xsk_tx_completed" },
	{ 0x7043ff9e, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb8e4095a, "xp_alloc" },
	{ 0x3ab6fbfd, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9998e085, "bpf_prog_put" },
	{ 0xf686d523, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x34b23c7c, "xp_dma_map" },
	{ 0xf98401e8, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0x6cc00699, "eth_mac_addr" },
	{ 0xe6ebce66, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xec473cde, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x735885fe, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf1e22c, "netdev_update_features" },
	{ 0x530ada41, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x39fae741, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x70e89e15, "bpf_warn_invalid_xdp_action" },
	{ 0xf161c35b, "unregister_netdev" },
	{ 0xe95845de, "xdp_convert_zc_to_xdp_frame" },
	{ 0x6b6ef24, "xdp_features_set_redirect_target" },
	{ 0x15ef1ed3, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x1181d7dd, "dma_sync_single_for_device" },
	{ 0x8f49645e, "hrtimer_init" },
	{ 0xd0749ec6, "skb_add_rx_frag" },
	{ 0x5ca6cfa4, "get_device_system_crosststamp" },
	{ 0x383a6d97, "ptp_clock_index" },
	{ 0x6a0d92e0, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x99eb0fb5, "seq_lseek" },
	{ 0x2fef7449, "page_pool_destroy" },
	{ 0x432a2a59, "xdp_do_redirect" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6fa45a74, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe6eeaa4d, "flow_rule_match_ipv4_addrs" },
	{ 0x8e02669c, "xdp_rxq_info_unreg_mem_model" },
	{ 0x265415, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xabb35728, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbeb34c37, "phylink_limit_mac_speed" },
	{ 0xdc3fd336, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x69310d7d, "dev_driver_string" },
	{ 0xdac7abe7, "pinctrl_pm_select_default_state" },
	{ 0x9a5c98c, "dev_addr_mod" },
	{ 0xfdd6f633, "xdp_rxq_info_reg_mem_model" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xecc2aad2, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfa0684dc, "__pm_runtime_set_status" },
	{ 0x832e5cb7, "dma_map_page_attrs" },
	{ 0x9c85bf53, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xeabc162a, "__devm_alloc_percpu" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1c2bff0f, "pm_wakeup_dev_event" },
	{ 0x969f9319, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xefc9cd04, "__napi_schedule" },
	{ 0x4c2b38be, "pm_runtime_enable" },
	{ 0x9b79ed9e, "xsk_set_rx_need_wakeup" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x5ce6c548, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6660f203, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x5191c758, "xpcs_create_mdiodev" },
	{ 0x2282fb40, "napi_gro_receive" },
	{ 0xc14cf17a, "netif_device_attach" },
	{ 0x7604ae4f, "xdp_features_clear_redirect_target" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7eaa4aca, "netdev_pick_tx" },
	{ 0x3014942d, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd022b5f2, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x349f2281, "xdp_rxq_info_is_reg" },
	{ 0xb2abf2b7, "devm_alloc_etherdev_mqs" },
	{ 0xdff2171e, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x91aff35d, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0xbb41ac88, "dev_open" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x446eec6c, "xpcs_destroy" },
	{ 0x829f9295, "pinctrl_pm_select_sleep_state" },
	{ 0x85608384, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x85959093, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x71b11d8, "ptp_clock_register" },
	{ 0xac122763, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf8a218e2, "xsk_tx_peek_desc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf7cdf649, "netif_set_real_num_tx_queues" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xb731d8e0, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x6be53b5c, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x57f33772, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe84fd2c1, "debugfs_remove" },
	{ 0xc20039fb, "napi_enable" },
	{ 0xe3ed5362, "xsk_clear_rx_need_wakeup" },
	{ 0x3bfb6bb8, "xpcs_get_interfaces" },
	{ 0xa3ad24a9, "xsk_uses_need_wakeup" },
	{ 0xa598cfac, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xb43645a2, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3e50ab7e, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xbcbcea54, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfd28b3f6, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x4d6e73dc, "netif_tx_wake_queue" },
	{ 0x7cee17bc, "fwnode_get_phy_node" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x934aa0ef, "dma_sync_single_for_cpu" },
	{ 0x851faec0, "page_pool_create" },
	{ 0xdcce2033, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x869b522b, "flow_rule_match_ports" },
	{ 0x9b5f1e98, "phylink_fwnode_phy_connect" },
	{ 0xe4f93ed, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x573ba47, "ptp_clock_event" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xc59f22e7, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd3a786cc, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbfb03dda, "ptp_clock_unregister" },
	{ 0xa93f92fc, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xa620be1, "xpcs_get_an_mode" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa62a95bd, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf8c7e749, "xdp_return_frame_rx_napi" },
	{ 0xc8b29001, "netdev_alert" },
	{ 0x88a8d781, "dma_set_coherent_mask" },
	{ 0xf26ac8e4, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x576fe4f2, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x4f5429b5, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3e2ea3f, "debugfs_create_file" },
	{ 0x34d7903, "xsk_set_tx_need_wakeup" },
	{ 0xc6e45ab7, "dma_free_attrs" },
	{ 0xb8f0bfa2, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfad4fb67, "xp_set_rxq_info" },
	{ 0x52af033e, "flow_rule_match_vlan" },
	{ 0x1f07345d, "xdp_rxq_info_unreg" },
	{ 0xbcaf51bc, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc2740d52, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40990a06, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7ef0a759, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x7a9a596a, "mdiobus_get_phy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1d4f56c, "netif_carrier_on" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x820f2ef1, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x5b2a760b, "xp_free" },
	{ 0x26836872, "single_release" },
	{ 0x6ce0dedb, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xcd49fced, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0xcfa444cf, "xdp_master_redirect" },
	{ 0x6db4eafe, "fwnode_handle_put" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xcdef11a, "napi_schedule_prep" },
	{ 0xbfaff1a, "napi_disable" },
	{ 0x302c4cf3, "dev_kfree_skb_any_reason" },
	{ 0xb3dc2248, "eth_header_parse_protocol" },
	{ 0x8f4b65d7, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xed594795, "single_open" },
	{ 0x75181f7d, "__pm_runtime_disable" },
	{ 0x30cc848, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0xdf4627a9, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xfded7799, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb1a145c1, "ethtool_op_get_ts_info" },
	{ 0x44856d87, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x141f0657, "__dev_fwnode" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0x47ff6836, "netdev_info" },
	{ 0xdf8e2e25, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "0DF30BB7A4CC296A1677DAF");
