#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0xbd43402c, "");
SYMBOL_CRC(rtw_pci_probe, 0x5babbf2f, "");
SYMBOL_CRC(rtw_pci_remove, 0xad1be371, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x80910a1b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16316d08, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc3adbabd, "rtw_tx_queue_mapping" },
	{ 0xee6e5b0f, "pcie_capability_read_word" },
	{ 0x47fc3c42, "devm_request_threaded_irq" },
	{ 0xd0b2865d, "pci_enable_device" },
	{ 0xe6ebce66, "skb_put" },
	{ 0x530ada41, "consume_skb" },
	{ 0xc960de0e, "pci_iomap" },
	{ 0x279de7d1, "pci_alloc_irq_vectors" },
	{ 0x39fae741, "netif_napi_add_weight" },
	{ 0x26e87e7e, "skb_dequeue" },
	{ 0x23c5e6d3, "ieee80211_free_hw" },
	{ 0x15ef1ed3, "dma_unmap_page_attrs" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x1181d7dd, "dma_sync_single_for_device" },
	{ 0x1356864, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x43f3cb53, "dev_kfree_skb_irq_reason" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf4362b34, "pci_set_power_state" },
	{ 0x265415, "__netif_napi_del" },
	{ 0x97e4c205, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x69310d7d, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x832e5cb7, "dma_map_page_attrs" },
	{ 0x9c85bf53, "napi_complete_done" },
	{ 0x27797f18, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x75ddd35b, "devm_free_irq" },
	{ 0xefc9cd04, "__napi_schedule" },
	{ 0x861f562e, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc8ffca93, "rtw_chip_info_setup" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe4639b13, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf289c383, "rtw_unregister_hw" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x85608384, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x7c85c680, "rtw_tx_fill_tx_desc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x3d4be781, "skb_push" },
	{ 0x57f33772, "dma_alloc_attrs" },
	{ 0xc20039fb, "napi_enable" },
	{ 0x6ec963fa, "rtw_core_init" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9b731d17, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe9eb9f42, "pci_iounmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x934aa0ef, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5aa73c9b, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xcb9f6f52, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb2ff29b1, "ieee80211_stop_queue" },
	{ 0xfc498822, "__netdev_alloc_skb" },
	{ 0x1ee86e8e, "rtw_rx_stats" },
	{ 0xc4f8e4ea, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd636935e, "rtw_register_hw" },
	{ 0xc6e45ab7, "dma_free_attrs" },
	{ 0x7287d9bb, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x40ee31d4, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70cceb07, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6b2551dd, "rtw_core_deinit" },
	{ 0xb4723d77, "rtw_ops" },
	{ 0xa2d53af4, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xcdef11a, "napi_schedule_prep" },
	{ 0xbfaff1a, "napi_disable" },
	{ 0x302c4cf3, "dev_kfree_skb_any_reason" },
	{ 0x740a9da0, "rtw_power_mode_change" },
	{ 0x4b78c3dd, "rtw_tx_write_data_h2c_get" },
	{ 0xd44cd579, "pci_free_irq_vectors" },
	{ 0x821a18e3, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x276715b7, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x309e7d0a, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "90DC99D9FC974C42492204B");
