#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(intel_get_community, "_gpl", "PINCTRL_INTEL");
KSYMTAB_FUNC(intel_get_groups_count, "_gpl", "PINCTRL_INTEL");
KSYMTAB_FUNC(intel_get_group_name, "_gpl", "PINCTRL_INTEL");
KSYMTAB_FUNC(intel_get_group_pins, "_gpl", "PINCTRL_INTEL");
KSYMTAB_FUNC(intel_get_functions_count, "_gpl", "PINCTRL_INTEL");
KSYMTAB_FUNC(intel_get_function_name, "_gpl", "PINCTRL_INTEL");
KSYMTAB_FUNC(intel_get_function_groups, "_gpl", "PINCTRL_INTEL");
KSYMTAB_FUNC(intel_pinctrl_probe_by_hid, "_gpl", "PINCTRL_INTEL");
KSYMTAB_FUNC(intel_pinctrl_probe_by_uid, "_gpl", "PINCTRL_INTEL");
KSYMTAB_FUNC(intel_pinctrl_get_soc_data, "_gpl", "PINCTRL_INTEL");
KSYMTAB_FUNC(intel_pinctrl_suspend_noirq, "_gpl", "");
KSYMTAB_FUNC(intel_pinctrl_resume_noirq, "_gpl", "");

SYMBOL_CRC(intel_get_community, 0x7c2cc5c0, "_gpl");
SYMBOL_CRC(intel_get_groups_count, 0x6d146d6e, "_gpl");
SYMBOL_CRC(intel_get_group_name, 0x941d49a4, "_gpl");
SYMBOL_CRC(intel_get_group_pins, 0x03b3c385, "_gpl");
SYMBOL_CRC(intel_get_functions_count, 0x100814ae, "_gpl");
SYMBOL_CRC(intel_get_function_name, 0xcd26a51c, "_gpl");
SYMBOL_CRC(intel_get_function_groups, 0x84fd34b2, "_gpl");
SYMBOL_CRC(intel_pinctrl_probe_by_hid, 0xb49ce162, "_gpl");
SYMBOL_CRC(intel_pinctrl_probe_by_uid, 0x29cc62ab, "_gpl");
SYMBOL_CRC(intel_pinctrl_get_soc_data, 0x6f787ca9, "_gpl");
SYMBOL_CRC(intel_pinctrl_suspend_noirq, 0x2cbf963a, "_gpl");
SYMBOL_CRC(intel_pinctrl_resume_noirq, 0x131b3905, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c02254d, "device_get_match_data" },
	{ 0x241aa6a5, "is_acpi_device_node" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xca514725, "_dev_warn" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0xe23d23bb, "devm_platform_ioremap_resource" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe60aa9c7, "devm_pwm_lpss_probe" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0x4d4f408e, "platform_get_irq" },
	{ 0x529eec6a, "devm_pinctrl_register" },
	{ 0x2c7c2c7b, "gpiochip_generic_request" },
	{ 0x7bc560be, "gpiochip_generic_free" },
	{ 0xb8d321d3, "gpiochip_generic_config" },
	{ 0x47fc3c42, "devm_request_threaded_irq" },
	{ 0x406b629a, "handle_bad_irq" },
	{ 0xae802947, "devm_gpiochip_add_data_with_key" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x30e55036, "gpiochip_enable_irq" },
	{ 0x65b8ceee, "gpiochip_disable_irq" },
	{ 0x1b8822d8, "pinctrl_gpio_direction_output" },
	{ 0x8474d8f5, "handle_level_irq" },
	{ 0xfa13edea, "handle_edge_irq" },
	{ 0x7ef0a759, "seq_printf" },
	{ 0x3496f20b, "seq_puts" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x170f794e, "gpiochip_line_is_irq" },
	{ 0x7697b808, "gpiochip_is_requested" },
	{ 0xfc4466e5, "gpiochip_irq_reqres" },
	{ 0xb9cff58d, "gpiochip_irq_relres" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x4c31d0e, "pinctrl_dev_get_drvdata" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x1ff16739, "gpiochip_get_data" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4adbe81a, "generic_handle_domain_irq" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x445b6cd3, "gpiochip_add_pin_range" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x1bc5eebe, "pinctrl_gpio_direction_input" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "pwm-lpss");


MODULE_INFO(srcversion, "738075ECA33F3BACC48973C");
