#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(set_required_buffer_size, "_gpl", "");
KSYMTAB_FUNC(wmi_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmidev_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmidev_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmi_query_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_query, "_gpl", "");
KSYMTAB_FUNC(wmi_set_block, "_gpl", "");
KSYMTAB_FUNC(wmi_install_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_remove_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_get_event_data, "_gpl", "");
KSYMTAB_FUNC(wmi_has_guid, "_gpl", "");
KSYMTAB_FUNC(wmi_get_acpi_device_uid, "_gpl", "");
KSYMTAB_FUNC(__wmi_driver_register, "", "");
KSYMTAB_FUNC(wmi_driver_unregister, "", "");

SYMBOL_CRC(set_required_buffer_size, 0x64dc2fd5, "_gpl");
SYMBOL_CRC(wmi_instance_count, 0xd5bf6c16, "_gpl");
SYMBOL_CRC(wmidev_instance_count, 0x11676340, "_gpl");
SYMBOL_CRC(wmi_evaluate_method, 0x6068bedf, "_gpl");
SYMBOL_CRC(wmidev_evaluate_method, 0xc3f973ce, "_gpl");
SYMBOL_CRC(wmi_query_block, 0xaba842fe, "_gpl");
SYMBOL_CRC(wmidev_block_query, 0x00bd6cb0, "_gpl");
SYMBOL_CRC(wmi_set_block, 0xd7752b86, "_gpl");
SYMBOL_CRC(wmi_install_notify_handler, 0xf18bdd75, "_gpl");
SYMBOL_CRC(wmi_remove_notify_handler, 0x76ae31fd, "_gpl");
SYMBOL_CRC(wmi_get_event_data, 0x17b0f8ca, "_gpl");
SYMBOL_CRC(wmi_has_guid, 0xc9d4d6d1, "_gpl");
SYMBOL_CRC(wmi_get_acpi_device_uid, 0x065b4695, "_gpl");
SYMBOL_CRC(__wmi_driver_register, 0x86b1d8bc, "");
SYMBOL_CRC(wmi_driver_unregister, 0x887165e4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x37a0cba, "kfree" },
	{ 0x2206111f, "driver_register" },
	{ 0x2c04a0c5, "nonseekable_open" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xce761d9a, "driver_unregister" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xe33f7007, "class_register" },
	{ 0x62c04345, "bus_register" },
	{ 0x9a525a00, "__platform_driver_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x626e9be, "bus_unregister" },
	{ 0x416a642, "class_unregister" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc708f1fe, "ec_write" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xfc4152fc, "ec_read" },
	{ 0xef3c45ff, "platform_driver_unregister" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0xca514725, "_dev_warn" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf75723f7, "try_module_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3df6062, "module_put" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x241aa6a5, "is_acpi_device_node" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x92e26bf, "acpi_remove_address_space_handler" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x376c171c, "device_unregister" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x72f14ff7, "acpi_get_object_info" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x16fc08aa, "dev_set_name" },
	{ 0xca3ff79f, "device_initialize" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa92bc7ea, "misc_deregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd6bba7a5, "misc_register" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1e6dda1c, "device_add" },
	{ 0xdac72d70, "put_device" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xdbcf041a, "acpi_install_address_space_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xf3e14bdb, "device_create" },
	{ 0x5b16b87f, "compat_ptr_ioctl" },
	{ 0x7287d9bb, "param_ops_bool" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C14:*");
MODULE_ALIAS("acpi*:pnp0c14:*");

MODULE_INFO(srcversion, "0D38838D931CB7BD054E424");
