#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0x068ac20e, "");
SYMBOL_CRC(__vdpa_alloc_device, 0x0d3803f3, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x9a94be18, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x3e277bf7, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x759b779b, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0xce1ebf19, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0xe367f056, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0xf1cadc3d, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0xdffcbd26, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x7b36dfc9, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0x027366cb, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x7e4d9db0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e6dda1c, "device_add" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdac72d70, "put_device" },
	{ 0x376c171c, "device_unregister" },
	{ 0x2206111f, "driver_register" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xce761d9a, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xecb0eed4, "bus_for_each_dev" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2ea0485b, "genl_unregister_family" },
	{ 0x626e9be, "bus_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x62c04345, "bus_register" },
	{ 0x36a24fac, "genl_register_family" },
	{ 0xe81dcfb8, "nla_put_64bit" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x6ce0dedb, "dma_set_mask" },
	{ 0x88a8d781, "dma_set_coherent_mask" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x16fc08aa, "dev_set_name" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xca3ff79f, "device_initialize" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xbdbf7158, "netlink_capable" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc41d5c1a, "__alloc_skb" },
	{ 0x89145013, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0xf6c3908, "kfree_skb_reason" },
	{ 0x73fbe36c, "netlink_unicast" },
	{ 0xa42abc74, "skb_trim" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x757e4d92, "driver_set_override" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa2c22d86, "bus_find_device" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6E1ABFDEECC213CA239F01");
