#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x61896633, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xa3268500, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xb51b3469, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x8cc03601, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xa495357a, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xb756b079, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x0f28ada6, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x94f4dac5, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x8f161ac4, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x8ea61097, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x130fb21d, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x539d572f, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x01f6dec4, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x5c5f34b5, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xc4bfa73c, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xe3801c27, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x125b9b2a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x5855f409, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x9a1410cc, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xec83273d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x4679c8eb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x63d60c0b, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x5636af3e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x829f7411, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xebf335b2, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x7df749f0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x7f7ffc32, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x1a79042e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x8dce8ea6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0xf7550bc7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0xbbb338db, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x23457626, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x4376b635, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x0e10d2fc, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x7c5d2c4d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x010fd498, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x02b6cbe7, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x094519b8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x486671a0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x421aab65, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xd9af05e8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0xaf36a48c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x271eb440, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xe8c3d9ec, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xfe25c293, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x366110e7, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x718afeaf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0xcbe2a0e5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x4f807a6e, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x2d3177ea, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0xa17398f2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0xa0aa3f02, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xdcee9d60, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x59fd138f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x605b6a1f, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x56f0f5eb, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xde068396, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x1694b49f, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xc32e219c, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x536fb21a, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x06ec90b3, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0xb77069f9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0xb4a163e5, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x1f476f2e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xf681ba8d, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x07316cbd, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xcf5e4b7e, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xf8c4f750, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x4181d7d8, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xc9da883a, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xde861025, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x94cf366f, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x04f7f726, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x40bfeb60, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xa7de0e81, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x2055a0d9, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x2d29af38, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xdac2c6fc, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xd5de26c8, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xdd05e853, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xc1246086, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xc5b31c0a, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x0dc3834b, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xedcac85c, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x499c1e6e, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x5de20f32, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xf6db2e11, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x53cba02a, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x1d3a97a2, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x2366775a, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xdbee69d3, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x5cc5df70, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xe198a752, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x4ae38d14, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0xf5ba79d4, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x05a62ffb, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0xdc8d4b5a, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x208c7c35, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xfd5480ea, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x145a98d2, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xf6e26d91, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xd5f5129d, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xcba19dce, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x7bf92ded, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x73d71780, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbb0d896, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd6bdb78d, "generic_copy_file_range" },
	{ 0x18859eed, "svc_generic_rpcbind_set" },
	{ 0xa68117c0, "nfs_clone_server" },
	{ 0xe1eebe07, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf3955e86, "filemap_fdatawrite" },
	{ 0xb53fda3b, "nfs_show_stats" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6262f1e1, "nfs_server_remove_lists" },
	{ 0x6b1dac01, "nfs42_ssc_unregister" },
	{ 0xfabad030, "generic_listxattr" },
	{ 0xf75723f7, "try_module_get" },
	{ 0x69743ef1, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x71948a2d, "nfs_writeback_update_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd04dbf45, "clear_inode" },
	{ 0x6bb1fe0f, "inode_to_bdi" },
	{ 0x10727b28, "bpf_trace_run4" },
	{ 0x8ba144cd, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x6f53f9b, "param_ops_uint" },
	{ 0x41794394, "user_revoke" },
	{ 0x478e3b3, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x870b5fbf, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x42bf8fe1, "list_lru_del" },
	{ 0x5670cf, "nfs_mark_client_ready" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1303ed2d, "rpc_clnt_probe_trunked_xprts" },
	{ 0x60d75d6d, "nfs_pageio_reset_read_mds" },
	{ 0xb581a58d, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x936a788a, "rpc_shutdown_client" },
	{ 0x463e3ee3, "svc_bind" },
	{ 0x5adf3e0e, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x9eb6a2f0, "nfs_free_inode" },
	{ 0xd3193e67, "nfs_access_zap_cache" },
	{ 0xa76bce70, "nfs_sb_deactive" },
	{ 0xc80ea35e, "nfs_wb_all" },
	{ 0xdd14577b, "__break_lease" },
	{ 0x9055e8ee, "nfs_pageio_init_write" },
	{ 0xd9cfd3cb, "svc_recv" },
	{ 0x8e698726, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc3f9689d, "xdr_inline_decode" },
	{ 0x5daf52ba, "dump_page" },
	{ 0x8b7c703, "nfs_pageio_init_read" },
	{ 0x176edda, "trace_raw_output_prep" },
	{ 0x6ca61412, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x3a5aeed0, "nfs_init_commit" },
	{ 0x971879cd, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3988c10f, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x7633b206, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb8f50019, "__trace_trigger_soft_disabled" },
	{ 0x9192a03b, "nfs_mknod" },
	{ 0x8b07f56c, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb1b51f7f, "nfs4_label_alloc" },
	{ 0x23a4a38a, "rpc_localaddr" },
	{ 0x6ef75f09, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x7594af79, "trace_event_printf" },
	{ 0x45a7db8c, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x61f342d0, "nfs_lock" },
	{ 0xca7d8764, "kthread_freezable_should_stop" },
	{ 0x38ac36ab, "unregister_key_type" },
	{ 0x10a9c248, "nfs_client_init_is_complete" },
	{ 0x4e8aa555, "nfs_file_splice_read" },
	{ 0xc9327fe, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd00093b1, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x98e29b97, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x73631bbb, "ihold" },
	{ 0x6b4c0357, "truncate_pagecache_range" },
	{ 0x1ec6a6db, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x6030cdfa, "invalidate_inode_pages2_range" },
	{ 0x2fcc651f, "nfs_post_op_update_inode" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9664eb38, "svc_exit_thread" },
	{ 0xd5ded2ae, "iput" },
	{ 0x8ee3af81, "xdr_set_pagelen" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x86860271, "nfs_pgio_header_free" },
	{ 0x655143a3, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x87b410e0, "logfc" },
	{ 0xf22e14e3, "nfs_pgio_header_alloc" },
	{ 0xbdff5ee6, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x53c83848, "iter_file_splice_write" },
	{ 0xd47fb6b5, "rpc_pton" },
	{ 0x40180a03, "nfs_sb_active" },
	{ 0x1e746712, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xcf7bf5c1, "rpc_wake_up_queued_task" },
	{ 0x31175f86, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x3f354067, "xdr_stream_zero" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x5f6d4f6c, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4333fc0, "_copy_from_pages" },
	{ 0x43c4adcc, "__module_get" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x4c31aa54, "kmem_cache_create" },
	{ 0xed0c0365, "rpc_task_release_transport" },
	{ 0x4e0d14bd, "xdr_page_pos" },
	{ 0xf0817342, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x4dff9d3b, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc40bb154, "key_instantiate_and_link" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x1b5bef15, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc6c6214d, "register_key_type" },
	{ 0xf5037047, "rpc_sleep_on" },
	{ 0x752d8b87, "rpc_run_task" },
	{ 0xbe5c47c8, "nfs_pageio_resend" },
	{ 0x3064a459, "keyring_alloc" },
	{ 0xb6729609, "vfs_setpos" },
	{ 0xdc85df88, "nfs_create" },
	{ 0x229596a2, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f096d07, "__put_cred" },
	{ 0x81fed8d6, "swapcache_mapping" },
	{ 0x2a26c54c, "nfs_statfs" },
	{ 0x3cd29d1b, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xa7a02dd8, "rpc_max_bc_payload" },
	{ 0xda659bc7, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xf101c34c, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b0410da, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x94748a6d, "nfs_mkdir" },
	{ 0x619f6b61, "nfs_revalidate_inode" },
	{ 0x663c7e2, "inode_newsize_ok" },
	{ 0x6af94d7, "nfs_file_mmap" },
	{ 0xad2afc1d, "nfs_get_lock_context" },
	{ 0x5bca2a16, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0x740bd2fb, "nfs_set_cache_invalid" },
	{ 0x861ad916, "rpc_release_client" },
	{ 0x35aa4ac6, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x86d9f6c1, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc02c5b03, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x517d9b87, "nfs_generic_pgio" },
	{ 0x5ff47610, "make_kuid" },
	{ 0x27c7d812, "truncate_inode_pages_final" },
	{ 0x9fbfccb9, "generic_setlease" },
	{ 0xa66fd8c1, "xprt_destroy_backchannel" },
	{ 0xe931aead, "rpc_switch_client_transport" },
	{ 0x5251006a, "bc_svc_process" },
	{ 0xa916b694, "strnlen" },
	{ 0x546be34d, "nfs_scan_commit_list" },
	{ 0xfc670ffa, "xdr_stream_decode_string_dup" },
	{ 0x2217593c, "nfs_commit_inode" },
	{ 0x8777b42b, "locks_init_lock" },
	{ 0xffc61a84, "unregister_shrinker" },
	{ 0x8087fb18, "rpc_destroy_pipe_data" },
	{ 0x289dc2c8, "nfs_get_client" },
	{ 0xfd043976, "__free_pages" },
	{ 0xa511c546, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x1e013dd, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x98513f53, "nfs_atomic_open" },
	{ 0x88ecfac2, "rpc_pipe_generic_upcall" },
	{ 0x1ee89223, "nfs_file_fsync" },
	{ 0xc3df6062, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7bab630e, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x510f7d8, "nfs_put_lock_context" },
	{ 0x7a64b834, "nfs_rename" },
	{ 0x8de1b028, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x790391d3, "nfs_sysfs_link_rpc_client" },
	{ 0x99976a8d, "nfs_put_client" },
	{ 0x314c6757, "nfs_show_options" },
	{ 0x138c51f5, "dns_query" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xde31500c, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x1792fe82, "mount_subtree" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x1098b444, "get_nfs_open_context" },
	{ 0x5812e0e8, "perf_trace_run_bpf_submit" },
	{ 0x670ed600, "nfs_clear_verifier_delegated" },
	{ 0xda39b076, "nfs_sysfs_add_server" },
	{ 0xc62803bc, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x9a25145d, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x61f3bc8f, "nfs_do_submount" },
	{ 0xa6a3e498, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x7cb70825, "request_key_with_auxdata" },
	{ 0xc46d6661, "rpc_clone_client_set_auth" },
	{ 0xcdc160a3, "rpc_clone_client" },
	{ 0x2868f020, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x36f149ca, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xf2f074db, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x24dd72ad, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf47ecf65, "put_fs_context" },
	{ 0x30c22a89, "nfs_retry_commit" },
	{ 0xfeb3f8da, "nfs4_dentry_operations" },
	{ 0x1aa3d475, "__module_put_and_kthread_exit" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x8ed41476, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x55f4afa5, "nfs_client_for_each_server" },
	{ 0x2e0c92a8, "nfs_clear_inode" },
	{ 0x2531e541, "rpc_sleep_on_priority" },
	{ 0x75a72388, "nfs_invalidate_atime" },
	{ 0x2725a510, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7530fc81, "nfs_umount_begin" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x66364bde, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xae8d1906, "nfs_pageio_reset_write_mds" },
	{ 0x6ae58708, "kmem_cache_free" },
	{ 0xa8642e16, "nfs_generic_pg_test" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x7fe9baca, "xdr_stream_subsegment" },
	{ 0x2c0c0dca, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x21b23eed, "nfs_fscache_open_file" },
	{ 0x521f3a50, "from_kgid" },
	{ 0xc88b36bc, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe9c4c49d, "nfs_write_inode" },
	{ 0x5c5124d7, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xbe1ec768, "rpc_wake_up_first" },
	{ 0x30eac716, "alloc_nfs_open_context" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb0e4d5c5, "vfs_parse_fs_param" },
	{ 0x972d0f4a, "nfs_path" },
	{ 0xfa9f52fc, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3de85213, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf610b7a0, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe33bcbb3, "rpc_sleep_on_timeout" },
	{ 0x4513684c, "list_lru_count_one" },
	{ 0xbd868897, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x95d27eef, "rpc_call_start" },
	{ 0xe901dcc8, "xprt_setup_backchannel" },
	{ 0x14986b74, "bpf_trace_run1" },
	{ 0x6c68a17f, "svc_create" },
	{ 0x341b323b, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xcfa776c5, "nfs_file_set_open_context" },
	{ 0xbab4e186, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x83874d50, "rpc_call_sync" },
	{ 0xacc8fff7, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2195cbcb, "rpc_put_task_async" },
	{ 0x386c82a8, "rpc_prepare_reply_pages" },
	{ 0x34e23529, "rpc_queue_upcall" },
	{ 0x70ac1e83, "nfs_free_server" },
	{ 0x330bacb6, "fc_mount" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0xf3aaa015, "nfs_setattr" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xec59ee4c, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x47fdeda6, "nfs4_fs_type" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x63cbbf43, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xb02126fc, "rpc_delay" },
	{ 0x3b3a0e9b, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x524d0a46, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6f4f9bcf, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xa512cdb4, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xc85a08bd, "rpc_exit" },
	{ 0xbe643bc5, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xf28cdc0b, "rpc_remove_pipe_dir_object" },
	{ 0x4f368dd8, "nfs_may_open" },
	{ 0x34502da2, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x635da428, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xa2661ed2, "xdr_reserve_space" },
	{ 0xc6e62c51, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8068299, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc1361753, "nfs_rmdir" },
	{ 0x22f4c749, "bpf_trace_run3" },
	{ 0x10333076, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x45747e09, "nfs_filemap_write_and_wait_range" },
	{ 0x794ffddc, "rpc_mkpipe_dentry" },
	{ 0xceac653d, "alloc_file_pseudo" },
	{ 0xdd64e639, "strscpy" },
	{ 0x34be846d, "rpc_mkpipe_data" },
	{ 0x16c4550b, "rpc_add_pipe_dir_object" },
	{ 0x6e4db595, "igrab" },
	{ 0x10f4d6de, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc45d4b24, "nfs_async_iocounter_wait" },
	{ 0x7274e9e1, "nfs_file_read" },
	{ 0x5488369, "trace_event_buffer_reserve" },
	{ 0xc537b940, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x20e96156, "filemap_fdatawait_range" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x3341e964, "nfs_commitdata_alloc" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xf97ab6d3, "nfs_setattr_update_inode" },
	{ 0x868dc66b, "nfs_instantiate" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x5437f439, "init_user_ns" },
	{ 0x9bfff9ef, "rpc_uaddr2sockaddr" },
	{ 0xd1a9c7e3, "user_read" },
	{ 0x20f2df67, "rpc_restart_call" },
	{ 0xfb9a10ce, "request_key_tag" },
	{ 0x89b167cc, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xd41a374e, "alloc_pages" },
	{ 0x3053935, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x1708865f, "svc_xprt_destroy_all" },
	{ 0xc6cde844, "generic_key_instantiate" },
	{ 0x30db9fb, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x15362a57, "nfs_link" },
	{ 0x42a92386, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x364ee344, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xdb431142, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xab3836b7, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x2826f814, "rpc_init_wait_queue" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xb5af3135, "xdr_stream_move_subsegment" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xf728b5c2, "put_rpccred" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xc4c04343, "nfs_post_op_update_inode_force_wcc" },
	{ 0x3271d70b, "nfs_pgheader_init" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x7088c96b, "put_nfs_open_context" },
	{ 0xd25b60b, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc684ea09, "nfs_show_devname" },
	{ 0x206290c1, "nfs_permission" },
	{ 0xb4618547, "nfs_initiate_commit" },
	{ 0x12b76def, "truncate_inode_pages_range" },
	{ 0x60ce167, "__put_user_ns" },
	{ 0xc6b1e553, "cred_fscmp" },
	{ 0x7857d695, "rpc_unlink" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x86c0a2f1, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x70b37db4, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x1f3d0c5f, "node_data" },
	{ 0xd05a00bc, "nfs_probe_server" },
	{ 0xecf01487, "nfs_setsecurity" },
	{ 0x54c7a84a, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xa751d08d, "rpc_clnt_test_and_add_xprt" },
	{ 0xc6d33e59, "file_ra_state_init" },
	{ 0xb7136239, "nfs_force_lookup_revalidate" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe26f481a, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x207f53d5, "rpc_clnt_add_xprt" },
	{ 0xbffb8ce6, "dget_parent" },
	{ 0x9a095bb5, "from_kuid_munged" },
	{ 0x99e57918, "prepare_kernel_cred" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x4869a55f, "nfs_alloc_server" },
	{ 0xf28af66e, "rpc_call_async" },
	{ 0xe9b2591, "security_dentry_init_security" },
	{ 0x7907d41d, "filemap_write_and_wait_range" },
	{ 0x17e93d3d, "nfs_server_insert_lists" },
	{ 0xcdafc40a, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0x5fb42cf, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x68daee0d, "rpc_init_pipe_dir_object" },
	{ 0x2f1f0931, "bpf_trace_run7" },
	{ 0xfdfe8395, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xdabf3e3e, "nfs_init_server_rpcclient" },
	{ 0x848196c9, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6c42a001, "rpc_set_connect_timeout" },
	{ 0x90ac8f92, "rpcauth_create" },
	{ 0x648dfc82, "list_lru_add" },
	{ 0x56be40f1, "xdr_stream_pos" },
	{ 0xe673cfb9, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xd0461430, "svc_xprt_create" },
	{ 0x825eb648, "nfs42_ssc_register" },
	{ 0x9ce9f085, "rpc_wait_for_completion_task" },
	{ 0x32081bd1, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9827bf0c, "rpc_num_bc_slots" },
	{ 0xfc138a6c, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1a1822, "rpc_destroy_wait_queue" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0x80351678, "security_inode_listsecurity" },
	{ 0xd231c273, "nfs_fhget" },
	{ 0xca6fb4fd, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x645b4c07, "locks_copy_lock" },
	{ 0xef4a2867, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x4b8a4050, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xadc47d6b, "nfs_set_verifier" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs");


MODULE_INFO(srcversion, "0BEB6CF262155D4B683A099");
