#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gretap_fb_dev_create, "_gpl", "");

SYMBOL_CRC(gretap_fb_dev_create, 0xcf809ea0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe47e712, "__iptunnel_pull_header" },
	{ 0x9b80c7fb, "metadata_dst_alloc" },
	{ 0x4755f090, "ip_tunnel_rcv" },
	{ 0xf6c3908, "kfree_skb_reason" },
	{ 0x9a5c98c, "dev_addr_mod" },
	{ 0x94020b02, "__skb_get_hash" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x662ea153, "__pskb_pull_tail" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf2fe1810, "__icmp_send" },
	{ 0x3d4be781, "skb_push" },
	{ 0x866e7ce7, "ip_tunnel_newlink" },
	{ 0x26730c1a, "rtnl_create_link" },
	{ 0xa8bf7a8b, "__ip_tunnel_change_mtu" },
	{ 0xd47461d, "ip_tunnel_dellink" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x7dafa150, "rtnl_configure_link" },
	{ 0xd008e047, "free_netdev" },
	{ 0xf6d7b485, "ip_tunnel_changelink" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf0ad0ae6, "pskb_expand_head" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x268cf8ee, "iptunnel_handle_offloads" },
	{ 0xae459676, "ip_md_tunnel_xmit" },
	{ 0xb1053a0f, "ip_tunnel_xmit" },
	{ 0x85608384, "skb_pull" },
	{ 0xb0feeb34, "ip_tunnel_ctl" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe82eed5d, "nla_put" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x401881e6, "___pskb_trim" },
	{ 0xa7bc0c96, "ip_tunnel_get_link_net" },
	{ 0xf869d2cb, "ip_tunnel_uninit" },
	{ 0x6cc00699, "eth_mac_addr" },
	{ 0x41c16ceb, "eth_validate_addr" },
	{ 0x2a74a2ad, "ip_tunnel_change_mtu" },
	{ 0x136ab477, "dev_get_tstats64" },
	{ 0x23963646, "ip_tunnel_get_iflink" },
	{ 0x9f71633c, "ip_tunnel_siocdevprivate" },
	{ 0x7287d9bb, "param_ops_bool" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x83e491b2, "ip_tunnel_encap_setup" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x38bb53fa, "ether_setup" },
	{ 0xb0147fcd, "ip_tunnel_setup" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x5eb74bc5, "ip_tunnel_init" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x122c3a7e, "_printk" },
	{ 0x377945, "register_pernet_device" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xf63f2d7a, "gre_add_protocol" },
	{ 0x8c26c355, "rtnl_link_register" },
	{ 0xa91ef0ea, "rtnl_link_unregister" },
	{ 0x110efb96, "gre_del_protocol" },
	{ 0xf9fdc869, "unregister_pernet_device" },
	{ 0xba6056f7, "ip_route_output_flow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x9e635efb, "dst_release" },
	{ 0xfba2675c, "ip_mc_inc_group" },
	{ 0xf7271047, "ip_tunnel_delete_nets" },
	{ 0x9f9fb161, "ip_tunnel_init_net" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x26c734b8, "inetdev_by_index" },
	{ 0x403f0d13, "__ip_mc_dec_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe3746b8b, "ip_tunnel_lookup" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b1cc62e, "ip6_err_gen_icmpv6_unreach" },
	{ 0x22fd226, "gre_parse_header" },
	{ 0xa27905ae, "ipv4_update_pmtu" },
	{ 0x9347fd1d, "ipv4_redirect" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,gre");


MODULE_INFO(srcversion, "D8F6B79A24418A75D383AE2");
