#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_dma_program, "", "");
KSYMTAB_FUNC(snd_dma_disable, "", "");
KSYMTAB_FUNC(snd_dma_pointer, "", "");
KSYMTAB_FUNC(snd_devm_request_dma, "_gpl", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_add_followers, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x4631396b, "");
SYMBOL_CRC(snd_unregister_device, 0x884026df, "");
SYMBOL_CRC(snd_device_alloc, 0x7f65dbbe, "_gpl");
SYMBOL_CRC(snd_card_new, 0x13b2799a, "");
SYMBOL_CRC(snd_devm_card_new, 0x3d8b7e32, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0xc4e958fc, "_gpl");
SYMBOL_CRC(snd_card_ref, 0xd833dc1b, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x48fdcebd, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x35448ec9, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x4b8292c6, "");
SYMBOL_CRC(snd_card_free, 0x661b6b7a, "");
SYMBOL_CRC(snd_card_set_id, 0xf701b023, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0xdf32f576, "_gpl");
SYMBOL_CRC(snd_card_register, 0x8a443d1a, "");
SYMBOL_CRC(snd_component_add, 0xe91be482, "");
SYMBOL_CRC(snd_card_file_add, 0xf0e56d5c, "");
SYMBOL_CRC(snd_card_file_remove, 0x63666366, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0xf7ac9f0e, "_gpl");
SYMBOL_CRC(snd_power_wait, 0x95842817, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0xef620309, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0x37fdccdd, "");
SYMBOL_CRC(snd_ctl_notify, 0xf72fe8b7, "");
SYMBOL_CRC(snd_ctl_notify_one, 0x1cefc79a, "");
SYMBOL_CRC(snd_ctl_new1, 0x9a318a7c, "");
SYMBOL_CRC(snd_ctl_free_one, 0x85f82377, "");
SYMBOL_CRC(snd_ctl_add, 0x0dc18030, "");
SYMBOL_CRC(snd_ctl_replace, 0xd75a9d34, "");
SYMBOL_CRC(snd_ctl_remove, 0x4afd81b9, "");
SYMBOL_CRC(snd_ctl_remove_id, 0x1961c1ac, "");
SYMBOL_CRC(snd_ctl_activate_id, 0xb6488452, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x1aee8d99, "");
SYMBOL_CRC(snd_ctl_rename, 0x984f382e, "");
SYMBOL_CRC(snd_ctl_find_numid_locked, 0x289b1acf, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x0c1eff90, "");
SYMBOL_CRC(snd_ctl_find_id_locked, 0x502e5cdd, "");
SYMBOL_CRC(snd_ctl_find_id, 0xfbd820a1, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0xb975b22e, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0x605bd216, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x785a6746, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0x17916cbe, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0x1b8bfbdf, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x6d841289, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0x90bb3cb1, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0x64c648b1, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0xed5d77fb, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0x95b36ac7, "");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0xfcea1dc2, "");
SYMBOL_CRC(snd_fasync_helper, 0x1e467b18, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0x47c00eec, "");
SYMBOL_CRC(snd_device_disconnect, 0xe04db44f, "_gpl");
SYMBOL_CRC(snd_device_free, 0xd779e059, "");
SYMBOL_CRC(snd_device_register, 0xb34f35f5, "");
SYMBOL_CRC(snd_device_get_state, 0x61bb6837, "_gpl");
SYMBOL_CRC(snd_seq_root, 0xefa6ba45, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0x5b2289cb, "");
SYMBOL_CRC(snd_info_create_card_entry, 0xdb768bb0, "");
SYMBOL_CRC(snd_info_free_entry, 0xfba6cdd2, "");
SYMBOL_CRC(snd_info_register, 0x1e776053, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x49a3889e, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0x73c32771, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0xa19cd5cf, "");
SYMBOL_CRC(snd_unregister_oss_device, 0x9d60f6a2, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0xe96841aa, "");
SYMBOL_CRC(snd_ctl_add_followers, 0x08ea907d, "_gpl");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0x9071804b, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0x3cd3e49c, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0x8f9bdf30, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0x2cacd5a2, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0x08901204, "");
SYMBOL_CRC(snd_jack_new, 0x5330b779, "");
SYMBOL_CRC(snd_jack_set_parent, 0xe669f57e, "");
SYMBOL_CRC(snd_jack_set_key, 0x442c2145, "");
SYMBOL_CRC(snd_jack_report, 0xeb3e83fa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf78f7d71, "input_allocate_device" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf75723f7, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xdea4b7ec, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x16fc08aa, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1e762cc5, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x61421cd6, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xca3ff79f, "device_initialize" },
	{ 0xfdfefa61, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x563cf7a9, "input_unregister_device" },
	{ 0xe7257ab8, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x99eb0fb5, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe94c48da, "proc_create_data" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0x47cc61a1, "devm_remove_action" },
	{ 0x636f1fb2, "import_ubuf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xed9f9064, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbb6fd8de, "devres_add" },
	{ 0xb01eb0f1, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x69310d7d, "dev_driver_string" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc6a3765, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x82ce4e45, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdac72d70, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x95aa6a3e, "register_sound_special_device" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xc3df6062, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x61651be, "strcat" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x1e6dda1c, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9e4bbcb8, "init_uts_ns" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x453b8764, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9b4d5190, "input_set_capability" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x87b46024, "__devres_alloc_node" },
	{ 0x175e33fb, "dma_spin_lock" },
	{ 0x5a471e18, "fasync_helper" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x24421676, "device_del" },
	{ 0x2782c7f1, "proc_mkdir" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x800d8930, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc761416e, "input_event" },
	{ 0xeeb5a330, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xf26ac8e4, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xf9766838, "proc_set_size" },
	{ 0x647c5738, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x49ec5b99, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ef0a759, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x6298bd35, "_copy_from_iter" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x7b9e0872, "stream_open" },
	{ 0x26836872, "single_release" },
	{ 0xbbebf886, "pid_vnr" },
	{ 0xbbc05eca, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x4b690767, "__devm_add_action" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xc04bb9f, "sound_class" },
	{ 0x1366fe77, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0xce282c45, "proc_symlink" },
	{ 0x8f4b65d7, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xed594795, "single_open" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x34aeb100, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "E7444EABC03061A243BFF84");
