#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0xf16e5201, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0x279aefd7, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0xbb8b9ac8, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0x768f402c, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0x4f35646e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0x4d66a5cd, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0xacaf24ae, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0xb3c4db65, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0xedd9e779, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0x14868950, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x91e894ee, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0x7735b3e7, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0x5d79d79a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0x0f960814, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0xe79acd5b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0xf8e3f52b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0xe346107e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0x8a38dcc3, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0x3d69ed2f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0x4e46122e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0x53353b7e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0xe1c7fbd8, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0x06378f5a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0x57dafec9, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0xae037d58, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0x7f0bd072, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0xc817b1aa, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0x246e980d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0x9ea22187, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0xc8dd1e51, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0xfd1397f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71e891cd, "snd_hdac_stream_release" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x82c9e7ce, "snd_hdac_stream_release_locked" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x499e9b77, "snd_hdac_bus_link_power" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf13ab921, "snd_hdac_bus_exit" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdac72d70, "put_device" },
	{ 0x96c05b2, "snd_hdac_bus_init" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xcbb4cb2f, "snd_hdac_stream_init" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x5445a33b, "snd_hdac_device_unregister" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x9c714e3b, "snd_hdac_stream_assign" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xce761d9a, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1cfeaf12, "snd_hdac_bus_stop_cmd_io" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe38088a5, "snd_hdac_bus_init_cmd_io" },
	{ 0x3a9d573c, "snd_hda_bus_type" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x2206111f, "driver_register" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");
