#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_skl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_skl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_apl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_apl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(apl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(cnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_tgl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_tgl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tgl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tglh_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(ehl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(adls_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_icl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_icl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(icl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_mtl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_mtl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(mtl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(arl_s_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_lnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_lnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(lnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_pci_intel_probe, 0x8476db18, "");
SYMBOL_CRC(hda_ops_free, 0xeb9f4f68, "");
SYMBOL_CRC(sof_skl_ops, 0x5e7e64bc, "");
SYMBOL_CRC(sof_skl_ops_init, 0xf357bb47, "");
SYMBOL_CRC(skl_chip_info, 0x8f9b72ea, "");
SYMBOL_CRC(sof_apl_ops, 0x9fa7067f, "");
SYMBOL_CRC(sof_apl_ops_init, 0x6f49dfc8, "");
SYMBOL_CRC(apl_chip_info, 0xf600ce98, "");
SYMBOL_CRC(sof_cnl_ops, 0xb9ec960d, "");
SYMBOL_CRC(sof_cnl_ops_init, 0xaf2ee6e6, "");
SYMBOL_CRC(cnl_chip_info, 0x23998df8, "");
SYMBOL_CRC(jsl_chip_info, 0x7ee4b41c, "");
SYMBOL_CRC(sof_tgl_ops, 0x09859b70, "");
SYMBOL_CRC(sof_tgl_ops_init, 0x246a3181, "");
SYMBOL_CRC(tgl_chip_info, 0xdd653c1b, "");
SYMBOL_CRC(tglh_chip_info, 0x4908910e, "");
SYMBOL_CRC(ehl_chip_info, 0x01a83434, "");
SYMBOL_CRC(adls_chip_info, 0x3f06dce3, "");
SYMBOL_CRC(sof_icl_ops, 0x1a749b99, "");
SYMBOL_CRC(sof_icl_ops_init, 0x2990ac88, "");
SYMBOL_CRC(icl_chip_info, 0xcc941aba, "");
SYMBOL_CRC(sof_mtl_ops, 0xccd0b273, "");
SYMBOL_CRC(sof_mtl_ops_init, 0x5363e469, "");
SYMBOL_CRC(mtl_chip_info, 0xde2b6e91, "");
SYMBOL_CRC(arl_s_chip_info, 0xe210fea0, "");
SYMBOL_CRC(sof_lnl_ops, 0xc3d4716d, "");
SYMBOL_CRC(sof_lnl_ops_init, 0x159f9242, "");
SYMBOL_CRC(lnl_chip_info, 0xcd7c4f1b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11fdedfb, "hda_codec_jack_check" },
	{ 0xe9c11fb9, "hda_bus_ml_suspend" },
	{ 0xd06a2e57, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xe914e41e, "strcpy" },
	{ 0x68a3fffb, "pci_save_state" },
	{ 0xe721f62a, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x269bb5e2, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x8bfe1194, "hda_codec_i915_display_power" },
	{ 0x241aa6a5, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x10727b28, "bpf_trace_run4" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0xe680c797, "snd_dma_alloc_dir_pages" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xbadb6711, "snd_hdac_bus_send_cmd" },
	{ 0x2705ff5b, "hda_bus_ml_resume" },
	{ 0x279de7d1, "pci_alloc_irq_vectors" },
	{ 0x4b24a192, "intel_nhlt_get_dmic_geo" },
	{ 0x5b9025d0, "snd_hdac_bus_get_response" },
	{ 0xae037d58, "snd_hdac_ext_stream_start" },
	{ 0x176edda, "trace_raw_output_prep" },
	{ 0x50154ef9, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x8a6714b6, "hda_codec_set_codec_wakeup" },
	{ 0xb8f50019, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1c7d5cc, "hda_bus_ml_init" },
	{ 0x83bad72f, "hda_codec_probe_bus" },
	{ 0x6378f5a, "snd_hdac_ext_stream_decouple_locked" },
	{ 0x7594af79, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xedc03953, "iounmap" },
	{ 0x38a5cec1, "snd_pcm_hw_constraint_minmax" },
	{ 0xc5900119, "sdw_intel_exit" },
	{ 0x18ad881a, "hda_codec_check_for_state_change" },
	{ 0x2f5b69d6, "hda_codec_jack_wake_enable" },
	{ 0x7e37c65d, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x98e29b97, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf16e5201, "snd_hdac_ext_bus_init" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbe6fae9d, "hda_bus_ml_free" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xdc036f66, "sof_ipc4_set_pipeline_state" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x31175f86, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6abcb6cf, "snd_intel_dsp_driver_probe" },
	{ 0x4719d57f, "pci_irq_vector" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x22ddb455, "snd_sgbuf_get_addr" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0x4be7d0e9, "snd_sgbuf_get_chunk_size" },
	{ 0xe0e6cbb2, "pci_ioremap_bar" },
	{ 0xcbec6d0c, "hdac_bus_eml_check_interrupt" },
	{ 0x81d3ae86, "sof_pci_probe" },
	{ 0x9d90a7df, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc2d25f37, "hda_codec_i915_exit" },
	{ 0xda659bc7, "trace_event_buffer_commit" },
	{ 0xc8dd65ba, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x30673446, "hda_codec_resume_cmd_io" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x279aefd7, "snd_hdac_ext_bus_exit" },
	{ 0xfba25fb2, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7f0bd072, "snd_hdac_ext_stream_clear" },
	{ 0x73aab765, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x2cf382e4, "sdw_intel_startup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4e46122e, "snd_hdac_ext_bus_link_power" },
	{ 0xa774b91, "snd_sof_dsp_dbg_dump" },
	{ 0xcbf9c38a, "sdw_intel_process_wakeen_event" },
	{ 0x720a68ca, "sof_mailbox_write" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x4e028601, "sof_mailbox_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5812e0e8, "perf_trace_run_bpf_submit" },
	{ 0xecb8b105, "hda_bus_ml_put_all" },
	{ 0x2fb9cf7, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xe4f5f940, "snd_sof_dsp_update_bits_forced" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x457ff7e0, "platform_device_unregister" },
	{ 0xc8dd1e51, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x59f90c24, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x75e4b0c1, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0xc88b36bc, "trace_event_reg" },
	{ 0xd5a71a3a, "hda_codec_device_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x211c4c0d, "snd_soc_dpcm_get_substream" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3e01a6c3, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x38383079, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x6a99bcb1, "hda_bus_ml_reset_losidv" },
	{ 0x246e980d, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x58544f24, "snd_sof_ipc_get_reply" },
	{ 0xe7afd23e, "snd_sof_dsp_update_bits" },
	{ 0x15350255, "hdac_bus_eml_enable_interrupt" },
	{ 0x34e8abf4, "hdac_bus_eml_enable_offload" },
	{ 0xe6f16ea5, "pci_restore_state" },
	{ 0x480ce2cf, "snd_sof_pci_update_bits" },
	{ 0xe329d08b, "hdac_bus_eml_ssp_get_hlink" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x63286610, "hdac_bus_eml_dmic_get_hlink" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x9ea6678f, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x6e616207, "sdw_intel_lnl_hw_ops" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xcb9f6f52, "pci_set_master" },
	{ 0x800d8930, "param_ops_charp" },
	{ 0x2c2db7fc, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x88a8d781, "dma_set_coherent_mask" },
	{ 0xf07a3037, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf868ff4a, "snd_pcm_hw_constraint_integer" },
	{ 0x22f4c749, "bpf_trace_run3" },
	{ 0x4561511d, "hda_codec_rirb_status_clear" },
	{ 0x51ab6837, "hda_codec_suspend_cmd_io" },
	{ 0x5211a41e, "snd_sof_ipc_reply" },
	{ 0xf386ef18, "hda_codec_init_cmd_io" },
	{ 0xb3be0c42, "hda_codec_stop_cmd_io" },
	{ 0x956a5ba5, "hda_codec_detect_mask" },
	{ 0x25226309, "platform_device_register_full" },
	{ 0x5488369, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x7287d9bb, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xda83d2a9, "sof_machine_unregister" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xea68ad56, "sof_ipc_tx_message" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x5547862c, "sdw_intel_probe" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x5a33dea, "snd_sof_load_firmware_raw" },
	{ 0x24e0dfc7, "snd_sof_dsp_panic" },
	{ 0x91e894ee, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xd5017809, "snd_sof_suspend" },
	{ 0xf8e3f52b, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x6ce0dedb, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x99c6444, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x8f4b65d7, "param_ops_int" },
	{ 0x5d046ca1, "intel_nhlt_init" },
	{ 0x75fed6b1, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x161baa1e, "sof_client_dev_unregister" },
	{ 0xfd9996c1, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x39b0e3cb, "hda_codec_i915_init" },
	{ 0xd44cd579, "pci_free_irq_vectors" },
	{ 0x1901051a, "hda_codec_check_rirb_status" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc817b1aa, "snd_hdac_ext_stream_reset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0xe87fc328, "hdac_bus_eml_get_count" },
	{ 0xe346107e, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8d1662cc, "sof_io_write" },
	{ 0xc402f6e9, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd47c087a, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x8c2ec86, "hdac_bus_eml_get_mutex" },
	{ 0x24ac672, "snd_soc_acpi_intel_hda_machines" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda,snd-sof-intel-hda-mlink,snd-soc-acpi,snd-sof,soundwire-intel,snd-pcm,snd-hda-core,snd-intel-dspcfg,snd-hda-ext-core,snd-sof-xtensa-dsp,snd-sof-pci,snd-soc-hdac-hda,snd-soc-core,snd-intel-sdw-acpi,snd-soc-acpi-intel-match");


MODULE_INFO(srcversion, "5956AB3BB86AA21F1626CFD");
