#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0x2f5b69d6, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0x11fdedfb, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0x83bad72f, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0x18ad881a, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0x956a5ba5, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0xf386ef18, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0x30673446, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0xb3be0c42, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0x51ab6837, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0x4561511d, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0x8a6714b6, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0x1901051a, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0xd5a71a3a, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0x8bfe1194, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0x39b0e3cb, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0xc2d25f37, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0xbadb6711, "snd_hdac_bus_send_cmd" },
	{ 0x5b9025d0, "snd_hdac_bus_get_response" },
	{ 0xe6c48c94, "snd_hdac_bus_update_rirb" },
	{ 0x52f9ecc, "snd_hdac_codec_modalias" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xbb8b9ac8, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdac72d70, "put_device" },
	{ 0x99bfa4c5, "snd_hdac_device_register" },
	{ 0x72067ae3, "snd_hdac_i915_init" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0x5445a33b, "snd_hdac_device_unregister" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x562b1e26, "device_attach" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1cfeaf12, "snd_hdac_bus_stop_cmd_io" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xca514725, "_dev_warn" },
	{ 0x9ea6678f, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe38088a5, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3e248db6, "snd_hdac_acomp_exit" },
	{ 0xb8f0bfa2, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x4d628bff, "snd_hda_codec_device_init" },
	{ 0x9b44c7d3, "snd_hdac_set_codec_wakeup" },
	{ 0x8f4b65d7, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "A205C2CB2330050D7B9D983");
