#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sof_debug_check_flag, "", "");
KSYMTAB_FUNC(sof_print_oops_and_stack, "", "");
KSYMTAB_FUNC(sof_set_fw_state, "", "");
KSYMTAB_FUNC(snd_sof_device_probe, "", "");
KSYMTAB_FUNC(snd_sof_device_probe_completed, "", "");
KSYMTAB_FUNC(snd_sof_device_remove, "", "");
KSYMTAB_FUNC(snd_sof_device_shutdown, "", "");
KSYMTAB_FUNC(snd_sof_pci_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_forced, "", "");
KSYMTAB_FUNC(snd_sof_dsp_panic, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_raw, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_memcpy, "", "");
KSYMTAB_FUNC(snd_sof_run_firmware, "", "");
KSYMTAB_FUNC(snd_sof_fw_unload, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message, "", "");
KSYMTAB_FUNC(sof_ipc_set_get_data, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message_no_pm, "", "");
KSYMTAB_FUNC(snd_sof_ipc_get_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_init, "", "");
KSYMTAB_FUNC(snd_sof_ipc_free, "", "");
KSYMTAB_FUNC(snd_sof_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(sof_pcm_dai_link_fixup, "", "");
KSYMTAB_FUNC(snd_sof_runtime_suspend, "", "");
KSYMTAB_FUNC(snd_sof_runtime_idle, "", "");
KSYMTAB_FUNC(snd_sof_runtime_resume, "", "");
KSYMTAB_FUNC(snd_sof_resume, "", "");
KSYMTAB_FUNC(snd_sof_suspend, "", "");
KSYMTAB_FUNC(snd_sof_prepare, "", "");
KSYMTAB_FUNC(snd_sof_complete, "", "");
KSYMTAB_FUNC(snd_sof_debugfs_add_region_item_iomem, "_gpl", "");
KSYMTAB_FUNC(snd_sof_debugfs_buf_item, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_memory_info_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_free_debug, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dsp_dbg_dump, "", "");
KSYMTAB_FUNC(snd_sof_handle_fw_exception, "", "");
KSYMTAB_FUNC(snd_sof_load_topology, "", "");
KSYMTAB_FUNC(sof_io_write, "", "");
KSYMTAB_FUNC(sof_io_read, "", "");
KSYMTAB_FUNC(sof_io_write64, "", "");
KSYMTAB_FUNC(sof_io_read64, "", "");
KSYMTAB_FUNC(sof_mailbox_write, "", "");
KSYMTAB_FUNC(sof_mailbox_read, "", "");
KSYMTAB_FUNC(sof_block_write, "", "");
KSYMTAB_FUNC(sof_block_read, "", "");
KSYMTAB_FUNC(sof_widget_free, "", "");
KSYMTAB_FUNC(sof_widget_setup, "", "");
KSYMTAB_FUNC(snd_sof_dsp_only_d0i3_compatible_stream_active, "", "");
KSYMTAB_FUNC(sof_dai_get_mclk, "", "");
KSYMTAB_FUNC(sof_dai_get_bclk, "", "");
KSYMTAB_FUNC(sof_machine_check, "", "");
KSYMTAB_FUNC(sof_machine_register, "", "");
KSYMTAB_FUNC(sof_machine_unregister, "", "");
KSYMTAB_FUNC(sof_ipc_msg_data, "", "");
KSYMTAB_FUNC(sof_set_stream_data_offset, "", "");
KSYMTAB_FUNC(sof_stream_pcm_open, "", "");
KSYMTAB_FUNC(sof_stream_pcm_close, "", "");
KSYMTAB_FUNC(sof_ipc3_do_rx_work, "", "");
KSYMTAB_FUNC(sof_ipc4_set_pipeline_state, "", "");
KSYMTAB_FUNC(sof_client_dev_register, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_dev_unregister, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_tx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_rx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_set_get_data, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc4_find_module, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_suspend_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_resume_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_debugfs_root, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_dma_dev, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_version, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_max_payload_size, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_type, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_get, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_put, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_state, "_gpl", "SND_SOC_SOF_CLIENT");

SYMBOL_CRC(sof_debug_check_flag, 0x368c6727, "");
SYMBOL_CRC(sof_print_oops_and_stack, 0x38383079, "");
SYMBOL_CRC(sof_set_fw_state, 0xac437980, "");
SYMBOL_CRC(snd_sof_device_probe, 0xf6751702, "");
SYMBOL_CRC(snd_sof_device_probe_completed, 0xf63e428c, "");
SYMBOL_CRC(snd_sof_device_remove, 0xb7d08dfc, "");
SYMBOL_CRC(snd_sof_device_shutdown, 0x68608a7f, "");
SYMBOL_CRC(snd_sof_pci_update_bits, 0x480ce2cf, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_unlocked, 0x3e01a6c3, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64_unlocked, 0x7ead2198, "");
SYMBOL_CRC(snd_sof_dsp_update_bits, 0xe7afd23e, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64, 0x5c9971d2, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_forced, 0xe4f5f940, "");
SYMBOL_CRC(snd_sof_dsp_panic, 0x24e0dfc7, "");
SYMBOL_CRC(snd_sof_load_firmware_raw, 0x05a33dea, "");
SYMBOL_CRC(snd_sof_load_firmware_memcpy, 0xe93f293b, "");
SYMBOL_CRC(snd_sof_run_firmware, 0xf687b2bb, "");
SYMBOL_CRC(snd_sof_fw_unload, 0xd0b0d40f, "");
SYMBOL_CRC(sof_ipc_tx_message, 0xea68ad56, "");
SYMBOL_CRC(sof_ipc_set_get_data, 0xdfe2d0f1, "");
SYMBOL_CRC(sof_ipc_tx_message_no_pm, 0x51643c6b, "");
SYMBOL_CRC(snd_sof_ipc_get_reply, 0x58544f24, "");
SYMBOL_CRC(snd_sof_ipc_reply, 0x5211a41e, "");
SYMBOL_CRC(snd_sof_ipc_init, 0x79528738, "");
SYMBOL_CRC(snd_sof_ipc_free, 0x588c4327, "");
SYMBOL_CRC(snd_sof_pcm_period_elapsed, 0xd47c087a, "");
SYMBOL_CRC(sof_pcm_dai_link_fixup, 0x53bb738a, "");
SYMBOL_CRC(snd_sof_runtime_suspend, 0x7e631892, "");
SYMBOL_CRC(snd_sof_runtime_idle, 0xedce2c5f, "");
SYMBOL_CRC(snd_sof_runtime_resume, 0xf54b64f6, "");
SYMBOL_CRC(snd_sof_resume, 0x4616a6d9, "");
SYMBOL_CRC(snd_sof_suspend, 0xd5017809, "");
SYMBOL_CRC(snd_sof_prepare, 0x34aaa66e, "");
SYMBOL_CRC(snd_sof_complete, 0x97d1d6fa, "");
SYMBOL_CRC(snd_sof_debugfs_add_region_item_iomem, 0x269bb5e2, "_gpl");
SYMBOL_CRC(snd_sof_debugfs_buf_item, 0xecccc9e9, "_gpl");
SYMBOL_CRC(snd_sof_dbg_memory_info_init, 0x0f3a7838, "_gpl");
SYMBOL_CRC(snd_sof_dbg_init, 0x43745b40, "_gpl");
SYMBOL_CRC(snd_sof_free_debug, 0x97e1ac4d, "_gpl");
SYMBOL_CRC(snd_sof_dsp_dbg_dump, 0x0a774b91, "");
SYMBOL_CRC(snd_sof_handle_fw_exception, 0x9d66dde4, "");
SYMBOL_CRC(snd_sof_load_topology, 0x04e838ed, "");
SYMBOL_CRC(sof_io_write, 0x8d1662cc, "");
SYMBOL_CRC(sof_io_read, 0xc1082ca4, "");
SYMBOL_CRC(sof_io_write64, 0x9bdb098b, "");
SYMBOL_CRC(sof_io_read64, 0x23073ce3, "");
SYMBOL_CRC(sof_mailbox_write, 0x720a68ca, "");
SYMBOL_CRC(sof_mailbox_read, 0x4e028601, "");
SYMBOL_CRC(sof_block_write, 0xfba25fb2, "");
SYMBOL_CRC(sof_block_read, 0xe721f62a, "");
SYMBOL_CRC(sof_widget_free, 0xa866c421, "");
SYMBOL_CRC(sof_widget_setup, 0x967f2318, "");
SYMBOL_CRC(snd_sof_dsp_only_d0i3_compatible_stream_active, 0x73aab765, "");
SYMBOL_CRC(sof_dai_get_mclk, 0x645d9a80, "");
SYMBOL_CRC(sof_dai_get_bclk, 0x52f932fb, "");
SYMBOL_CRC(sof_machine_check, 0x38d8bce3, "");
SYMBOL_CRC(sof_machine_register, 0xc402f6e9, "");
SYMBOL_CRC(sof_machine_unregister, 0xda83d2a9, "");
SYMBOL_CRC(sof_ipc_msg_data, 0x837f74e3, "");
SYMBOL_CRC(sof_set_stream_data_offset, 0xcaafe88f, "");
SYMBOL_CRC(sof_stream_pcm_open, 0xf8b54705, "");
SYMBOL_CRC(sof_stream_pcm_close, 0xc35dd062, "");
SYMBOL_CRC(sof_ipc3_do_rx_work, 0x78bfe207, "");
SYMBOL_CRC(sof_ipc4_set_pipeline_state, 0xdc036f66, "");
SYMBOL_CRC(sof_client_dev_register, 0x75e4b0c1, "_gpl");
SYMBOL_CRC(sof_client_dev_unregister, 0x161baa1e, "_gpl");
SYMBOL_CRC(sof_client_ipc_tx_message, 0xd8e86cea, "_gpl");
SYMBOL_CRC(sof_client_ipc_rx_message, 0x732f8078, "_gpl");
SYMBOL_CRC(sof_client_ipc_set_get_data, 0x71a95f95, "_gpl");
SYMBOL_CRC(sof_client_ipc4_find_module, 0x964d0c63, "_gpl");
SYMBOL_CRC(sof_suspend_clients, 0x39908fc5, "_gpl");
SYMBOL_CRC(sof_resume_clients, 0xaf91c599, "_gpl");
SYMBOL_CRC(sof_client_get_debugfs_root, 0xd4e48108, "_gpl");
SYMBOL_CRC(sof_client_get_dma_dev, 0xd5359923, "_gpl");
SYMBOL_CRC(sof_client_get_fw_version, 0x532b18cc, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_max_payload_size, 0x9ad54cdb, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_type, 0x7214a773, "_gpl");
SYMBOL_CRC(sof_client_core_module_get, 0x4cea994e, "_gpl");
SYMBOL_CRC(sof_client_core_module_put, 0x103dbf23, "_gpl");
SYMBOL_CRC(sof_client_register_ipc_rx_handler, 0x147489c4, "_gpl");
SYMBOL_CRC(sof_client_unregister_ipc_rx_handler, 0x9db0d0e1, "_gpl");
SYMBOL_CRC(sof_client_register_fw_state_handler, 0x071a4c17, "_gpl");
SYMBOL_CRC(sof_client_unregister_fw_state_handler, 0x48b02374, "_gpl");
SYMBOL_CRC(sof_client_get_fw_state, 0x552ead6d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb9fd7a9b, "dpcm_end_walk_at_be" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb71712c, "snd_soc_dapm_dai_free_widgets" },
	{ 0xf75723f7, "try_module_get" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xe680c797, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa7a6a52a, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa05e96c4, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa07fb72d, "snd_soc_dapm_dai_get_connected_widgets" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x176edda, "trace_raw_output_prep" },
	{ 0xb8f50019, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe0f43ca2, "request_firmware" },
	{ 0x7594af79, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x293a883e, "pm_runtime_get_if_active" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x98e29b97, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xbf949ffa, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x31175f86, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x1f2ebc18, "snd_sof_create_page_table" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6da67a39, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4209a929, "debugfs_file_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xda659bc7, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x1ed8bb6b, "pci_read_config_dword" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0xc8dd65ba, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x89bb09f8, "devm_snd_soc_register_component" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdac72d70, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd575a59b, "_dev_info" },
	{ 0x7c607a5c, "debugfs_file_put" },
	{ 0xc3df6062, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2ed60da1, "intel_nhlt_get_endpoint_blob" },
	{ 0x91d08615, "snd_soc_rtdcom_lookup" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x22ec1f4d, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5812e0e8, "perf_trace_run_bpf_submit" },
	{ 0x2fb9cf7, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x3f207c9b, "_dev_err" },
	{ 0xeca49b5b, "simple_open" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x457ff7e0, "platform_device_unregister" },
	{ 0x92647dd9, "__auxiliary_device_add" },
	{ 0x2e104e17, "widget_in_list" },
	{ 0x2725a510, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe84fd2c1, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc88b36bc, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x59ea252f, "snd_soc_tplg_component_load" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb71810f2, "snd_pcm_set_managed_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x14986b74, "bpf_trace_run1" },
	{ 0x24421676, "device_del" },
	{ 0x188871f8, "default_llseek" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xca514725, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf502589, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x668eebf, "snd_soc_tplg_component_remove" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1cefc79a, "snd_ctl_notify_one" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0xf07a3037, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf868ff4a, "snd_pcm_hw_constraint_integer" },
	{ 0x22f4c749, "bpf_trace_run3" },
	{ 0x3e2ea3f, "debugfs_create_file" },
	{ 0x25226309, "platform_device_register_full" },
	{ 0x5488369, "trace_event_buffer_reserve" },
	{ 0xb8f0bfa2, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7287d9bb, "param_ops_bool" },
	{ 0xf9429436, "snd_dma_buffer_sync" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x310463a3, "snd_pcm_period_elapsed" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xd5c6315, "kmalloc_trace" },
	{ 0x73fe2d74, "__pm_runtime_suspend" },
	{ 0x99c6444, "snd_pcm_hw_constraint_step" },
	{ 0x4a5c0c02, "snd_soc_tplg_widget_bind_event" },
	{ 0x754d539c, "strlen" },
	{ 0x8f4b65d7, "param_ops_int" },
	{ 0x75fed6b1, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x30cc848, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9283fb8, "pci_write_config_dword" },
	{ 0x2f433649, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xbc14ead0, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm,snd-sof-utils,snd-intel-dspcfg,snd");


MODULE_INFO(srcversion, "D1433182484F336AEC2DF11");
